<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>intro</name>
    <title>Introduction</title>
    <filename>intro</filename>
    <docanchor file="intro" title="Introduction to Qore">introduction</docanchor>
  </compound>
  <compound kind="page">
    <name>desc_overview</name>
    <title>Language Overview</title>
    <filename>desc_overview</filename>
  </compound>
  <compound kind="page">
    <name>environment_variables</name>
    <title>Environment Variables</title>
    <filename>environment_variables</filename>
  </compound>
  <compound kind="page">
    <name>conditional_parsing</name>
    <title>Conditional Parsing and Parse Defines</title>
    <filename>conditional_parsing</filename>
  </compound>
  <compound kind="page">
    <name>qore_modules</name>
    <title>Module Description</title>
    <filename>qore_modules</filename>
    <docanchor file="qore_modules" title="Module Overview">mod_overview</docanchor>
    <docanchor file="qore_modules" title="Binary Modules">binary_modules</docanchor>
    <docanchor file="qore_modules" title="User Modules">user_modules</docanchor>
    <docanchor file="qore_modules" title="User Module Declarations">user_module_declarations</docanchor>
    <docanchor file="qore_modules" title="The &quot;public&quot; Keyword">mod_public</docanchor>
    <docanchor file="qore_modules" title="Module Example">User</docanchor>
    <docanchor file="qore_modules" title="Program Scope in Object-Oriented Programs Using User Modules Providing Their Own Threads">user_module_program_scope</docanchor>
  </compound>
  <compound kind="page">
    <name>include_files</name>
    <title>Include Files</title>
    <filename>include_files</filename>
  </compound>
  <compound kind="page">
    <name>identifiers</name>
    <title>Identifiers</title>
    <filename>identifiers</filename>
  </compound>
  <compound kind="page">
    <name>comments</name>
    <title>Comments</title>
    <filename>comments</filename>
  </compound>
  <compound kind="page">
    <name>variables</name>
    <title>Variables</title>
    <filename>variables</filename>
    <docanchor file="variables" title="Special Variables">special_variables</docanchor>
    <docanchor file="variables" title="Variable Declarations and Lexical Scope">variable_declarations</docanchor>
    <docanchor file="variables" title="Local Variables">local_variables</docanchor>
    <docanchor file="variables" title="The &quot;my&quot; Keyword">my</docanchor>
    <docanchor file="variables" title="Global Variables">global_variables</docanchor>
    <docanchor file="variables" title="The &quot;our&quot; Keyword">our</docanchor>
  </compound>
  <compound kind="page">
    <name>basic_data_types</name>
    <title>Basic Data Types</title>
    <filename>basic_data_types</filename>
    <docanchor file="basic_data_types" title="Boolean">boolean</docanchor>
    <docanchor file="basic_data_types" title="String">string</docanchor>
    <docanchor file="basic_data_types" title="Integer">integer</docanchor>
    <docanchor file="basic_data_types" title="Float">float</docanchor>
    <docanchor file="basic_data_types" title="Number">number</docanchor>
    <docanchor file="basic_data_types" title="Date">date</docanchor>
    <docanchor file="basic_data_types" title="Absolute Date/Time Values">absolute_dates</docanchor>
    <docanchor file="basic_data_types" title="Relative Date/Time Values (Durations)">relative_dates</docanchor>
    <docanchor file="basic_data_types">single_reldates</docanchor>
    <docanchor file="basic_data_types">short_reldates</docanchor>
    <docanchor file="basic_data_types">long_reldates</docanchor>
    <docanchor file="basic_data_types" title="Binary">binary</docanchor>
    <docanchor file="basic_data_types" title="NULL">null</docanchor>
    <docanchor file="basic_data_types" title="NOTHING">nothing</docanchor>
    <docanchor file="basic_data_types" title="Data Conversions">conversions</docanchor>
  </compound>
  <compound kind="page">
    <name>container_data_types</name>
    <title>Container Data Types</title>
    <filename>container_data_types</filename>
    <docanchor file="container_data_types" title="List">list</docanchor>
    <docanchor file="container_data_types" title="Hash">hash</docanchor>
    <docanchor file="container_data_types" title="Object">object</docanchor>
    <docanchor file="container_data_types" title="Object Overview">object_overview</docanchor>
    <docanchor file="container_data_types" title="Object References">object_references</docanchor>
    <docanchor file="container_data_types" title="Object Scope">object_scope</docanchor>
    <docanchor file="container_data_types" title="Copying Objects">copying_objects</docanchor>
  </compound>
  <compound kind="page">
    <name>code_data_types</name>
    <title>Code Data Types</title>
    <filename>code_data_types</filename>
    <docanchor file="code_data_types" title="Closure Type">closure_type</docanchor>
    <docanchor file="code_data_types" title="Call Reference Type">callref_type</docanchor>
  </compound>
  <compound kind="page">
    <name>data_type_declarations</name>
    <title>Data Type Declarations and Restrictions</title>
    <filename>data_type_declarations</filename>
    <docanchor file="data_type_declarations" title="int">int_type</docanchor>
    <docanchor file="data_type_declarations" title="float">float_type</docanchor>
    <docanchor file="data_type_declarations" title="number">number_type</docanchor>
    <docanchor file="data_type_declarations" title="bool">bool_type</docanchor>
    <docanchor file="data_type_declarations" title="string">string_type</docanchor>
    <docanchor file="data_type_declarations" title="date">date_type</docanchor>
    <docanchor file="data_type_declarations" title="binary">binary_type</docanchor>
    <docanchor file="data_type_declarations" title="hash">hash_type</docanchor>
    <docanchor file="data_type_declarations" title="list">list_type</docanchor>
    <docanchor file="data_type_declarations" title="object">object_type</docanchor>
    <docanchor file="data_type_declarations" title="&lt;classname&gt;">classname_type</docanchor>
    <docanchor file="data_type_declarations" title="null">null_type</docanchor>
    <docanchor file="data_type_declarations" title="nothing">nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="timeout">timeout_type</docanchor>
    <docanchor file="data_type_declarations" title="softint">softint_type</docanchor>
    <docanchor file="data_type_declarations" title="softfloat">softfloat_type</docanchor>
    <docanchor file="data_type_declarations" title="softnumber">softnumber_type</docanchor>
    <docanchor file="data_type_declarations" title="softbool">softbool_type</docanchor>
    <docanchor file="data_type_declarations" title="softstring">softstring_type</docanchor>
    <docanchor file="data_type_declarations" title="softdate">softdate_type</docanchor>
    <docanchor file="data_type_declarations" title="softlist">softlist_type</docanchor>
    <docanchor file="data_type_declarations" title="data">data_type</docanchor>
    <docanchor file="data_type_declarations" title="code">code_type</docanchor>
    <docanchor file="data_type_declarations" title="reference">reference_type</docanchor>
    <docanchor file="data_type_declarations" title="*int">int_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*float">float_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*number">number_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*bool">bool_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*string">string_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*date">date_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*binary">binary_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*hash">hash_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*list">list_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*object">object_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*&lt;classname&gt;">classname_type_or_nothing</docanchor>
    <docanchor file="data_type_declarations" title="*date">data_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*code">code_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*timeout">timeout_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*reference">reference_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*softint">softint_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*softfloat">softfloat_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*softnumber">softnumber_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*softbool">softbool_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*softstring">softstring_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*softdate">softdate_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="*softlist">softlist_or_nothing_type</docanchor>
    <docanchor file="data_type_declarations" title="any">any_type</docanchor>
  </compound>
  <compound kind="page">
    <name>lvalue_references</name>
    <title>References</title>
    <filename>lvalue_references</filename>
  </compound>
  <compound kind="page">
    <name>overloading</name>
    <title>Overloading</title>
    <filename>overloading</filename>
  </compound>
  <compound kind="page">
    <name>time_zones</name>
    <title>Time Zone Handling</title>
    <filename>time_zones</filename>
    <docanchor file="time_zones" title="UNIX Time Zone Handling">unix_time_zones</docanchor>
    <docanchor file="time_zones" title="Windows Time Zone Handling">windows_time_zones</docanchor>
    <docanchor file="time_zones" title="More Time Zone Information and Examples">time_zone_examples</docanchor>
  </compound>
  <compound kind="page">
    <name>character_encoding</name>
    <title>Strings and Character Encoding</title>
    <filename>character_encoding</filename>
    <docanchor file="character_encoding" title="Overview">character_encoding_overview</docanchor>
    <docanchor file="character_encoding" title="Character Encodings Known to Qore">known_encodings</docanchor>
    <docanchor file="character_encoding" title="Default Character Encoding">default_encoding</docanchor>
    <docanchor file="character_encoding" title="Character Encoding Usage Examples">encoding_examples</docanchor>
  </compound>
  <compound kind="page">
    <name>expressions</name>
    <title>Expressions</title>
    <filename>expressions</filename>
    <docanchor file="expressions" title="Static Method Calls">static_method_calls</docanchor>
    <docanchor file="expressions" title="Find Expressions">find</docanchor>
    <docanchor file="expressions" title="Call References">call_reference</docanchor>
    <docanchor file="expressions" title="Closures">closure</docanchor>
    <docanchor file="expressions" title="Implicit Argument References">implicit_arguments</docanchor>
    <docanchor file="expressions" title="Implicit Index">implicit_index</docanchor>
  </compound>
  <compound kind="page">
    <name>operators</name>
    <title>Operators</title>
    <filename>operators</filename>
    <docanchor file="operators" title="Backquote Operator (``)">backquote_operator</docanchor>
    <docanchor file="operators" title="Hash Element or Object Member Expression Dereference Operator ({})">hash_element_operator</docanchor>
    <docanchor file="operators" title="Hash Element or Object Member Literal Dereference Operator (.)">dot_operator</docanchor>
    <docanchor file="operators" title="List, String, and Binary Dereference Operator ([])">list_element_operator</docanchor>
    <docanchor file="operators" title="Pre-Increment Operator (++)">pre_increment_operator</docanchor>
    <docanchor file="operators" title="Integer Post-Increment Operator (++)">post_increment_operator</docanchor>
    <docanchor file="operators" title="Integer Pre-Decrement Operator (--)">pre_decrement_operator</docanchor>
    <docanchor file="operators" title="Integer Post-Decrement Operator (--)">post_decrement_operator</docanchor>
    <docanchor file="operators" title="New Object Operator (new)">new</docanchor>
    <docanchor file="operators" title="Background Operator (background)">background</docanchor>
    <docanchor file="operators" title="Delete Operator (delete)">delete</docanchor>
    <docanchor file="operators" title="Remove Operator (remove)">remove</docanchor>
    <docanchor file="operators" title="Cast Operator (cast&lt;&gt;())">cast</docanchor>
    <docanchor file="operators" title="Logical Not Operator (!)">logical_negation_operator</docanchor>
    <docanchor file="operators" title="Binary Not Operator (~)">binary_not_operator</docanchor>
    <docanchor file="operators" title="Unary Minus Operator (-)">unary_minus_operator</docanchor>
    <docanchor file="operators" title="Shift Operator (shift)">shift</docanchor>
    <docanchor file="operators" title="Pop Operator (pop)">pop</docanchor>
    <docanchor file="operators" title="Chomp Operator (chomp)">chomp</docanchor>
    <docanchor file="operators" title="Trim Operator (trim)">trim</docanchor>
    <docanchor file="operators" title="Map Operator (map)">map</docanchor>
    <docanchor file="operators" title="Fold Left Operator (foldl)">foldl</docanchor>
    <docanchor file="operators" title="Fold Right Operator (foldr)">foldr</docanchor>
    <docanchor file="operators" title="Select From List Operator (select)">select</docanchor>
    <docanchor file="operators" title="Elements Operator (elements)">elements</docanchor>
    <docanchor file="operators" title="Keys Operator (keys)">keys</docanchor>
    <docanchor file="operators" title="Multiply Operator (*)">multiplication_operator</docanchor>
    <docanchor file="operators" title="Divide Operator (/)">division_operator</docanchor>
    <docanchor file="operators" title="Modula Operator (%)">modula_operator</docanchor>
    <docanchor file="operators" title="Plus (Addition and Concatentation) Operator (+)">plus_operator</docanchor>
    <docanchor file="operators" title="Minus Operator (-)">minus_operator</docanchor>
    <docanchor file="operators" title="Shift Right Operator (&gt;&gt;)">shift_right_operator</docanchor>
    <docanchor file="operators" title="Shift Left Operator (&lt;&lt;)">shift_left_operator</docanchor>
    <docanchor file="operators" title="Class Instance Operator (instanceof)">instanceof</docanchor>
    <docanchor file="operators" title="Exists Operator (exists)">exists</docanchor>
    <docanchor file="operators" title="Less Than Operator (&lt;)">logical_less_than_operator</docanchor>
    <docanchor file="operators" title="Greater Than Operator (&gt;)">logical_greater_than_operator</docanchor>
    <docanchor file="operators" title="Equals Operator (==)">logical_equality_operator</docanchor>
    <docanchor file="operators" title="Not Equals Operator (!=)">logical_inequality_operator</docanchor>
    <docanchor file="operators" title="Less Than Or Equals Operator (&lt;=)">logical_less_than_or_equals_operator</docanchor>
    <docanchor file="operators" title="Greater Than Or Equals Operator (&gt;=)">logical_greater_than_or_equals_operator</docanchor>
    <docanchor file="operators" title="Comparison (&lt;=&gt;) Operator">logical_comparison_operator</docanchor>
    <docanchor file="operators" title="Absolute Equals Operator (===)">logical_absolute_equality_operator</docanchor>
    <docanchor file="operators" title="Absolute Not Equals Operator (!==)">logical_absolute_inequality_operator</docanchor>
    <docanchor file="operators" title="Regular Expression Match Operator (=~)">regex_match_operator</docanchor>
    <docanchor file="operators" title="Regular Expression No Match Operator (!~)">regex_no_match_operator</docanchor>
    <docanchor file="operators" title="Regular Expression Substitution Operator">regex_subst_operator</docanchor>
    <docanchor file="operators" title="Regular Expression Pattern Extraction Operator">regex_extract_operator</docanchor>
    <docanchor file="operators" title="Transliteration Operator">transliteration_operator</docanchor>
    <docanchor file="operators" title="Bitwise/Binary And Operator (&amp;)">bitwise_and_operator</docanchor>
    <docanchor file="operators" title="Bitwise/Binary Or Operator (|)">bitwise_or_operator</docanchor>
    <docanchor file="operators" title="Bitwise/Binary Xor Operator (^)">bitwise_xor_operator</docanchor>
    <docanchor file="operators" title="Logical And Operator (&amp;&amp;)">logical_and_operator</docanchor>
    <docanchor file="operators" title="Logical Or Operator (||)">logical_or_operator</docanchor>
    <docanchor file="operators" title="Conditional Operator (? :)">conditional_operator</docanchor>
    <docanchor file="operators" title="Comma Operator (,)">comma_operator</docanchor>
    <docanchor file="operators" title="Unshift Operator (unshift)">unshift</docanchor>
    <docanchor file="operators" title="Push Operator (push)">push</docanchor>
    <docanchor file="operators" title="Splice Operator (splice)">splice</docanchor>
    <docanchor file="operators" title="Extract Operator (extract)">extract</docanchor>
    <docanchor file="operators" title="Assignment Operator (=)">assignment_operator</docanchor>
    <docanchor file="operators" title="Plus Equals Operator (+=)">plus_equals_operator</docanchor>
    <docanchor file="operators" title="Minus Equals Operator (-=)">minus_equals_operator</docanchor>
    <docanchor file="operators" title="And Equals Operator (&amp;=)">and_equals_operator</docanchor>
    <docanchor file="operators" title="Or Equals Operator (|=)">or_equals_operator</docanchor>
    <docanchor file="operators" title="Modula Equals Operator (%=)">modula_equals_operator</docanchor>
    <docanchor file="operators" title="Multiply Equals Operator (*=)">multiply_equals_operator</docanchor>
    <docanchor file="operators" title="Divide Equals Operator (/=)">divide_equals_operator</docanchor>
    <docanchor file="operators" title="Xor Equals Operator (^=)">xor_equals_operator</docanchor>
    <docanchor file="operators" title="Shift Left Equals Operator (&lt;&lt;=)">shift_left_equals_operator</docanchor>
    <docanchor file="operators" title="Shift Right Equals Operator (&gt;&gt;=)">shift_right_equals_operator</docanchor>
  </compound>
  <compound kind="page">
    <name>qore_regex</name>
    <title>Regular Expressions</title>
    <filename>qore_regex</filename>
    <docanchor file="qore_regex">regex_options</docanchor>
  </compound>
  <compound kind="page">
    <name>date_time_arithmetic</name>
    <title>Date/Time Arithmetic</title>
    <filename>date_time_arithmetic</filename>
    <docanchor file="date_time_arithmetic" title="Adding and Subtracting Years and Months">date_time_arithmetic_adding_years_months</docanchor>
    <docanchor file="date_time_arithmetic" title="Adding and Subtracting Days">date_time_arithmetic_days</docanchor>
    <docanchor file="date_time_arithmetic" title="Finding the Difference Between Two Dates">date_time_arithmetic_difference</docanchor>
    <docanchor file="date_time_arithmetic" title="Timezones and Daylight Savings Time">date_time_arithmetic_zones</docanchor>
    <docanchor file="date_time_arithmetic" title="Leap Years and the Gregorian Calendar">date_time_arithmetic_leap_years</docanchor>
  </compound>
  <compound kind="page">
    <name>statements</name>
    <title>Statements</title>
    <filename>statements</filename>
    <docanchor file="statements" title="if and else Statements">if</docanchor>
    <docanchor file="statements" title="for Statements">for</docanchor>
    <docanchor file="statements" title="foreach Statements">foreach</docanchor>
    <docanchor file="statements" title="switch Statements">switch</docanchor>
    <docanchor file="statements">case_expressions</docanchor>
    <docanchor file="statements" title="while Statements">while</docanchor>
    <docanchor file="statements" title="do while Statements">do</docanchor>
    <docanchor file="statements" title="continue Statements">continue</docanchor>
    <docanchor file="statements" title="break Statements">break</docanchor>
    <docanchor file="statements" title="throw Statements">throw</docanchor>
    <docanchor file="statements" title="try and catch Statements">try</docanchor>
    <docanchor file="statements" title="rethrow Statements">rethrow</docanchor>
    <docanchor file="statements" title="thread_exit Statements">thread_exit</docanchor>
    <docanchor file="statements" title="context Statements">context</docanchor>
    <docanchor file="statements" title="summarize Statements">summarize</docanchor>
    <docanchor file="statements" title="subcontext Statements">subcontext</docanchor>
    <docanchor file="statements" title="return Statements">return</docanchor>
    <docanchor file="statements" title="on_exit Statements">on_exit</docanchor>
    <docanchor file="statements" title="on_success Statements">on_success</docanchor>
    <docanchor file="statements" title="on_error Statements">on_error</docanchor>
  </compound>
  <compound kind="page">
    <name>qore_functions</name>
    <title>Functions</title>
    <filename>qore_functions</filename>
    <docanchor file="qore_functions" title="Function Declarations">function_declarations</docanchor>
    <docanchor file="qore_functions" title="Function Parameters">function_parameters</docanchor>
    <docanchor file="qore_functions" title="Function Return Type Declarations">function_return_types</docanchor>
    <docanchor file="qore_functions" title="Simple Example Functions">function_examples</docanchor>
    <docanchor file="qore_functions" title="&quot;Synchronized&quot; Functions">synchronized_functions</docanchor>
    <docanchor file="qore_functions" title="&quot;Deprecated&quot; Functions">deprecated</docanchor>
  </compound>
  <compound kind="page">
    <name>code_flags</name>
    <title>Code Flags</title>
    <filename>code_flags</filename>
    <docanchor file="code_flags">NOOP</docanchor>
    <docanchor file="code_flags">RUNTIME_NOOP</docanchor>
    <docanchor file="code_flags">CONSTANT</docanchor>
    <docanchor file="code_flags">RET_VALUE_ONLY</docanchor>
    <docanchor file="code_flags">DEPRECATED</docanchor>
  </compound>
  <compound kind="page">
    <name>qore_namespaces</name>
    <title>Namespaces</title>
    <filename>qore_namespaces</filename>
    <docanchor file="qore_namespaces">namespace_declarations</docanchor>
    <docanchor file="qore_namespaces">namespace_resolution</docanchor>
    <docanchor file="qore_namespaces">namespace_paths</docanchor>
  </compound>
  <compound kind="page">
    <name>constants</name>
    <title>Constants</title>
    <filename>constants</filename>
  </compound>
  <compound kind="page">
    <name>qore_classes</name>
    <title>Classes</title>
    <filename>qore_classes</filename>
    <docanchor file="qore_classes" title="Class Overview">class_overview</docanchor>
    <docanchor file="qore_classes">final_classes</docanchor>
    <docanchor file="qore_classes" title="Class Methods">class_methods</docanchor>
    <docanchor file="qore_classes">public_methods</docanchor>
    <docanchor file="qore_classes">private_methods</docanchor>
    <docanchor file="qore_classes">synchronized_methods</docanchor>
    <docanchor file="qore_classes">static_methods</docanchor>
    <docanchor file="qore_classes">abstract</docanchor>
    <docanchor file="qore_classes">class_special_methods</docanchor>
    <docanchor file="qore_classes">final_methods</docanchor>
    <docanchor file="qore_classes">class_constants</docanchor>
    <docanchor file="qore_classes">static_class_variables</docanchor>
    <docanchor file="qore_classes" title="Class Members">class_members</docanchor>
    <docanchor file="qore_classes">public_members</docanchor>
    <docanchor file="qore_classes">private_members</docanchor>
    <docanchor file="qore_classes">memberGate_methods</docanchor>
    <docanchor file="qore_classes">memberNotification_methods</docanchor>
    <docanchor file="qore_classes" title="Object Method Calls">object_method_calls</docanchor>
    <docanchor file="qore_classes">methodGate_methods</docanchor>
    <docanchor file="qore_classes" title="Class Inheritance">inheritance</docanchor>
    <docanchor file="qore_classes" title="Private Inheritance">private_inheritance</docanchor>
    <docanchor file="qore_classes" title="Public Inheritance">public_inheritance</docanchor>
  </compound>
  <compound kind="page">
    <name>threading</name>
    <title>Threading</title>
    <filename>threading</filename>
    <docanchor file="threading" title="Creating and Terminating Threads">creating_and_terminating_threads</docanchor>
    <docanchor file="threading" title="Threading and Variables">threading_and_variables</docanchor>
    <docanchor file="threading" title="Thread Synchronization and Inter-Thread Communication">thread_synchronization</docanchor>
    <docanchor file="threading">synchronized</docanchor>
    <docanchor file="threading" title="Deadlocks">deadlocks</docanchor>
  </compound>
  <compound kind="page">
    <name>exception_handling</name>
    <title>Exception Handling</title>
    <filename>exception_handling</filename>
    <docanchor file="exception_handling">exception_hash</docanchor>
    <docanchor file="exception_handling">callstack</docanchor>
  </compound>
  <compound kind="page">
    <name>signal_handling</name>
    <title>Signal Handling</title>
    <filename>signal_handling</filename>
  </compound>
  <compound kind="page">
    <name>event_handling</name>
    <title>I/O Event Handling</title>
    <filename>event_handling</filename>
    <docanchor file="event_handling" title="EVENT_PACKET_READ">EVENT_PACKET_READ</docanchor>
    <docanchor file="event_handling" title="EVENT_PACKET_SENT">EVENT_PACKET_SENT</docanchor>
    <docanchor file="event_handling" title="EVENT_HTTP_CONTENT_LENGTH">EVENT_HTTP_CONTENT_LENGTH</docanchor>
    <docanchor file="event_handling" title="EVENT_HTTP_CHUNKED_START">EVENT_HTTP_CHUNKED_START</docanchor>
    <docanchor file="event_handling" title="EVENT_HTTP_CHUNKED_END">EVENT_HTTP_CHUNKED_END</docanchor>
    <docanchor file="event_handling" title="EVENT_HTTP_REDIRECT">EVENT_HTTP_REDIRECT</docanchor>
    <docanchor file="event_handling" title="EVENT_CHANNEL_CLOSED">EVENT_CHANNEL_CLOSED</docanchor>
    <docanchor file="event_handling" title="EVENT_DELETED">EVENT_DELETED</docanchor>
    <docanchor file="event_handling" title="EVENT_FTP_SEND_MESSAGE">EVENT_FTP_SEND_MESSAGE</docanchor>
    <docanchor file="event_handling" title="EVENT_FTP_MESSAGE_RECEIVED">EVENT_FTP_MESSAGE_RECEIVED</docanchor>
    <docanchor file="event_handling" title="EVENT_HOSTNAME_LOOKUP">EVENT_HOSTNAME_LOOKUP</docanchor>
    <docanchor file="event_handling" title="EVENT_HOSTNAME_RESOLVED">EVENT_HOSTNAME_RESOLVED</docanchor>
    <docanchor file="event_handling" title="EVENT_HTTP_SEND_MESSAGE">EVENT_HTTP_SEND_MESSAGE</docanchor>
    <docanchor file="event_handling" title="EVENT_HTTP_MESSAGE_RECEIVED">EVENT_HTTP_MESSAGE_RECEIVED</docanchor>
    <docanchor file="event_handling" title="EVENT_HTTP_FOOTERS_RECEIVED">EVENT_HTTP_FOOTERS_RECEIVED</docanchor>
    <docanchor file="event_handling" title="EVENT_HTTP_CHUNKED_DATA_RECEIVED">EVENT_HTTP_CHUNKED_DATA_RECEIVED</docanchor>
    <docanchor file="event_handling" title="EVENT_HTTP_CHUNK_SIZE">EVENT_HTTP_CHUNK_SIZE</docanchor>
    <docanchor file="event_handling" title="EVENT_CONNECTING">EVENT_CONNECTING</docanchor>
    <docanchor file="event_handling" title="EVENT_CONNECTED">EVENT_CONNECTED</docanchor>
    <docanchor file="event_handling" title="EVENT_START_SSL">EVENT_START_SSL</docanchor>
    <docanchor file="event_handling" title="EVENT_SSL_ESTABLISHED">EVENT_SSL_ESTABLISHED</docanchor>
    <docanchor file="event_handling" title="EVENT_OPEN_FILE">EVENT_OPEN_FILE</docanchor>
    <docanchor file="event_handling" title="EVENT_FILE_OPENED">EVENT_FILE_OPENED</docanchor>
    <docanchor file="event_handling" title="EVENT_DATA_READ">EVENT_DATA_READ</docanchor>
    <docanchor file="event_handling" title="EVENT_DATA_WRITTEN">EVENT_DATA_WRITTEN</docanchor>
  </compound>
  <compound kind="page">
    <name>command_line_processing</name>
    <title>qore Executable Command-Line Processing</title>
    <filename>command_line_processing</filename>
  </compound>
  <compound kind="page">
    <name>parse_directives</name>
    <title>Parse Directives</title>
    <filename>parse_directives</filename>
    <docanchor file="parse_directives" title="%allow-bare-refs">allow-bare-refs</docanchor>
    <docanchor file="parse_directives" title="%append-include-path">append-include-path</docanchor>
    <docanchor file="parse_directives" title="%append-module-path">append-module-path</docanchor>
    <docanchor file="parse_directives" title="%assume-global">assume-global</docanchor>
    <docanchor file="parse_directives" title="%assume-local">assume-local</docanchor>
    <docanchor file="parse_directives" title="%define">define</docanchor>
    <docanchor file="parse_directives" title="%disable-all-warnings">disable-all-warnings</docanchor>
    <docanchor file="parse_directives" title="%disable-warning">disable-warning</docanchor>
    <docanchor file="parse_directives" title="%else">else</docanchor>
    <docanchor file="parse_directives" title="%enable-all-warnings">enable-all-warnings</docanchor>
    <docanchor file="parse_directives" title="%enable-warning">enable-warning</docanchor>
    <docanchor file="parse_directives" title="%endif">endif</docanchor>
    <docanchor file="parse_directives" title="%endtry">endtry</docanchor>
    <docanchor file="parse_directives" title="%exec-class">exec-class</docanchor>
    <docanchor file="parse_directives" title="%ifdef">ifdef</docanchor>
    <docanchor file="parse_directives" title="%ifndef">ifndef</docanchor>
    <docanchor file="parse_directives" title="%include">include</docanchor>
    <docanchor file="parse_directives" title="%lockdown">lockdown</docanchor>
    <docanchor file="parse_directives" title="%lock-options">lock-options</docanchor>
    <docanchor file="parse_directives" title="%lock-warnings">lock-warnings</docanchor>
    <docanchor file="parse_directives" title="%new-style">new-style</docanchor>
    <docanchor file="parse_directives" title="%old-style">old-style</docanchor>
    <docanchor file="parse_directives" title="%no-child-restrictions">no-child-restrictions</docanchor>
    <docanchor file="parse_directives" title="%no-class-defs">no-class-defs</docanchor>
    <docanchor file="parse_directives" title="%no-constant-defs">no-constant-defs</docanchor>
    <docanchor file="parse_directives" title="%no-database">no-database</docanchor>
    <docanchor file="parse_directives" title="%no-external-access">no-external-access</docanchor>
    <docanchor file="parse_directives" title="%no-external-info">no-external-info</docanchor>
    <docanchor file="parse_directives" title="%no-external-process">no-external-process</docanchor>
    <docanchor file="parse_directives" title="%no-filesystem">no-filesystem</docanchor>
    <docanchor file="parse_directives" title="%no-global-vars">no-global-vars</docanchor>
    <docanchor file="parse_directives" title="%no-gui">no-gui</docanchor>
    <docanchor file="parse_directives" title="%no-io">no-io</docanchor>
    <docanchor file="parse_directives" title="%no-locale-control">no-locale-control</docanchor>
    <docanchor file="parse_directives" title="%no-modules">no-modules</docanchor>
    <docanchor file="parse_directives" title="%no-namespace-defs">no-namespace-defs</docanchor>
    <docanchor file="parse_directives" title="%no-network">no-network</docanchor>
    <docanchor file="parse_directives" title="%no-new">no-new</docanchor>
    <docanchor file="parse_directives" title="%no-process-control">no-process-control</docanchor>
    <docanchor file="parse_directives" title="%no-subroutine-defs">no-subroutine-defs</docanchor>
    <docanchor file="parse_directives" title="%no-terminal-io">no-terminal-io</docanchor>
    <docanchor file="parse_directives" title="%no-thread-classes">no-thread-classes</docanchor>
    <docanchor file="parse_directives" title="%no-thread-control">no-thread-control</docanchor>
    <docanchor file="parse_directives" title="%no-thread-info">no-thread-info</docanchor>
    <docanchor file="parse_directives" title="%no-threads">no-threads</docanchor>
    <docanchor file="parse_directives" title="%no-top-level">no-top-level</docanchor>
    <docanchor file="parse_directives" title="%perl-bool-eval">perl-bool-eval</docanchor>
    <docanchor file="parse_directives" title="%push-parse-options">push-parse-options</docanchor>
    <docanchor file="parse_directives" title="%require-dollar">require-dollar</docanchor>
    <docanchor file="parse_directives" title="%require-our">require-our</docanchor>
    <docanchor file="parse_directives" title="%require-prototypes">require-prototypes</docanchor>
    <docanchor file="parse_directives" title="%require-types">require-types</docanchor>
    <docanchor file="parse_directives" title="%requires">requires</docanchor>
    <docanchor file="parse_directives" title="%set-time-zone">set-time-zone</docanchor>
    <docanchor file="parse_directives" title="%strict-args">strict-args</docanchor>
    <docanchor file="parse_directives" title="%strict-bool-eval">strict-bool-eval</docanchor>
    <docanchor file="parse_directives" title="%try-module">try-module</docanchor>
  </compound>
  <compound kind="page">
    <name>warnings</name>
    <title>Warnings</title>
    <filename>warnings</filename>
    <docanchor file="warnings">call-with-type-errors</docanchor>
    <docanchor file="warnings" title="deprecated">deprecated-warning</docanchor>
    <docanchor file="warnings" title="duplicate-block-vars">duplicate-block-vars</docanchor>
    <docanchor file="warnings" title="duplicate-global-vars">duplicate-global-vars</docanchor>
    <docanchor file="warnings" title="duplicate-hash-key">duplicate-hash-key</docanchor>
    <docanchor file="warnings" title="duplicate-local-vars">duplicate-local-vars</docanchor>
    <docanchor file="warnings" title="excess-args">excess-args</docanchor>
    <docanchor file="warnings" title="invalid-operation">invalid-operation</docanchor>
    <docanchor file="warnings" title="module-only">module-only</docanchor>
    <docanchor file="warnings" title="non-existent-method-call">non-existent-method-call</docanchor>
    <docanchor file="warnings" title="return-value-ignored">return-value-ignored</docanchor>
    <docanchor file="warnings" title="undeclared-var">undeclared-var</docanchor>
    <docanchor file="warnings" title="unknown-warning">unknown-warning</docanchor>
    <docanchor file="warnings" title="unreachable-code">unreachable-code</docanchor>
    <docanchor file="warnings" title="unreferenced-variable">unreferenced-variable</docanchor>
    <docanchor file="warnings" title="warning-mask-unchanged">warning-mask-unchanged</docanchor>
  </compound>
  <compound kind="page">
    <name>keywords</name>
    <title>Keywords</title>
    <filename>keywords</filename>
  </compound>
  <compound kind="page">
    <name>release_notes</name>
    <title>Release Notes</title>
    <filename>release_notes</filename>
    <docanchor file="release_notes" title="Qore 0.8.11">qore_0811</docanchor>
    <docanchor file="release_notes" title="New Features in Qore">qore_08111_new_features</docanchor>
    <docanchor file="release_notes" title="Bug Fixes in Qore">qore_08111_bug_fixes</docanchor>
    <docanchor file="release_notes" title="New Features in Qore">qore_0811_new_features</docanchor>
    <docanchor file="release_notes" title="Bug Fixes in Qore">qore_0811_bug_fixes</docanchor>
    <docanchor file="release_notes" title="Qore 0.8.10">qore_0810</docanchor>
    <docanchor file="release_notes" title="New Features in Qore">qore_0810_new_features</docanchor>
    <docanchor file="release_notes" title="Bug Fixes in Qore">qore_0810_bug_fixes</docanchor>
    <docanchor file="release_notes" title="Qore 0.8.9">qore_089</docanchor>
    <docanchor file="release_notes" title="New Features in Qore">qore_089_new_features</docanchor>
    <docanchor file="release_notes" title="Bug Fixes in Qore">qore_089_bug_fixes</docanchor>
    <docanchor file="release_notes" title="Qore 0.8.8">qore_088</docanchor>
    <docanchor file="release_notes" title="Changes That Can Affect Backwards-Compatibility">qore_088_compatibility</docanchor>
    <docanchor file="release_notes" title="New Features in Qore">qore_088_new_features</docanchor>
    <docanchor file="release_notes" title="Bug Fixes in Qore">qore_088_bug_fixes</docanchor>
    <docanchor file="release_notes" title="Qore 0.8.7">qore_087</docanchor>
    <docanchor file="release_notes" title="Changes That Can Affect Backwards-Compatibility">qore_087_compatibility</docanchor>
    <docanchor file="release_notes" title="New Features in Qore">qore_087_new_features</docanchor>
    <docanchor file="release_notes" title="Bug Fixes in Qore">qore_087_bug_fixes</docanchor>
    <docanchor file="release_notes" title="Qore 0.8.6.2">qore_0862</docanchor>
    <docanchor file="release_notes" title="Changes That Can Affect Backwards-Compatibility">qore_0862_compatibility</docanchor>
    <docanchor file="release_notes" title="Changes in Qore">qore_0862_changes</docanchor>
    <docanchor file="release_notes" title="Qore 0.8.6.1">qore_0861</docanchor>
    <docanchor file="release_notes" title="Changes in Qore">qore_0861_changes</docanchor>
    <docanchor file="release_notes" title="Bug Fixes in Qore">qore_0861_bug_fixes</docanchor>
    <docanchor file="release_notes" title="Qore 0.8.6">qore_086</docanchor>
    <docanchor file="release_notes" title="Changes That Can Affect Backwards-Compatibility">qore_086_compatibility</docanchor>
    <docanchor file="release_notes" title="New Features in Qore">qore_086_new_features</docanchor>
    <docanchor file="release_notes" title="Bug Fixes in Qore">qore_086_bug_fixes</docanchor>
    <docanchor file="release_notes" title="Qore 0.8.5.1">qore_0851</docanchor>
    <docanchor file="release_notes" title="Bug Fixes in Qore">qore_0851_bug_fixes</docanchor>
    <docanchor file="release_notes" title="Qore 0.8.5">qore_085</docanchor>
    <docanchor file="release_notes" title="New Features in Qore">qore_085_new_features</docanchor>
    <docanchor file="release_notes" title="Bug Fixes in Qore">qore_085_bug_fixes</docanchor>
    <docanchor file="release_notes" title="Qore 0.8.4">qore_084</docanchor>
    <docanchor file="release_notes" title="Changes That Can Affect Backwards-Compatibility">qore_084_compatibility</docanchor>
    <docanchor file="release_notes" title="New Features in Qore">qore_084_new_features</docanchor>
    <docanchor file="release_notes" title="Bug Fixes in Qore">qore_084_bug_fixes</docanchor>
  </compound>
  <compound kind="group">
    <name>number_formatting_constants</name>
    <title>Number Formatting Constants</title>
    <filename>group__number__formatting__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>NF_Default</name>
      <anchorfile>group__number__formatting__constants.html</anchorfile>
      <anchor>ga26210c15de6f9439841b31983989b727</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NF_Raw</name>
      <anchorfile>group__number__formatting__constants.html</anchorfile>
      <anchor>ga04d7d50e0d78ac50341f8729c4940947</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NF_Scientific</name>
      <anchorfile>group__number__formatting__constants.html</anchorfile>
      <anchor>ga69cc628e70f6f1c4c9ba4997ac09e5b8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>database_driver_constants</name>
    <title>Database Driver Constants</title>
    <filename>group__database__driver__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>DSDB2</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>ga0baaf1dccf027f143466257478c8b647</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DSFreeTDS</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>ga3e14e0949befa85b7c2993dd7a369811</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DSMSSQL</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>ga6cec46106d85f35a513ebb3d7b751cef</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DSMySQL</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>ga09de83cb35f39d717e612dffc0d55cf6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DSOracle</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>gada3f880c40b777b843b944d585404e70</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DSPGSQL</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>gac3ce6e6daf3c2bedbc927905e744b45b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DSSQLite3</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>ga116c8e3a222a4f13965519d9241665c3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DSSybase</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>ga39a5356b7cee1ef4b8a47e02dfe65f05</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>dbi_capabilities</name>
    <title>DBI Capability Constants</title>
    <filename>group__dbi__capabilities.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_AUTORECONNECT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>gae77508d8a9b7f53e3f0a35f76cf59511</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_BIND_BY_PLACEHOLDER</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>gac6adedead4bf1317f03b575dc1276351</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_BIND_BY_VALUE</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga369027092e18434a428c0ba401986964</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_CHARSET_SUPPORT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga382bb241f164431cf2e5c0e161b1bdd2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_EVENTS</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>gae187e09b0775647d1b1afd2d3b43570f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_HAS_DESCRIBE</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga775d0748c664e8ced5a2ef953496aa8c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_HAS_EXECRAW</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>gad3033ee84e18d57a95da98e01bdae383</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_HAS_NUMBER_SUPPORT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga8394d1495944bf61d666de40489a038a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_HAS_OPTION_SUPPORT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga428f8f4909b2737d03593d8808fe2227</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_HAS_SELECT_ROW</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga8a1c46d41ccafebf758dfe3d1116657c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_HAS_STATEMENT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga527e40359b876f12a4cb59fec305969d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_LOB_SUPPORT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga3a641cb4afbeb873fd9fe97f020f09eb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_SERVER_TIME_ZONE</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga9edf0826e734f77115fd8f1001cf4a9e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_STORED_PROCEDURES</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>gac5e26138ae8e0957e7dba50d8a96cb6c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_TIME_ZONE_SUPPORT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>gab97795225e7b52a4a063c1770c4fec7c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_TRANSACTION_MANAGEMENT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga62b0bd7a4e0611fbe8848002aa6711c8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>error_constants</name>
    <title>Error Constants</title>
    <filename>group__error__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>E2BIG</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gab230a4149f979514c10e62b63f54e362</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EACCES</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaaeedce0a1d7a729ba543d954f10ea349</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EADDRINUSE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gad2b286e5d1a639e49d6f031b20695415</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EADDRNOTAVAIL</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gae0e352266833bfb03d04879f5f7e04ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EAFNOSUPPORT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaa3bbceb80cf3c75a7b0011d88eb37e7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EAGAIN</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga0c5b53ca2e46c6cba4a019f6873e5a2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EALREADY</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga37dcb07ba775467bb72fc9f2a77635b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EBADF</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga76f4ca72703b4220d75e80a5621c026b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EBADMSG</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaa772c1b00a57a687de7fade0577169dd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EBUSY</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gadcf4fe6d15ebe1d04cd147ff8336fc5f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECHILD</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga5421fa981ba5a9f4e1ca2b915afa8cca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECONNABORTED</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gae7bad5e705a0451e8d0718203abe3d2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECONNREFUSED</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga5c12fa2b92239e05f97252a478ffd2da</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECONNRESET</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga4e256854e2f9c71b49ea9ff7054c1be5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EDEADLK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga7a129bcd887b5e56bc0a9d8c1ff7c4d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EDEADLOCK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga086e515171e0609dd37c7e438cfb429c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EDESTADDRREQ</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga17d303c3218c64607aba1a87aae5dca3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EDOM</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga670e5e33c582a9d5c4e345c67dcb54ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EDQUOT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga7a463960da1ff1aea03c63b95f57b6fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EEXIST</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga450765c71058aab04205dcf7c2098dcc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EFAULT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga32c9e97a906b5209d59b1e70c22d1dc3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EFBIG</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga79a8b92d530a3879018a60c154f2f39d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EHOSTDOWN</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga87ec22d0190f22f7e216f344d805c40b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EHOSTUNREACH</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga293296364c818a459f2ff437c2c64bf1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EIDRM</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gae442c6aa05134291284b173d3615779f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EILSEQ</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaaa8b1f47c188dd944483df0fe416bc97</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EINPROGRESS</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gafc3126348175f206854bba8e7baae5c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EINTR</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaf20f01a824bbdb62878acbd1da8816f6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EINVAL</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaa1e9bff57d83d8a4eb92c82037a2845b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EIO</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaa6b720cdaa69cef71ec037f3ca6c977d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EISCONN</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gadef167b0e40304aa08002d829dc9a877</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EISDIR</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gace017744be8d9255d2e4f2cf3acf2fdf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ELOOP</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gabf1e12041e999b54d83f591f084dff1a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EMFILE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gac1e5e2b85ee308f9278b2de92bbe5f9d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EMLINK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga31097c53d213d2564dceeba841ecb67a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EMSGSIZE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gae52f166c8675dbd5e71c56e8d9a5c44b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EMULTIHOP</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga81a6058c53058a2e87cd0c40826672c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENAMETOOLONG</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga59898d1ed766e4391d4146b331c5e8a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENETDOWN</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga95b744b9aa10eb25c8d8d5bc54a4fe31</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENETRESET</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga4ad4883682d067a997e9c83bba3e77a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENETUNREACH</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga21e202876e7050549e721bdbe4d134db</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENFILE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga1c5fdd85c2e03404affda66a7523f00e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOBUFS</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga7fe07b15810012006d4a52212c37ffb8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENODATA</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gad195a8e8563cbe6801b68aa8bd76fc32</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENODEV</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga60f11e8cc1d1feca3f4fd127515bdd28</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOENT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga12ffdef023eb304d81acb1cf751e93bd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOEXEC</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga66543299e0aa012eee12c7fd25965166</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOLCK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga046dc8210d27ef4151a64bdfe5b38d06</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOLINK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gadb086113e56fe516a7c8764e3f4d8039</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOMEM</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gad961612adbe20359206032d4bebdb808</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOMSG</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga9adf32ba4bbd97d73a2155a72d6eb8e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOPROTOOPT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga4422f75aa6268b33323704c9597d0b45</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOSPC</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gafc93972333340a2092230b6d6a91371a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOSR</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaf66f910d36169c48110fddedcea53c48</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOSTR</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gae4fcc25c64745403868a26087e5e0859</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOSYS</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga63f03034084ed8f6c4a8127103117cd5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOTBLK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gadbd06a622538d79f0ea06bc22594e01a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOTCONN</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gad4502316307d405e113096c35d0fabdc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOTDIR</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga66ee4b3410e2bccceb32ae9a300e1b15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOTEMPTY</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga033ca06cd87b86de6bc9758ef8f7fe7e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOTSOCK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga8d15dcc81d100689880758b8ec8fb2d3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOTTY</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga52e7ba0953c913863878a949f8cd1683</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENXIO</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga450797bea99539e59ebbe9092119d98f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EOPNOTSUPP</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga6704b8d51486ff61b400dcf08c64aeba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EOVERFLOW</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga089df0ae6535c69f35f586835a5697ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EPERM</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gabe7ef79dc5df7855de606cd7ebbf3ea5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EPFNOSUPPORT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaa2fb9c9eb3bee0543d7da5274a1921af</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EPIPE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga81a398bafdff5d7aa92ca0c05763e428</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EPROTO</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga37222e611390639f3772d0806e3451c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EPROTONOSUPPORT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga62a3712d9201be118aab2c73c4b9543a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EPROTOTYPE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga3468c62b4ca6805028a63d1a11ee9e56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ERANGE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gabe52f89690abcda1a66d7028fd11bdb0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EREMOTE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gac5eca47c0403e36c79342d2283d36539</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EROFS</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga3b85e4a6d7f558f8538079c67e79ae4a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ESHUTDOWN</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga374b6c94666f58e008250b748b06ad50</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ESOCKTNOSUPPORT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga4fc9cf406fcee8a266cd3edadc9f11a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ESRCH</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga921039c89f6e5c4a48564de6bed1d360</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ESTALE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaeca64564e499dcce02f76cde295232c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ETIME</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga0d05634902c26fcdcf4ea8b8318d5722</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ETIMEDOUT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga7a9180942a2f9492c4862176b755535f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ETOOMANYREFS</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga7f08d6792b1822a811c80428fb1e08a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ETXTBSY</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaca36e459d47ed89021006015e75ce3e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EUSERS</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga1cf5fca81bfb67980a66e16b3dd38a33</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EWOULDBLOCK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gab3b4675b012b1d9fb6d5c7a7512dc324</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EXDEV</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gad7ff42d9d6a4caf8ee6443380d1b3091</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>file_open_constants</name>
    <title>File Open Constants</title>
    <filename>group__file__open__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>O_ACCMODE</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga8e48617453f7fd321bcceee8816bf23d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_APPEND</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>gab47c6691139c37e08761a808d16ede1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_CREAT</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga9af988b09d302ec0ae8605d5610e1e9a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_DIRECT</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga682b263ef12018bfd33ca8ba8bc8fd16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_DIRECTORY</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga5be496ec4bdff357baf0e742139c74b1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_EXCL</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga4ba47557022312d11d81f171fbb2e9ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_NDELAY</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>gaef24f5eb3bd3bd4dd9d4658577376715</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_NOCTTY</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga107ba322507fc52fe0c4a6537ded406a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_NOFOLLOW</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga3452d00ede9696d75d1062d95da9449a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_NONBLOCK</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>gad5c43d9d32ea2b08ebbdfe70aa84710a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_RDONLY</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga1ab351549a0b39d1492dc0a48d199f64</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_RDWR</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga0d2a9837762a26e27fb666fa44358c37</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_SYNC</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>gacb2f3e1944dae38a5c4363ba21bbca11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_TRUNC</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>gaeee59f4f7458e6d022dc84da0b9817af</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_WRONLY</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga24d94df00b8914ad6459e39cddfe15bf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>file_locking_constants</name>
    <title>File Locking Constants</title>
    <filename>group__file__locking__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>F_RDLCK</name>
      <anchorfile>group__file__locking__constants.html</anchorfile>
      <anchor>gaf9d120de60979f848d7d145db05c4403</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>F_UNLCK</name>
      <anchorfile>group__file__locking__constants.html</anchorfile>
      <anchor>ga6a9776b4f6e4e751d2ad8011979072c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>F_WRLCK</name>
      <anchorfile>group__file__locking__constants.html</anchorfile>
      <anchor>ga6df55e6d2cd8d49cb714afe15f4d6b63</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>file_seek_constants</name>
    <title>File Seek Constants</title>
    <filename>group__file__seek__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>SEEK_CUR</name>
      <anchorfile>group__file__seek__constants.html</anchorfile>
      <anchor>gafb10f9061ee15381748299f4148b5839</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SEEK_END</name>
      <anchorfile>group__file__seek__constants.html</anchorfile>
      <anchor>ga1201b62b1ac5ac95f7890d2be610e103</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SEEK_SET</name>
      <anchorfile>group__file__seek__constants.html</anchorfile>
      <anchor>gaf3418d7771017bd7551b14aad79900f3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>option_constants</name>
    <title>Option Constants</title>
    <filename>group__option__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_ATOMIC_OPERATIONS</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga52ed83f65af5516d229f0c5c038da4cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_CLOSE_ALL_FD</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga3bc61668e0fc9fd0a3fd172419e94804</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_FILE_LOCKING</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga55da76844b58de539c47e3fe28bdeb26</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_FORK</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga841db19d8ad8f5d04eaf8980aed008a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_GETPPID</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga6005570874832f8305631c49cbd54fa3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_IS_EXECUTABLE</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga0cc55debed9574104abe543102810085</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_KILL</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga905db647155bcf54168df7fc7e6b96b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_LIBRARY_DEBUGGING</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga19571712256d5f9817d58c38584510e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_MD2</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga2e1b34b0ee0e76d35143adeaac8211ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_MDC2</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga57cfc96553919fbdae63254ca4600849</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_RC5</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga7c2cfaff4ede608873fa565ed23bc7ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_ROUND</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga97aca0d9c20308bd2d79f61c284f7772</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_RUNTIME_THREAD_STACK_TRACE</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga5d3b3ad72dbc870686836888c5cb92e0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SETEGID</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gaa1b7b8aa5750d7937b05c0f6d68903bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SETEUID</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga5fe2ab14ea36c83e7d032a79bd404622</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SETSID</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga518fbbbde3df9c996bbba1d207c5ae10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SHA224</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gac2b845ff7b7e953d0ab2c7c0e33154fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SHA256</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga8bbafb0df946db4960ec53f1739352c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SHA384</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gaefa59259c4fcbe89eaf1efa5364e0420</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SHA512</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga361d12136d30719ba4861fd892ee022f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SIGNAL_HANDLING</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga2b260e5d44de1d493adb8d97789f047f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_STACK_GUARD</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga6a89fa455ea07656dc456faca45c103a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_STATVFS</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gaa2928b4710b3dd34f7bf5a9ba52e7548</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SYMLINK</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gaad0f8a0998b32e445a8708484acbd100</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SYSTEM</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gab0bcd1418b3e06b5a9848d9175e4f744</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_TERMIOS</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga98899bee8f8dda3f4b1feed875118b85</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_UNIX_FILEMGT</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gaac007b653cdc3acf169c9cc76ce4a928</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_UNIX_USERMGT</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gaef9b69b7df60ff7aa74035d772add3c6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>parse_options</name>
    <title>Parse Option Constants</title>
    <filename>group__parse__options.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>PO_ALLOW_BARE_REFS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaa980dd723754782db7b8be9abe77615a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_ASSUME_LOCAL</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gac68aaa1c322a68a213b5101265aea716</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_DEFAULT</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaf8ee107760d23b03c6db359c872cc0f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_FREE_OPTIONS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gab75108ae88f89969d9c962bd681b3c2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_IN_MODULE</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga094a2d1f503a2b1e9abbe11b0d47cc6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_LOCKDOWN</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga32ca9503dd181920af97c058d9bd1164</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_LOCK_WARNINGS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga1d039ccd02b93ddb1d5c8a7c1470167b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NEW_STYLE</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga2d794c7a304d97cae92a819b1aa21e15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_CHILD_PO_RESTRICTIONS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaa567ec1170360b9ca111402c5179109f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_CLASS_DEFS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga969ab84c1a550482cbc6d24e878172e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_CONSTANT_DEFS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga50a8caec03edae3600565a456c1f9c7e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_DATABASE</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gac496a9d9bcf9d5c626c8c267c73a83bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_EMBEDDED_LOGIC</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gab1337f461ab4a90df9b39a7f1b6cc2b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_EXTERNAL_ACCESS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga10aefe54a313d86a87fedc46820ffb02</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_EXTERNAL_INFO</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga213aab826b55076c29ffeecebbaea237</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_EXTERNAL_PROCESS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaab2d8faa88f066837e100152187e6368</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_FILESYSTEM</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga5e466ed886222f0b57b0a399b455be71</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_GLOBAL_VARS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga00fcb14e17ebe9073cc0b768c276cf64</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_GUI</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga005117c783de66a8635beead079f52bd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_INHERIT_GLOBAL_VARS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga7cd01bb8ba1560c7893cd9655894c550</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_INHERIT_USER_FUNC_VARIANTS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga972fcd1745cc3f4efb6cb2a6e53cd832</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_IO</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gabcd4198285f25da13a5883006f06a2b7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_LOCALE_CONTROL</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga99046cc8285fb26438508cdf29b5771e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_MODULES</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaccf9af08f7acb25e66b777dcb4c4563b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_NAMESPACE_DEFS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaa5aaa3b96f4662b3c49bed1d1ab8ec88</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_NETWORK</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga20400e83c6271a294a48b15a8f952efa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_NEW</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga9736251c76726706da64426d899b4033</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_PROCESS_CONTROL</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga10d8e3f76c427b0f974529de572dd0ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_SUBROUTINE_DEFS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga750cc2b2d325184242990c6ab60ea736</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_SYSTEM_CLASSES</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaab3b95c81206d264aa1ef8899e8a511e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_SYSTEM_FUNC_VARIANTS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga52fc34efb7bfc44651617dca0a198d4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_TERMINAL_IO</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaa92bf6eafb76a4ccf1a0d0df45b13363</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_THREADS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga76f3b2a173e5f06aec64ea04fc1ed515</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_THREAD_CLASSES</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gade963e1fbbd1f5b2c777df7221512a1b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_THREAD_CONTROL</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga16d8c2b85171b6673b60b5f7d0eaf5eb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_THREAD_INFO</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gac379d98e62c57231c2efb7ea87c75a3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_TOP_LEVEL_STATEMENTS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga3a99f2973e97f3986630d8204d7b91fd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_USER_CLASSES</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga061c7a1e078d4b4e611a70cc0ad42645</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_POSITIVE_OPTIONS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga18bccc9b9ec584b9410946284ece4f5f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_REQUIRE_OUR</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga77d54a192aeae13bac95700ab5bbb190</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_REQUIRE_PROTOTYPES</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga196e048def21cb147b21a4871c4e9b29</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_REQUIRE_TYPES</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga66847391bb96dac88c3fee210720bbb3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_STRICT_ARGS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gac7875c0c85a64fa8b0d66fc634734957</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_STRICT_BOOLEAN_EVAL</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga2fbe2a73849bb0139d8d228df0e49ea6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>warning_constants</name>
    <title>Warning Constants</title>
    <filename>group__warning__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>WARN_ALL</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>gaca379fa551c754f3c17c8646f0266d3c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_CALL_WITH_TYPE_ERRORS</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga01d5b544bf6b6b9a2f536170a0dec874</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_DEFAULT</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>gac3e3f433df767225241ac8a79659ac82</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_DEPRECATED</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga9cc566b485af781c2399391757b5ed42</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_DUPLICATE_BLOCK_VARS</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga664f2aba566e42b153dad3a0caf66a6b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_DUPLICATE_GLOBAL_VARS</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>gab247c4239ec72ab1d1d371db02a4885a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_DUPLICATE_HASH_KEY</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga23066c3a05c2fe71f38ab685f1bf6b09</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_DUPLICATE_LOCAL_VARS</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>gadf0ad85e6dc336579e482387049a2f56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_EXCESS_ARGS</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>gad5de92870336590ea44a7c26f1bf1ca2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_INVALID_OPERATION</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>gaac6499101e41bd5528237e2e8ddd8bf4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_MODULES</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga7f704aa8f7652702d72d22ce93125566</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_NONE</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga5d8afd6e29d7ceba003d8869c2bbe5e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_NONEXISTENT_METHOD_CALL</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga257188e66b355163c9dedc161e722254</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_RETURN_VALUE_IGNORED</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>gadab0ec646f61cd37bdc79bb0fc948f79</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_UNDECLARED_VAR</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga597d58a31c59bc47bbecfe8160c57129</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_UNKNOWN_WARNING</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga82936dc7ad95c220a0b3635618bffea9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_UNREACHABLE_CODE</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga677c5a9e0fdfb07d76c152999fffdc55</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_UNREFERENCED_VARIABLE</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga8e22cc8dbf206cc7512d89b88b6e2564</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_WARNING_MASK_UNCHANGED</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga2463b44ba4c7437bb45d9c9850bffd3e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>type_code_constants</name>
    <title>Type Code Constants</title>
    <filename>group__type__code__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>NT_BINARY</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga71eb237451170acbe0e778711f73c462</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_BOOLEAN</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga2d3c90a766ca129ff13d243a27b41c90</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_CALLREF</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>gaa27f1bed5a2cc4ef4e62c7c2897f564d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_CLOSURE</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga7a11fe8da227e7fd1c31f705e828b6a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_DATE</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga230aa338eb63ada8096e318095f8052c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_FLOAT</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga8ac3e62bba7e8b878017533c2ac2f20f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_HASH</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>gaf94c74753aa73379b90ab30d092ffc60</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_INT</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga38fbe0c5cf4d846a91edea6486bdd5c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_LIST</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>gada83cf42174092e6f4d28f21f1ce3c2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_NOTHING</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga823743aaa009c846f0ff649759e13a2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_NULL</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>gac59ac2035c37d18a8922c891c109686e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_NUMBER</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga57b8fff06d2f486b8ec1a1952b6f06aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_OBJECT</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>gac9fe4267bd9924d2f99d19304aaf88c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_STRING</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga86a3586f63bf9793e0cdb13f5e1f5db4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>type_code_map_constants</name>
    <title>Type Code Map Constants</title>
    <filename>group__type__code__map__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>TypeCodeMap</name>
      <anchorfile>group__type__code__map__constants.html</anchorfile>
      <anchor>ga2a480ee5f1ba574e58391be1b3a0eb24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>TypeNameMap</name>
      <anchorfile>group__type__code__map__constants.html</anchorfile>
      <anchor>gabd2d01582297bf26346d7fd7e81163cd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>boolean_constants</name>
    <title>Boolean Constants</title>
    <filename>group__boolean__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>False</name>
      <anchorfile>group__boolean__constants.html</anchorfile>
      <anchor>ga9da2b9a8003cd3788e48305f8a00540f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>True</name>
      <anchorfile>group__boolean__constants.html</anchorfile>
      <anchor>ga3ba2df91713a6249449347131ea526c3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>null_and_nothing_constants</name>
    <title>NULL and NOTHING Constants</title>
    <filename>group__null__and__nothing__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>NOTHING</name>
      <anchorfile>group__null__and__nothing__constants.html</anchorfile>
      <anchor>ga756badc783adcd6a850808b928e21af4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NULL</name>
      <anchorfile>group__null__and__nothing__constants.html</anchorfile>
      <anchor>ga1805d277be60585d3f2a296c885cf334</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>exception_type_constants</name>
    <title>Exception Type Constants</title>
    <filename>group__exception__type__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>ET_System</name>
      <anchorfile>group__exception__type__constants.html</anchorfile>
      <anchor>gac8dc5524f44f9c2ffd6ee5234444122e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ET_User</name>
      <anchorfile>group__exception__type__constants.html</anchorfile>
      <anchor>ga1b83beab5fce1ac7290ea7d93e49eeac</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>call_type_constants</name>
    <title>Call Type Constants</title>
    <filename>group__call__type__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>CT_Builtin</name>
      <anchorfile>group__call__type__constants.html</anchorfile>
      <anchor>gaff4a6d7250c5c06104dd7ae863f24248</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CT_NewThread</name>
      <anchorfile>group__call__type__constants.html</anchorfile>
      <anchor>gaaa8007bd02fd23500cd18eaa09db512d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CT_Rethrow</name>
      <anchorfile>group__call__type__constants.html</anchorfile>
      <anchor>ga13d2ea7b0a108b3424bdee7c7e3ab23b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CT_User</name>
      <anchorfile>group__call__type__constants.html</anchorfile>
      <anchor>ga7fcc1e7cbff4b6b11a2be6185c1fdb8d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>system_and_build_constants</name>
    <title>System and Build Constants</title>
    <filename>group__system__and__build__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>Build</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>gaf309af16653ccf009d207a851a3bc40f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>BuildHost</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>ga02838c0996b5ddca780babc786eeb0d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CFLAGS</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>ga4706dc06313216a4c4252d7024809487</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Compiler</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>gab870ef28f525648a43a31c859a2a6d06</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>LDFLAGS</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>ga8130bc03e3d8254eaf0d91ef4dbce1cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>MACHINE_MSB</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>gace8e995e657fc1299783e55b90eda812</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PlatformCPU</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>gac7364290dc6b93298baabb32da286c5b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PlatformOS</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>ga0df3f3321bde2c7e8c25cab85a94c0a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VersionMajor</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>ga981ec5d46693e04ec68a953c96950b97</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VersionMinor</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>ga2951ba69a965973d76898d671270fd9e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VersionString</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>gadc4aece84a7f703cb7f2da77f18980b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VersionSub</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>ga92cc5129c80534fbc9c887321a582264</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>event_source_constants</name>
    <title>Event Source Constants</title>
    <filename>group__event__source__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>SOURCE_FILE</name>
      <anchorfile>group__event__source__constants.html</anchorfile>
      <anchor>ga1cea533c8658a47ddc7ece4cc71ea3a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SOURCE_FTPCLIENT</name>
      <anchorfile>group__event__source__constants.html</anchorfile>
      <anchor>gadcdbe58f12675ffc88b9a7366b6bb93f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SOURCE_HTTPCLIENT</name>
      <anchorfile>group__event__source__constants.html</anchorfile>
      <anchor>gaca8f942512797c6750ee3d8b47328782</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SOURCE_SOCKET</name>
      <anchorfile>group__event__source__constants.html</anchorfile>
      <anchor>ga1dc3f29ef71c6de5cc5114382c88755e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>event_map_constants</name>
    <title>Event Map Constants</title>
    <filename>group__event__map__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_MAP</name>
      <anchorfile>group__event__map__constants.html</anchorfile>
      <anchor>ga5713637e868b3d5bdddcbbae7dfe8564</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_SOURCE_MAP</name>
      <anchorfile>group__event__map__constants.html</anchorfile>
      <anchor>gaae344525a4c9a9abe0399ba4d0ac9021</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>event_constants</name>
    <title>Event Constants</title>
    <filename>group__event__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_CHANNEL_CLOSED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga351b788677e1dfff0a791c79762a527e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_CONNECTED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gadbc9ff154373b63cc1845cd9b1cec056</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_CONNECTING</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gacac824e6e4f505757e01fb9d926d8490</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_DATA_READ</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gaa5c638cda1f133aaecff300db9f870d2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_DATA_WRITTEN</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gaa71090af36659667313c8c739002c263</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_DELETED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga77ac8ca6dd3d9fd6fe51b1b0d82e26fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_FILE_OPENED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga83e323f4c6bb013dfefd51ad4482de19</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_FTP_MESSAGE_RECEIVED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga3f65c01bb4a3b817d3cd8c8731b89b28</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_FTP_SEND_MESSAGE</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga75776f172ec78925f339f9ddb6730646</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HOSTNAME_LOOKUP</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gafd12bc810e5a9cbcb1ac885b233784da</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HOSTNAME_RESOLVED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gabb61e0e324cd908e2543ce6d08330dd3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_CHUNKED_DATA_RECEIVED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gabe9ca24b827811f6440c3caac71bee75</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_CHUNKED_END</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gaa19880a65c20fe3f3cfb89f94b6ad960</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_CHUNKED_START</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga618a2847b6cabc75e1e6ecdc40c88a7f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_CHUNK_SIZE</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gacb75168aba13cf548176914db6f5c4f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_CONTENT_LENGTH</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gad0f50dae7f1bfedac9b8e9d8bf31c35b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_FOOTERS_RECEIVED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gaf76b16c6831986b699782098310efe9a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_MESSAGE_RECEIVED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga1d16d8fddcca7cedd6f8b81ad26d9658</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_REDIRECT</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga6d363c43f9023d8442fcc266db699eca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_SEND_MESSAGE</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga3b92fc4b13daef0ebe6ba6f9781bf2c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_OPEN_FILE</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gab9e3b3325f2176a9fbc985d6560b9f08</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_PACKET_READ</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga021ba2dee5ccd3870ed42884f13a88d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_PACKET_SENT</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gaf7edaaff31f786ccf7c426012fa00bb7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_SSL_ESTABLISHED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga8f000a2187f2161511f09b9e489c9680</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_START_SSL</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gaf0777a5058274a3292ae6b9e2c84261f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>io_constants</name>
    <title>I/O Constants</title>
    <filename>group__io__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>stderr</name>
      <anchorfile>group__io__constants.html</anchorfile>
      <anchor>ga697e4968984d273562f14bfed155b4a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>stdin</name>
      <anchorfile>group__io__constants.html</anchorfile>
      <anchor>ga0cfa7aea34f3c921036623600e42b21f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>stdout</name>
      <anchorfile>group__io__constants.html</anchorfile>
      <anchor>ga44ab38fe66ed7aa87731a2de976017c6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>range_functions</name>
    <title>RangeIterator helper functions</title>
    <filename>group__range__functions.html</filename>
    <member kind="function">
      <type>RangeIterator</type>
      <name>xrange</name>
      <anchorfile>group__range__functions.html</anchorfile>
      <anchor>ga6eabf589db52e9febb178cdb5e66ec4c</anchor>
      <arglist>(int start, int stop, int step=1)</arglist>
    </member>
    <member kind="function">
      <type>RangeIterator</type>
      <name>xrange</name>
      <anchorfile>group__range__functions.html</anchorfile>
      <anchor>ga85798861f6ac3dc0adafaa8db337d8e5</anchor>
      <arglist>(int stop)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>file_stat_constants</name>
    <title>File Stat Constants</title>
    <filename>group__file__stat__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>S_IFBLK</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga2c891c3130ae8a0d0d11784b2a42eeb9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IFCHR</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gaf248185504f0a91f493b267a9218750f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IFDIR</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gab7e858523e9e02b72379879d2a84f9b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IFLNK</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga2bea1d763aafb758ccb9dd2a4a31552a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IFMT</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga0e71d3a1ee084309a8718f18d3dc95dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IFREG</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga7f44a136184e71b62d91bd776ed40d6f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IFSOCK</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga1b1a9147a783b67902717fe840bc4086</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IFWHT</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga17069d0ba50fdbb0ab3c0b80d324cc6d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IRGRP</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga49f1e458770fef9f6d4687a4cfbaac82</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IROTH</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gad730b6b55d082561d725650f59559ba4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IRUSR</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga7ed514c724be3988906c816c5374659f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IRWXG</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga7a681a17d0e9d9ff3ccbeef067194e7c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IRWXO</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gab5933856472006ad8d1c5d43e4c1db4f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IRWXU</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gad3055b7e1b13a2f1e814ba2c71a5a852</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_ISGID</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga4e1cd8d467a5a7eb43a6318c5dafd2d2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_ISUID</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga4dff870bd5c526f49b99688313cb4df1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_ISVTX</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga34ec75099fd680a217e72629eca966d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IWGRP</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga592399622ad8a25a74510a0daa2e439e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IWOTH</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gac5d5e6b448289323e591945d291e4032</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IWUSR</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga086cdc31b11ba396d6d8743eb0ab85c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IXGRP</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gad2469f0282852af931e8f7974847c53a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IXOTH</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gad0591ad36e753abc88c0e155b2132058</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IXUSR</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga58f071a14cec07cb61fdbc06d16eab01</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>x509_verification_constants</name>
    <title>X.509 Verification Constants</title>
    <filename>group__x509__verification__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_AKID_ISSUER_SERIAL_MISMATCH</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga0d28ad9c54f79922715013bca49f4a52</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_AKID_SKID_MISMATCH</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gaea4002870f0a1df88999dfc925243b95</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_APPLICATION_VERIFICATION</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga2f48578acd358ebfe55100f6daf1602b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CERT_CHAIN_TOO_LONG</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga78a4220220d45411835ef8601b8294bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CERT_HAS_EXPIRED</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gae6407bd35520f45e29800b396e7e7dc2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CERT_NOT_YET_VALID</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gadd182b1dd774f8c4181f9147991afb3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CERT_REJECTED</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga04e25fb5ed66b37b280758ed17cce0f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CERT_REVOKED</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gaaab55b073ffb0af920c408a7c6c18bc3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CERT_SIGNATURE_FAILURE</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga0194c30188610d8aef7df4a98d2583ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CERT_UNTRUSTED</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gad8effb53d699713577403dbd93d18940</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CRL_HAS_EXPIRED</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gace0346e494d1793f0524bcd534f43f7f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CRL_NOT_YET_VALID</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga757330b3e07026d87148774bd15eefa4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CRL_SIGNATURE_FAILURE</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gaf5306ef80a14597259e706c143b41796</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_DEPTH_ZERO_SELF_SIGNED_CERT</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga345ab69e53100f9349d9a38877bb44ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_ERROR_IN_CERT_NOT_AFTER_FIELD</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gadde3ff8cecf56d2ef5473bc279e8910c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_ERROR_IN_CERT_NOT_BEFORE_FIELD</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga1c827ab82254df93dfc83b22d764dba6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_ERROR_IN_CRL_LAST_UPDATE_FIELD</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gaa6c7200e8827c8664172575c70683754</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_ERROR_IN_CRL_NEXT_UPDATE_FIELD</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gaa00c30bf61fbe3924d06c96c3d20e7d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_INVALID_CA</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gab638296ef4610b30d0660fa13e045954</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_INVALID_PURPOSE</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga236bc06dac524bcb9a61180e568bc462</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_KEYUSAGE_NO_CERTSIGN</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga2163d9e78be7ed6ffdd8d1e9ae5c1331</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_OUT_OF_MEM</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gac1ace11411b4a1bfd915c2322d04136e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_PATH_LENGTH_EXCEEDED</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga1e7f2975f18582ef16903119a9c932d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_SELF_SIGNED_CERT_IN_CHAIN</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gaf1c08de19215f3800a41504bda25c20d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_SUBJECT_ISSUER_MISMATCH</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gaad87fc6ed5543a647eccdae0a98349d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_UNABLE_TO_DECODE_ISSUER_PUBLIC_KEY</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga88ea09360717cf145bdd190c3e132c7d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_UNABLE_TO_DECRYPT_CERT_SIGNATURE</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga4a67994a701467704c8900ec6b0a42c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_UNABLE_TO_DECRYPT_CRL_SIGNATURE</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gae1e5481186ecefe9b89d5e2387084fb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_UNABLE_TO_GET_CRL</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga54fe67c0c13ae6dfeb20ea2f197be267</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_UNABLE_TO_GET_ISSUER_CERT</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gac348670d2763dc7bce25889c1c9694ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_UNABLE_TO_GET_ISSUER_CERT_LOCALLY</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga7f6fe4a2dd47539540e2919e464e528d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_UNABLE_TO_VERIFY_LEAF_SIGNATURE</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga86aaa114c74aab441847ad4db7597a6f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_OK</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga5ef6a3725dcb9fff52ac9fabda19469b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_VerificationReasons</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga0ebd0784741e7d3521e972da7f294aba</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>network_address_family_constants</name>
    <title>Network Address Family Constants</title>
    <filename>group__network__address__family__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>AFMap</name>
      <anchorfile>group__network__address__family__constants.html</anchorfile>
      <anchor>ga70894a206b70fd3973f0d4dad1322a02</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AFStrMap</name>
      <anchorfile>group__network__address__family__constants.html</anchorfile>
      <anchor>gafda5d0bb6a1cac9536eb682ae75c4b5c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AF_INET</name>
      <anchorfile>group__network__address__family__constants.html</anchorfile>
      <anchor>gad33bf2a0a393d1100099acfb6ca644e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AF_INET6</name>
      <anchorfile>group__network__address__family__constants.html</anchorfile>
      <anchor>ga4b71df64cd838d8f5c0c1974d3011dab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AF_LOCAL</name>
      <anchorfile>group__network__address__family__constants.html</anchorfile>
      <anchor>ga059e4258e2fa6cb44c1ed5c614698545</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AF_UNIX</name>
      <anchorfile>group__network__address__family__constants.html</anchorfile>
      <anchor>ga6d1177c9edd5e022ab3b9b1fcadfa3f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AF_UNSPEC</name>
      <anchorfile>group__network__address__family__constants.html</anchorfile>
      <anchor>gac4f81abe9d374562b41117c51950fb80</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>network_address_information_constants</name>
    <title>Network Address Information Constants</title>
    <filename>group__network__address__information__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>AI_ADDRCONFIG</name>
      <anchorfile>group__network__address__information__constants.html</anchorfile>
      <anchor>ga4758a93032a616834593a3172740b973</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AI_ALL</name>
      <anchorfile>group__network__address__information__constants.html</anchorfile>
      <anchor>ga6b06ba8ece0c3d06c2eaead5a0b3735b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AI_CANONNAME</name>
      <anchorfile>group__network__address__information__constants.html</anchorfile>
      <anchor>ga4f24f51906ead287cd6e6cac80b344cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AI_NUMERICHOST</name>
      <anchorfile>group__network__address__information__constants.html</anchorfile>
      <anchor>ga41a7aa51148c443dcab4262b6d5eed56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AI_NUMERICSERV</name>
      <anchorfile>group__network__address__information__constants.html</anchorfile>
      <anchor>gac31474a7abb330fc937a0f501875755c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AI_PASSIVE</name>
      <anchorfile>group__network__address__information__constants.html</anchorfile>
      <anchor>gaf18e12f435604a899f9f5fa8fee83a8d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AI_V4MAPPED</name>
      <anchorfile>group__network__address__information__constants.html</anchorfile>
      <anchor>gad17072ef3c5d0a9081cd239ff7e15a4e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>protocol_constants</name>
    <title>Network Protocol Constants</title>
    <filename>group__protocol__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>IPPROTO_TCP</name>
      <anchorfile>group__protocol__constants.html</anchorfile>
      <anchor>ga207783771cbf914f235bb441f69cec71</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IPPROTO_UDP</name>
      <anchorfile>group__protocol__constants.html</anchorfile>
      <anchor>ga60076c9f99409f2691cf66c521572c41</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>socket_type_constants</name>
    <title>Socket Type Constants</title>
    <filename>group__socket__type__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>SOCK_DGRAM</name>
      <anchorfile>group__socket__type__constants.html</anchorfile>
      <anchor>gab4192979e83a6d314821be9e962154f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SOCK_RAW</name>
      <anchorfile>group__socket__type__constants.html</anchorfile>
      <anchor>ga670510cf028ecec51705237e1003befb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SOCK_STREAM</name>
      <anchorfile>group__socket__type__constants.html</anchorfile>
      <anchor>ga658ebfaeb8e533f106b3019ba3007531</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>tattr_local_mode_constants</name>
    <title>Terminal Attribute Local Mode Constants</title>
    <filename>group__tattr__local__mode__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>ALTWERASE</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga3b8b9271f15453c12ce3860e6138830e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECHO</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga10e59189da61820c62c0d52a32d5f355</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECHOCTL</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga83c77f350caa026a6c6e3bad568feda1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECHOE</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga78978e81f3b5d51f6f85cd3e0440d8d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECHOKE</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga5ba89862ce5bf3b326b67c0356a9f3d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECHONL</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga4d0a109d9c28bbe64298b89512f59cf2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECHOPRT</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga9d63a6b90304f2d99e1c9649d0b9332a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EXTPROC</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>gab771255b7abf4b6ddf3aecc6673de496</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>FLUSHO</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga55c9fc7e96ce4853d2ddd294fd43e6cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ICANON</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>gaee28cceae79349ff888ba64408473382</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IEXTEN</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga85a235af8ce51b2079a4e237d7b281b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ISIG</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>gaad46656657feecadbc2b3bf1cceacd92</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NOFLSH</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga6b1be071d53ef30ecb41d4bcf9d6356b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NOKERNINFO</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>gae79d4f427e156d7f25a3ab7de919d379</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PENDIN</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>gab0f0a7dfd8d04b2bb2eae1e1ecc18850</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>TOSTOP</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga846f1a2f12b8f638d83a611a21ebd755</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>tattr_control_mode_constants</name>
    <title>Terminal Attribute Control Mode Constants</title>
    <filename>group__tattr__control__mode__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>CCAR_OFLOW</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga421edf0a3319238ae36b82e96ffa78bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CCTS_OFLOW</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga5e4f3cef1065f7cd626122f10ce19088</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CDSR_OFLOW</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga9263e69c0238280868a9aeef7657c34c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CLOCAL</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga043fdb534ff1754f12898d2a5a5246d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CREAD</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>gab0cd0b8f450ea5058efc4d81f813b0e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CRTSCTS</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>gaa6874f252b9bafe740c43d6ec33b5f38</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CRTS_IFLOW</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>gae0f8d82c15d0f724a689e27790758317</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CS5</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>gadf3979ee84a7f94853e50a2a0d331f6c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CS6</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>gaa9ec899669b6c3e59a07e8a8364087e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CS7</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga5c95750f52752261eb395745fb8c5dd7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CS8</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga25d7e41f9f14bd6650796e942cb2ecfc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CSIZE</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga0c5daa630f8041b3b4147a0c47b9c3b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CSTOPB</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga35c6357e927e8f549ecda1a7cbc74125</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HUPCL</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga921ea84299e0db8b31b28d06ce6bf0c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>MDMBUF</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga0063c1dc72c5f1cc155447e12d7787f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PARENB</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga8ff1ac04db55bc1baf6e7d952042c37a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PARODD</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>gab23b60a25fec98ca1351c4b573c7c7f7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>tattr_output_mode_constants</name>
    <title>Terminal Attributes Output Mode Constants</title>
    <filename>group__tattr__output__mode__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>OCRNL</name>
      <anchorfile>group__tattr__output__mode__constants.html</anchorfile>
      <anchor>gac81628928ae9b55ea854bfd9434f260c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ONLCR</name>
      <anchorfile>group__tattr__output__mode__constants.html</anchorfile>
      <anchor>gaea2c1ed825b301f80a04d159701d5feb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ONLRET</name>
      <anchorfile>group__tattr__output__mode__constants.html</anchorfile>
      <anchor>ga63e96508dd0b1895d55501580985b294</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ONOCR</name>
      <anchorfile>group__tattr__output__mode__constants.html</anchorfile>
      <anchor>ga00759299e93bb514684789a1977f71f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ONOEOT</name>
      <anchorfile>group__tattr__output__mode__constants.html</anchorfile>
      <anchor>ga1c5645b75037e57d41b0ba8452e8af63</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>OPOST</name>
      <anchorfile>group__tattr__output__mode__constants.html</anchorfile>
      <anchor>ga1bff47227b0accb43061f7b7b57dd4fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>OXTABS</name>
      <anchorfile>group__tattr__output__mode__constants.html</anchorfile>
      <anchor>ga527998ca23a5263066670d3a3109ed67</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>tattr_input_mode_constants</name>
    <title>Terminal Attributes Input Mode Constants</title>
    <filename>group__tattr__input__mode__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>BRKINT</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>gac65b23f4731ce8f519aa2f7b0a4d1f46</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ICRNL</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>gaaf04993e1c6345567687305ef04fc2d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IGNBRK</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>gaa21e7e2efbd106bc6302196c9a8b224e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IGNCR</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga6684ffc51a2e624d3edfc4de4c1fe8bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IGNPAR</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>gadb90d9b6e378358b8c8e2d94a635530c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IMAXBEL</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga8834400effd021bd507a29724b6158dd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>INLCR</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga2827351fd2729b71b840315e9b487a05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>INPCK</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga2cd9fec271abb6f9352d02339d1580c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ISTRIP</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga96f95fe0454b14722068348b69cdcb8c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IXANY</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga33699e7ced48aa5f9512c068cc02c708</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IXOFF</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga8bffb87488bc4adbe1e3bfccf9dd2ff4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IXON</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga27e1879d9b9c632fe7793306c2824c1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PARMRK</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>gaf3404c3a275e941041010b43de1857a9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>tattr_control_character_constants</name>
    <title>Terminal Attributes Control Character Constants</title>
    <filename>group__tattr__control__character__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>VDISCARD</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gab6f8f9e09ba859fab513af01c6077242</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VDSUSP</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gaf23acc31adc6c5ed8d92fca4fe3f9ebb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VEOF</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gaeb2dd99e6d8bae0da14955d2b2b4ab83</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VEOL</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gaaed108b862512be1d44add99b3ae19f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VEOL2</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga36824df04eb03f180576584315d1438f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VERASE</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga32e03f1d721f1d42a4844600118c3ba7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VINTR</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gaf2a5a8591c92d2763e19ea5878d60da0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VKILL</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gaceffb080408e13e1d1e5ba06fa38b955</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VLNEXT</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga43c58434668c6190c7a3fa2c93a1069a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VMIN</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gafeff0497d2f931b98867a14110118092</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VQUIT</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gad57b68bc7741d323990953974d9d3e43</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VREPRINT</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga459d4e28cf1d41957293edbf1bdeb49f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VSTART</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga99de89c1439de57a85c1dac65cccb16f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VSTATUS</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga47fdcbe36715d78988d7aa7451495520</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VSTOP</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gadade029ba0b6e2127b9d89c226b4b4c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VSUSP</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga74344c52f51ef60c658791c9a0c62abc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VTIME</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gab502b713036bffa3836f933197f824bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VWERASE</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga0cd6d66463f03290809a41c6209bd96b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>_POSIX_VDISABLE</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gaee9526a9d666c265e0ca0d00dd41a2be</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>tattr_term_setting_constants</name>
    <title>Terminal Attributes Terminal Setting Constants</title>
    <filename>group__tattr__term__setting__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>TCSADRAIN</name>
      <anchorfile>group__tattr__term__setting__constants.html</anchorfile>
      <anchor>ga9d4186bd3d8efad89a2d5ef9a1bdac32</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>TCSAFLUSH</name>
      <anchorfile>group__tattr__term__setting__constants.html</anchorfile>
      <anchor>gacd2d752948b9057a27b85af7cea541e0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>TCSANOW</name>
      <anchorfile>group__tattr__term__setting__constants.html</anchorfile>
      <anchor>ga1e9c9ecc5ab9180c3665ba2115c792a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>TCSASOFT</name>
      <anchorfile>group__tattr__term__setting__constants.html</anchorfile>
      <anchor>ga4c49895599ee5a5dcb84d600e17559d2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>compresssion_functions</name>
    <title>Compression Functions</title>
    <filename>group__compresssion__functions.html</filename>
    <member kind="function">
      <type>binary</type>
      <name>bunzip2_to_binary</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga4a509ab986c4592aa8109cf3ec98fa8b</anchor>
      <arglist>(binary bin)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>bunzip2_to_binary</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>gabffa49d48df118495b29275a971fdfae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>bunzip2_to_string</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga19da4b839f9348ab3c9932c961a318dc</anchor>
      <arglist>(binary bin, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>bunzip2_to_string</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>gad364182e70b4a748b22b7636f18521dd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>bzip2</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga17fffc0db986403a295dcd86520c0ee5</anchor>
      <arglist>(binary bin, softint level=BZ2_DEFAULT_COMPRESSION)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>bzip2</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>gad4849e70c48c3c4ad8a58135decd3fbe</anchor>
      <arglist>(string str, softint level=BZ2_DEFAULT_COMPRESSION)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>bzip2</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga2a5264cac8dfd0b95b4706f122c4a5cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>compress</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga2a9f569fd6d7f90bb6d4e4d99b724105</anchor>
      <arglist>(string str, int level=Z_DEFAULT_COMPRESSION)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>compress</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga81268d3dc0361302f4b3f35e3990b581</anchor>
      <arglist>(binary bin, int level=Z_DEFAULT_COMPRESSION)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>compress</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga5a7dd18fde0559da33f14f484656cad7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>gunzip_to_binary</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>gae3d26c1886e243d300d5d7ca1686ba9e</anchor>
      <arglist>(binary bin)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>gunzip_to_binary</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga4a4dc4e883ee617bc05418daf884bca1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>gunzip_to_string</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga5684efdbe38373331255d4984ef13c9d</anchor>
      <arglist>(binary bin, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>gunzip_to_string</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga324723f7a61a79d2ec18b4c871c062bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>gzip</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga7e775cc2761ef5f265c1a131f4076eb5</anchor>
      <arglist>(string str, int level=Z_DEFAULT_COMPRESSION)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>gzip</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga55081981dc37ac4a0ba9b03b8453b09b</anchor>
      <arglist>(binary bin, int level=Z_DEFAULT_COMPRESSION)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>gzip</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>gaed906422dda7f7506aaaa4d847f8eaed</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>uncompress_to_binary</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>gad1fe94d17de0489667c6909b88c01d43</anchor>
      <arglist>(binary bin)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>uncompress_to_binary</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>gafecce0baf872032249897916a592d18c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>uncompress_to_string</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga873701e40ef6eb9831c9cf66fc8cd981</anchor>
      <arglist>(binary bin, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>uncompress_to_string</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga9dedfc30ebd57865cd2ee272612c2efd</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>compression_constants</name>
    <title>Compression Constants</title>
    <filename>group__compression__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>BZ2_DEFAULT_COMPRESSION</name>
      <anchorfile>group__compression__constants.html</anchorfile>
      <anchor>ga5b66f8813c20f89b4555c72244ae91a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Z_DEFAULT_COMPRESSION</name>
      <anchorfile>group__compression__constants.html</anchorfile>
      <anchor>gad0d06df5b25e4e03ca74b6458626d913</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>context_functions</name>
    <title>Context Functions</title>
    <filename>group__context__functions.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>cx_first</name>
      <anchorfile>group__context__functions.html</anchorfile>
      <anchor>gaf0dfc0d47bd06a2c1a6e76e3381f61eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>cx_last</name>
      <anchorfile>group__context__functions.html</anchorfile>
      <anchor>gad5b21ea6273b824301e13be824205957</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>cx_pos</name>
      <anchorfile>group__context__functions.html</anchorfile>
      <anchor>gaf6605e041e703be65489058a15055ea7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>cx_total</name>
      <anchorfile>group__context__functions.html</anchorfile>
      <anchor>ga31bcc663a5fb7d93585a051c9b0ca694</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>cx_value</name>
      <anchorfile>group__context__functions.html</anchorfile>
      <anchor>ga7f79b9534869227e07c7b4b9cda30299</anchor>
      <arglist>(string key)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>cryptographic_functions</name>
    <title>Crytographic Functions</title>
    <filename>group__cryptographic__functions.html</filename>
    <member kind="function">
      <type>binary</type>
      <name>blowfish_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gabefd583059e33ed6a8a01d7389f8bf9b</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>blowfish_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga226a0462cb59d5ae7316b5085028175a</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>blowfish_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga8fabb3720006b7bb779b7cb41b35dfcd</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>cast5_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gad2788c4558f70a666b2d6a4405c51a16</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>cast5_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga484cd53a8e2bce77a4cbe661c026bfbd</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>cast5_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga9a7fc0959fb08282701648f31a943f38</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>des_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga8a5b6f1af165635369d6caf2d8b95ea2</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>des_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gab99891ed74efd74aa01d8a5c3bbb4335</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>des_ede3_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga6f461d38434a49d7d5f8c288ceae96bc</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>des_ede3_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gae5561acf747f38c486712cde8f0bc664</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>des_ede3_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga3ad2648dfb2f58c1a47d53d462bdd141</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>des_ede_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga32bd21c6da3879b0d7093c57da0d51fc</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>des_ede_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga8c37d1ea7ee11351c68266ba5a7e19ca</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>des_ede_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga8c6adc7381531f618319971e401aee2b</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>des_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gaaa54a23064913aa22801a427574801be</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>des_random_key</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gada3243f5052be3b3a0e05257057f692e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>desx_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga928bc8d21c9a5085762e5ce2c3fb4c58</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>desx_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga070bb66ba55a5a979b10d18e5a2ffeff</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>desx_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga84ccd6960923d20597f03062f8d41557</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>rc2_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga3f51f2328c74b0e38201c14065f9fefe</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>rc2_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga73e290020e74f3eea1857f52e0c39caa</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>rc2_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gaa953035cae6e362808a82b06f2a8672a</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>rc4_decrypt</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gad9cae47536e0e9d31c1a1117e5a914af</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>rc4_decrypt_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga116c53f20d55fdebe1dd9d0b138d2216</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>rc4_encrypt</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gaa79e7a31db5a95f71e473843a091ea76</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>rc5_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gaa3ecd43966f7cc245fd51bfddcf2cec7</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>rc5_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga03adf8b23a9540658a460eb2936da2fd</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>rc5_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga8f3a6bc9fd77316d89fb41eaa225a9b9</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>digest_functions</name>
    <title>Digest (Hash) Functions</title>
    <filename>group__digest__functions.html</filename>
    <member kind="function">
      <type>string</type>
      <name>DSS</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gab75d2872586f27999e85b7ed990f6dad</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>DSS1</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga418f6b8eb4acc61b72a3a600d418a1b6</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>DSS1_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gad7149067899176a4910c1aff7f8c3157</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>DSS_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga20bcfd88e83ae5c08af1d4ef5b6a10c7</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MD2</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gab21020c23da78956d435a7e99d49b8d0</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>MD2_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga92b9dd3feb62a72720cfad39f79dd3e7</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MD4</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga5657d0e938e652fd42df41aca9e66d94</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>MD4_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gac2fd96fcd78e96c7d1d3d373f8a921ef</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MD5</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga78c973088de21a5aae0cd8c68fc3447c</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>MD5_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gafea2cdf61fc831e245ba21f9d8397a23</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MDC2</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gaa83a12e2e54fe66ace6a9a33392d1dbb</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>MDC2_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga87e26aea620d34cb4258773e74f61ad6</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>RIPEMD160</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga39c77370f9b8106e5668e2d6480af148</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>RIPEMD160_binary</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga588dd676ff78bd5fbc3e18d6b0a328fe</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gadc789f4681257bd18201d49d9d06db82</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA1</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gaa4c0459a185dd677765d7ef073bf32cb</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>SHA1_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga64b4d9ca4dc8396ad3bf5b6e5fd6ac6b</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA224</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga31657accc4ffcdf966506bb07bc9a5f5</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>SHA224_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gad78d030a15fd77e92b6acbebf0f01c3b</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA256</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga2650a6a57142a6c971c583f85c102bef</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>SHA256_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga3e79a4b0a0fcbc536472144fbcb60fd7</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA384</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gad1ac64eef1215b1da8be27c2cd3554d8</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>SHA384_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga46725d7321778042e1acc9fc7e4f0842</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA512</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga6f598af6d5f8eecd18e9b8048ca610b3</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>SHA512_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga14a7dc1fd6565a0ffa61d2dc943ef3e1</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>SHA_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gaca414387b2224d7f22b4ebadec0b419d</anchor>
      <arglist>(data data)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>hmac_functions</name>
    <title>HMAC Functions</title>
    <filename>group__hmac__functions.html</filename>
    <member kind="function">
      <type>string</type>
      <name>DSS1_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga273ae6d3d7e9dfd45155cf7589882a7c</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>DSS_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>gae0e62ec8220f67c57160ee5e724e38bb</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MD2_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga0c3c030ee810d1e4545eb60224ef2f51</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MD4_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga95007a24ccb4b71b6717db94203e724c</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MD5_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga9380e7a0aa8ae7f425ef671587db17d4</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MDC2_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga41a1ac452966138a244902fb8560fa09</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>RIPEMD160_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga8f1bb6dc984eb6e33f3dfa241d06c5b0</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA1_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga6c39c8f198bb7e29677cb1eaeaeaa7a0</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA224_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>gad6f20664a81729d7804251fb98f08b54</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA256_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga3d31d997ed70f1dd9b29ff500c2c5491</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA384_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga1330d317d741818ad6bf3029149c2f27</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA512_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga99d77cc0d6dd639906f9ade1ac36f6a0</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga4d2572f1c39720a82db19770835d555b</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>cryptographic_constants</name>
    <title>Crytographic Contants</title>
    <filename>group__cryptographic__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>DefaultIV</name>
      <anchorfile>group__cryptographic__constants.html</anchorfile>
      <anchor>ga3e258a2c4d9e99eb43a97e7bf1dbe870</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>old_dbi_functions</name>
    <title>Old DBI Functions</title>
    <filename>group__old__dbi__functions.html</filename>
    <member kind="function">
      <type>__7_ int</type>
      <name>getDBIDriverCapabilities</name>
      <anchorfile>group__old__dbi__functions.html</anchorfile>
      <anchor>ga330acb764484b16529d4f25960c45fa8</anchor>
      <arglist>(string driver)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getDBIDriverCapabilities</name>
      <anchorfile>group__old__dbi__functions.html</anchorfile>
      <anchor>gaec342f12d867758d49be57c1bf2a39cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>getDBIDriverCapabilityList</name>
      <anchorfile>group__old__dbi__functions.html</anchorfile>
      <anchor>gae35d9e887cfd754eea6cad030bb19864</anchor>
      <arglist>(string driver)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getDBIDriverCapabilityList</name>
      <anchorfile>group__old__dbi__functions.html</anchorfile>
      <anchor>ga9cbf88f872bbaebcd1d228efef180117</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>getDBIDriverList</name>
      <anchorfile>group__old__dbi__functions.html</anchorfile>
      <anchor>ga5d9143dbcae773794e24300fbe66109e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>parseDatasource</name>
      <anchorfile>group__old__dbi__functions.html</anchorfile>
      <anchor>gab8f5a597374024a8c78e767dbfcafc15</anchor>
      <arglist>(string ds)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>parseDatasource</name>
      <anchorfile>group__old__dbi__functions.html</anchorfile>
      <anchor>gaba3a2421c3d2b492c9494f346c13da1c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>dbi_functions</name>
    <title>DBI Functions</title>
    <filename>group__dbi__functions.html</filename>
    <member kind="function">
      <type>int</type>
      <name>dbi_get_driver_capabilities</name>
      <anchorfile>group__dbi__functions.html</anchorfile>
      <anchor>ga40597983f24f3b0edc06149246d1cbe2</anchor>
      <arglist>(string driver)</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>dbi_get_driver_capability_list</name>
      <anchorfile>group__dbi__functions.html</anchorfile>
      <anchor>ga1b7664b6fef86a36d8f96084fb88885c</anchor>
      <arglist>(string driver)</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>dbi_get_driver_list</name>
      <anchorfile>group__dbi__functions.html</anchorfile>
      <anchor>ga5f5a0bf394b3472e206441651bf48e9e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>dbi_get_driver_options</name>
      <anchorfile>group__dbi__functions.html</anchorfile>
      <anchor>ga6984501641ab8a4e2c5387743c24fc0c</anchor>
      <arglist>(string driver)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>parse_datasource</name>
      <anchorfile>group__dbi__functions.html</anchorfile>
      <anchor>gad95f3a076d1818cc722c516543e29858</anchor>
      <arglist>(string ds)</arglist>
    </member>
    <docanchor file="group__dbi__functions" title="Datasource Hash">datasource_hash</docanchor>
  </compound>
  <compound kind="group">
    <name>sql_constants</name>
    <title>SQL Constants</title>
    <filename>group__sql__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>BLOB</name>
      <anchorfile>group__sql__constants.html</anchorfile>
      <anchor>gac334541e4d6796152ba4d5391efd714f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CLOB</name>
      <anchorfile>group__sql__constants.html</anchorfile>
      <anchor>gafda425c6fc5962ff8d436c9d30bfaf02</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DATE</name>
      <anchorfile>group__sql__constants.html</anchorfile>
      <anchor>ga56cd886db959d27929f4700ab0d9d43a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DECIMAL</name>
      <anchorfile>group__sql__constants.html</anchorfile>
      <anchor>ga85bba3f8e978509f66f08011b264e9b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NUMBER</name>
      <anchorfile>group__sql__constants.html</anchorfile>
      <anchor>ga8d5c7d08373364f4773f65e69063cd04</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NUMERIC</name>
      <anchorfile>group__sql__constants.html</anchorfile>
      <anchor>ga223c3ce9da5ccb29dd35eab11f161f9f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VARCHAR</name>
      <anchorfile>group__sql__constants.html</anchorfile>
      <anchor>ga90979385c781ed49b4f726f32a48a9b5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>env_functions</name>
    <title>Environment Functions</title>
    <filename>group__env__functions.html</filename>
    <member kind="function">
      <type>__7_ string</type>
      <name>getenv</name>
      <anchorfile>group__env__functions.html</anchorfile>
      <anchor>gace276d74dd56457b85b1382d71fcf041</anchor>
      <arglist>(string var)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getenv</name>
      <anchorfile>group__env__functions.html</anchorfile>
      <anchor>gab8f2a8aa7e4c632b0f059c9a1dd0c48c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setenv</name>
      <anchorfile>group__env__functions.html</anchorfile>
      <anchor>gafc5304fccb2c7903ca1ecd1015d9730a</anchor>
      <arglist>(string env, softstring val)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setenv</name>
      <anchorfile>group__env__functions.html</anchorfile>
      <anchor>gad0a17803f2c2014c5384bd250c686c08</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>unsetenv</name>
      <anchorfile>group__env__functions.html</anchorfile>
      <anchor>ga9ed7b7400e10b55f434d2cbc9ba18282</anchor>
      <arglist>(string env)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>unsetenv</name>
      <anchorfile>group__env__functions.html</anchorfile>
      <anchor>gadb729e27243c0dcc739a6c4e7deb1501</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>filesystem_functions</name>
    <title>Filesystem Functions</title>
    <filename>group__filesystem__functions.html</filename>
    <member kind="function">
      <type>int</type>
      <name>chdir</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gada7c93e7806a58bee29f2357039479e1</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>chmod</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga1e5c4b6f766ada91769b932f77c33254</anchor>
      <arglist>(string path, softint mode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>chown</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga3c6e7029d5759c6cabfca1d7e3b27898</anchor>
      <arglist>(string path, softint owner=-1, softint group=-1)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getcwd</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gacdbc1372926ce2ee723dd5a434c6ff24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getcwd2</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga2ea46565552ed8a0fb60752a10c43d59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>glob</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga2d11f815ed935f32a7da9bb58aafbd7b</anchor>
      <arglist>(string glob_str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>glob</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga2d74de13e8fb0f3bb690647818cd068a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>hlstat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gac20fb7fb9c7fff0acf5aafb1411c61ad</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>hlstat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gabb441e137499385661b294f05e1b18fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>hstat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga642cabfee25c0d3666f97e8f8050be7b</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>hstat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gae2beafb85bdfb88495f1645605a96b0a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_bdev</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga139846d1deedb967e21af11e62799ea2</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_cdev</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga56ae16710a38109b7ed71010a5b3d9e5</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_dev</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga594e6a60ad12517656d32a7262777b4d</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_dir</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga38348592b2e5aa5589e0399c10b260fd</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_executable</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga0255009acc4b2cb332fd3f9d2aae7c05</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_file</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga6117e36222d08c197c2c0de1cadea715</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_link</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga55cb552f0c56f8ff6915ec7ad6ab3cd8</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_pipe</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga646f8b88054dbb2004e8f47ec09aa96e</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_readable</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gaf04a8a04f9130664f938cf7dc10dbaed</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_socket</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga568996f46411f4fa0daaaa4e61d20d44</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_writable</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga1f94b219bfc67a292a80cafcd2416ee5</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_writeable</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gaa7817f6649fdd56e82c65d9f62c8a707</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lchown</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gaa1536aa5f9d482dd449ad3e5f53a8507</anchor>
      <arglist>(string path, softint uid=-1, softint gid=-1)</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>lstat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga5032ae98645d68c69da67e546eb1b651</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>lstat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga0ac877d2d854200d4f7eed50e6a71cf5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>mkdir</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gab6901492129d8244f91fe0c063810984</anchor>
      <arglist>(string path, softint mode=0777)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>mkfifo</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga637652709e0dd1c846475de2dcfc7d96</anchor>
      <arglist>(string path, softint mode=0600)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>readlink</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga5de4265158222c7dc319c901943ee3a7</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>rename</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga4511dfd33a6baf40c66c91a4cbc9a5b4</anchor>
      <arglist>(string old_path, string new_path)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rmdir</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga56d2abad877339557cdd3c04660e77e9</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>stat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga21341f4049d3a46ca23b90bb4b6f168b</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>stat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gaff2c972124d3a61309d62b6394ab9896</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>statvfs</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gabdc034a14d30b5d5a36ae16fe4e55ada</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>symlink</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gae895213e0d9f207ab855e4546c791909</anchor>
      <arglist>(string old_path, string new_path)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>umask</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gad5d35a9e2871b2163d7ff65d717ed106</anchor>
      <arglist>(softint mask)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>umask</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga2061a066ab6e3c668849520e6c371d59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>unlink</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gaac76dbcada98d67b28a84e7296587b10</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>unlink</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga3e6fdb79f8eb0792ae20f1b86e695d1a</anchor>
      <arglist>()</arglist>
    </member>
    <docanchor file="group__filesystem__functions" title="Filesystem Status Hash">filesystem_status_hash</docanchor>
    <docanchor file="group__filesystem__functions" title="Stat List">stat_list</docanchor>
    <docanchor file="group__filesystem__functions" title="Stat Hash">stat_hash</docanchor>
  </compound>
  <compound kind="group">
    <name>library_functions</name>
    <title>Library Functions</title>
    <filename>group__library__functions.html</filename>
    <member kind="function">
      <type>nothing</type>
      <name>abort</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga4a51c4086a24e58fdeafe467d8188fbf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>basename</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga2552ac9c7f40c474e3b311b6178d7909</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>basename</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga0d6ab2c29ebf1ce62d34530d4a5be37c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>close_all_fd</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gab6595c1e20c2e84bea8a17544ec35a7f</anchor>
      <arglist>(__7_ softbool strd)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>dirname</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gaf9b9660d3eaaa087df1681f905936622</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>dirname</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga4b79aceed8fba8255b64024aaa0b193c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>errno</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gabcf45c25ca1234fc8c54761750324cda</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>exec</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga62b13320abd1919d456e2cb84390b0b2</anchor>
      <arglist>(string command)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>exit</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga3ec32747f455642fd9ce503094a5cc85</anchor>
      <arglist>(softint rc=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>fork</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga38309c0ab1c849afc031dd8547b1ac65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>getaddrinfo</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gae8b1111dd00428667e62aaf332579a52</anchor>
      <arglist>(__7_ string node, __7_ softstring service, softint family=AF_UNSPEC, softint flags=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getegid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga4195fddb23078a08e36088c5b9da1c63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>geteuid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gae504e6dff1aa04fab954b492830df193</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getgid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gae45b3134a21e8efc465c469bbe6b58d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>getgroups</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga0f7f448e698798cbc38f58e0b75edf92</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>gethostbyaddr</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gabf75d8247386c90c83583f6cd6909e1b</anchor>
      <arglist>(string addr, softint type=AF_INET)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>gethostbyaddr</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga7a7e2b5705964d0180b42dc8707e6090</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>gethostbyaddr_long</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gafdb3e4dbd0e53230fd0f6fe0cbd7ffe6</anchor>
      <arglist>(string addr, softint type=AF_INET)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>gethostbyaddr_long</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gab2e7951ad5d39a0e735702d2ceaa3e90</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>gethostbyname</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gaa4ca4c902bdebd8b368fb2ae00bf76b2</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>gethostbyname</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gab94736fbd3118f66eaa40c9ceb7d06ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>gethostbyname_long</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga9caff22e82dc2d3e0d13ecd19d398470</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>gethostbyname_long</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gace5c385a0af1e9b227618b94b2ccd2cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>gethostname</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga8bd938f03b1a6edb02b2a9970f5c8dda</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getpid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga5eb17bd4d23498ef42ba908d328421ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getppid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga28a69151eb051b67a5190a9570d35603</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getuid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gaa7cce69c66cbc6f183fa71931cdfc466</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>kill</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga0052a260c867683b040d0944cd85ef32</anchor>
      <arglist>(softint pid, softint sig=SIGHUP)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>kill</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gadf633e4d1be4ca6a24b58e5964b14070</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rand</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga6ed36f08f41864dfe007504e8b4ff5c3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setegid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga978d06ec48b315287cd514601645e21b</anchor>
      <arglist>(softint gid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>seteuid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga6bc0ecedb69f16a65b91bbb15d281446</anchor>
      <arglist>(softint uid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setgid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga643d15328846a7d64139c34a29efe53b</anchor>
      <arglist>(softint gid)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>setgroups</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gad3fc93a8891cc311d9110a6e155d1df6</anchor>
      <arglist>(softlist gids)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setsid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga6274ab755dee8ae955d48271d9a44676</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setuid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gad740d1b241a725df36965aa2bfb50231</anchor>
      <arglist>(softint uid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sleep</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gaad550dd966f91790528ec81150d5cf71</anchor>
      <arglist>(softint seconds)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>sleep</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gab828a9624ba2903b88ae4d52bf6094d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>srand</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gaeb017e3b5ea8ff39e270e844f280e32b</anchor>
      <arglist>(softint seed)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>srand</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gae6dd9a1ccae25a097d61cf0575161075</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>strerror</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga13d9bb498eef9caffe641130bd8a1c73</anchor>
      <arglist>(softint err)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>strerror</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gadfdbab96958d3623d431a7ab292d7e27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>system</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gab480d27a192337309e6497158df8e54c</anchor>
      <arglist>(string command)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>system</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga45e8c0b1cd4f673e5f72ce758bc84378</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>usleep</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga9bfa54e2c02b92b2a01f3cde2472ce6a</anchor>
      <arglist>(softint usecs)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>usleep</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga16b8b55b41fe579ce56a3b781b69a3f9</anchor>
      <arglist>(date d)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>usleep</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga3c406430b305f4ee204cb1dd2638d93c</anchor>
      <arglist>()</arglist>
    </member>
    <docanchor file="group__library__functions" title="Host Information Hash">host_information_hash</docanchor>
    <docanchor file="group__library__functions" title="Address Information Hash">address_information_hash</docanchor>
  </compound>
  <compound kind="group">
    <name>list_functions</name>
    <title>List Functions</title>
    <filename>group__list__functions.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>inlist</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga776993c1408e78f466e9b11aff7ecc46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inlist</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga67118489d63343ab95f887d785157c51</anchor>
      <arglist>(any arg, nothing x)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inlist</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga9020619344647831a1567312768b809b</anchor>
      <arglist>(any arg, softlist l)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inlist_hard</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga1fdf41e61754093da9f8a3b40e2a9cea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inlist_hard</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga4668ef52b2c07e8768118bc7c8638414</anchor>
      <arglist>(any arg, nothing x)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inlist_hard</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gadfee7f515dcd5fea3d496c842ce81519</anchor>
      <arglist>(any arg, softlist l)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>max</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga0ed7b64ce5e5480b0b53a753d34dafeb</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>max</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga937f27c094e53ca5f8ef7888f5395da8</anchor>
      <arglist>(list l, string func)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>max</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gaeacdeaaf7585f3793d022066540f5c3f</anchor>
      <arglist>(list l, code f)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>max</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga0c23f4c5929b01da67546ce40f383682</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>min</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga7158925604f8219ef91eb1d47c8b6f76</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>min</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gaa5f0fdf38ff5fd759a05fde08cf43ad0</anchor>
      <arglist>(list l, string func)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>min</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga89e33affbf7ed18097257a6ad49db2fd</anchor>
      <arglist>(list l, code f)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>min</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga65bfdbb1ce4ebf816b6513b712b6bfb1</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>range</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gabf1a283eed97fa22a32be14b30add9e6</anchor>
      <arglist>(int start, int stop, int step=1)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>range</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga5323b7e10aa589da12e6790f15711fb0</anchor>
      <arglist>(int stop)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>reverse</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga8d6317ddd1278a3a8ee255ec160333c3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>reverse</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga690f86a8283a28ab077a542a0d60b8c3</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>sort</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gaf7ac20e10d3511ecffd8e2096f1ea4fc</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sort</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga92f1bef2e1d3e7553899161035ebce7f</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sort</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga685a5306bdc7d39d7d0f22f4a39f9cc0</anchor>
      <arglist>(list l, string func)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sort</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gacbf1017e94fb40ebba2911cb0c0013c1</anchor>
      <arglist>(list l, code f)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>sortDescending</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga9bdc20072ba6920cac03b107e2b0beed</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortDescending</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga357f2c1db2247e470ab9a4e2d143dc7a</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortDescending</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga8b3017c54bb55091ffc345e29eba5066</anchor>
      <arglist>(list l, string func)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortDescending</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga5a2df667b83aa3ec79c8154e7f4ba151</anchor>
      <arglist>(list l, code f)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>sortDescendingStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga0e330a5fc9deca1df41a7584a4e529ed</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortDescendingStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga99855545ae07a5c89b2aa7daa20c240e</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortDescendingStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga50acfbff38f01a80c572caae9954511c</anchor>
      <arglist>(list l, string func)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortDescendingStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga94b9f84a8380f641e8268af5bea407c8</anchor>
      <arglist>(list l, code f)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>sortStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga1e6b8945fb4d2fd8517b83bab246023b</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga15501b975140857b6db1060fcc14f099</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gaa57833641818b74e7f3ce0b78b0aa935</anchor>
      <arglist>(list l, string func)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gabf5874986356a836b4f330b2e9c34fa4</anchor>
      <arglist>(list l, code f)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>math_functions</name>
    <title>Math Functions</title>
    <filename>group__math__functions.html</filename>
    <member kind="function">
      <type>int</type>
      <name>abs</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga38089899d2c160b300a0ae1864d62420</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>abs</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaa7733d4d308dbec2beace333f09c3ef7</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>abs</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga5e9a214488ce1f4ba5cc9d26f6978935</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>abs</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga71481aee49d627dc81be04218403f9c3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>acos</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga5a93ca5d985c1ec389dc2e8155c50945</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>acos</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga0838a098432c8e4c32193d7e0b5e2ec7</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>asin</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaef73d17beb9f264c4563d82a620ea4b2</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>asin</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gafca957e6c95406c4007756654864b23f</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>asin</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga6b76bdc78639d9016533ba4e12889054</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>atan</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga06455c71af5acd6092798bbd73a31d11</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>atan</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga1d6cd800200357be2f5ed3ae148b3214</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>atan</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga97fee9f84fea60610cb3cf2652b2ea79</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>atan2</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaf0dd86d0443549ced1ce66216e52b5b9</anchor>
      <arglist>(number y, number x)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>atan2</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga433a4ef722e514683bc77c8cdc17cd76</anchor>
      <arglist>(softfloat y, softfloat x)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>atan2</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gac371f42a2ccc6df4da19a12eed4af11b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>cbrt</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga550385686c44893395a36b2c04aaaf05</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>cbrt</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga5f7caff04d815819e5c97d1456ad312b</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>cbrt</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga6948548a7a38f3ab443cff2d685847cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>ceil</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gab2f8334d898d7ef21dd9fbe0375dce4c</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>ceil</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga3fb7712ae724e95a06af3a48797d6fa5</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>ceil</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaccf620735a9f2348f6fc1d7433d35ef2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>cos</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga186a9482dd5895b705a3beb96e082853</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>cos</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gad209f947ec323f3d4b510ba5f92be3e9</anchor>
      <arglist>(float f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>cos</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga0850361c701d766865c53c9843816b35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>cosh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga8c8d31cb7ed2a3049674fb466a28d5a7</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>cosh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gae19f38dfe1db9a2301e416a3856407c5</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>cosh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga1a61f3338662e5506b6136432b2ce151</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>exp</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gade650051a32f10bd32c11e43147f5c9f</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>exp</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaa0affdead63c65b21c00b58022b3e68c</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>exp</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gacfec9a92f179668fb42789b58ecd4813</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>exp2</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaa74f9ab5d7202722ddfa833494b8964f</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>exp2</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gab945afacb9ebe698063c36f130583797</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>exp2</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga4dcd9971318a4097503725feb6853adf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>expm1</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaddd772711a98adc77dab2d3fe44caa0e</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>expm1</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga1fcb0c3b334fca454e2f2a20a5b23465</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>expm1</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga57e59f21e8fea30377359bb776dd1556</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>floor</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gadf3a5ffeb29fe4a652009bb42dfabdf4</anchor>
      <arglist>(softnumber n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>floor</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga78a3d1cb919c67c41b62cbf47f339e2c</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>floor</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga9ccdcd051934bf7cd5d74fc76da5e013</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>hypot</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gac5c31652da041eff9ea16b3c2771286d</anchor>
      <arglist>(number x, number y)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>hypot</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaf659ed610b825c471a6dbcdb49e3ff5e</anchor>
      <arglist>(softfloat x, softfloat y)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>hypot</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga3bbf7515c71d0317f2d9808c770482fa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>log10</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga0b5ab474da3ffc109e7fd2e88054f558</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>log10</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga40e4696269395eca51826018ccb1005c</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>log10</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga8c69b9687360cabd345fe651944d64b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>log1p</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga8dc307313dd965ae431e7b01d262f3a2</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>log1p</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga08abc34cf4eed7f2988ad72e1d8a7efa</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>log1p</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga764e8653af1f7486a5094e4f82076144</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>logb</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga60aedc6483aae0b6a8995a0e66033917</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>logb</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga9c502205c686b8d4c6c0615098f2a79c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>nlog</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga0d0fa396dc4a1b684067c9b997d71124</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>nlog</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaed1fad62e6b0652db6dee40136938be0</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>nlog</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gab378250c1757fa872825a6390143f3c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>pow</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaf2588c28291e1350f74db63b3e4a0a1a</anchor>
      <arglist>(number x, number y)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>pow</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga17c670477842b817de5b3cf8564069cb</anchor>
      <arglist>(softfloat x=0.0, softfloat y=0.0)</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>round</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gab07fddd76eccfc84c6a9b87b117ac9e6</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>round</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga4f3085da85305ad70a4883d9531f0af2</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>round</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gae6425e4d03545022532cb545b6d8f8d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>sin</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gad00ce3afad2d4bd3801b62ed29075025</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>sin</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga107498f74b38f1d78d61bd9a6a548de0</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>sin</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gab31f5ce089c6688322f724d8780f7f70</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>sinh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gac9aa03003b422b8be260d6f619920bf9</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>sinh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaf28e116cbae881b4fa41cefe14cc3214</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>sinh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga6aefc0c0ac853d4cfcf5e572897599f6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>sqrt</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga2f134b5b4d98b70d72f9c94f3b95d4cc</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>sqrt</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaefc4acbd9b9a216d3cbcdd280e7ab180</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>sqrt</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga8873e17f305c9f756e2dee5c315a3776</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>tan</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga8a3cbd27664790d4ce0fc1fedc8b7c44</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>tan</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gac1f61216ee1f25b70d5155fd2d9a459c</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>tan</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga45cc206908aba7948ffe6c6ee4f74129</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>tanh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga643397eb8e9ed9003e97ad3080f098a6</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>tanh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gacfa354769ae75f003aae7a7fd89b93f7</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>tanh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga7c3ad79861038ae30568b6543e51af93</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>math_constants</name>
    <title>Math Constants</title>
    <filename>group__math__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>MAXINT</name>
      <anchorfile>group__math__constants.html</anchorfile>
      <anchor>ga96d58fec2ca2cec95893872b16b84daa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>MININT</name>
      <anchorfile>group__math__constants.html</anchorfile>
      <anchor>gaba64488e1020a48909a9a33bb1f4e6ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>M_PI</name>
      <anchorfile>group__math__constants.html</anchorfile>
      <anchor>gabe92c91d98db63d08337f42216e4310f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>M_PIn</name>
      <anchorfile>group__math__constants.html</anchorfile>
      <anchor>ga2326203043f44a1fe37ffebe35ab8513</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>signal_handling_functions</name>
    <title>Signal Handing Functions</title>
    <filename>group__signal__handling__functions.html</filename>
    <member kind="function">
      <type>nothing</type>
      <name>remove_signal_handler</name>
      <anchorfile>group__signal__handling__functions.html</anchorfile>
      <anchor>gac05b9fa9ba1c302c9a34995573482a5f</anchor>
      <arglist>(softint signal)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>set_signal_handler</name>
      <anchorfile>group__signal__handling__functions.html</anchorfile>
      <anchor>ga28cf2a280f8c3c302eeac0a46030be2d</anchor>
      <arglist>(softint signal, code f)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>misc_functions</name>
    <title>Miscellaneous Functions</title>
    <filename>group__misc__functions.html</filename>
    <member kind="function">
      <type>string</type>
      <name>backquote</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaf1f9e78591e0726d73eaf1639efa2611</anchor>
      <arglist>(string cmd, __7_ reference rc)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>backquote</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga1d71fa075b5fd841df08e05cfdfc95c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_builtin_function</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga763747610a3546dd2340c703ced15bd6</anchor>
      <arglist>(string name,...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_builtin_function_args</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga8a09a722bcccf27139640bde318310a7</anchor>
      <arglist>(string name, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_function</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gadb60673dad0c6cd7ec4fe1eec8c5dab8</anchor>
      <arglist>(string name,...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_function</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gad84bc65c4a73c9a46b6481d3865a91ee</anchor>
      <arglist>(code f,...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_function_args</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga6d920ba42e07061721bd201ce2564bb8</anchor>
      <arglist>(string name, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_function_args</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gae1d16b3c77aa2f8b8433d9b75600370c</anchor>
      <arglist>(code f, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>decode_url</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga51b949c2d20900fdc2e1b8e46988d2b1</anchor>
      <arglist>(string url)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>decode_url</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga2f5349505d3d2563ef31f4d8b5c5f1b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>encode_url</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga639fba8c278c69ac4d4190ca1db19235</anchor>
      <arglist>(string url, softbool encode_all=False)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>exists</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gad1e87cdb4aded090b1801d952e018a50</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>existsFunction</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga83615e15094fca9ffe868ee0d80cd002</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>existsFunction</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaa3aa518a4c17e2593c2773bc6b71af3c</anchor>
      <arglist>(code c)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>existsFunction</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gac6b3861f291cf4c2f62742fc8ec9b717</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>functionType</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga5ae2be041abe7d02be8a2ccc67c0032f</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>functionType</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaf46dfa4dc44e9e7091e981c87ebbe438</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>getByte</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga3a6b906bee63eb28d20610da64fd5417</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getByte</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gadfbef79c0c3442d2d7857f6ba1d56049</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>getByte</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gad79fe036448819f5e392ef443b60b97d</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getClassName</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga46b9c2df48897cb68e765cb6d66728ac</anchor>
      <arglist>(object obj)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getClassName</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga69cdaa7f57458a60221fbed9ac2feb38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>getFeatureList</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaa1e2c9fc19fe68b7fe55e1004fadea31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getModuleHash</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga8403cfbf9de02c113a9f0dcfb58f4314</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>getModuleList</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gac0f41a0baf9a10b14442be26403fe733</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>getWord32</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaed6fd3c7569dbd820cff0fc1e23db555</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>getWord32</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga771e2f1f122ccd8574354abdff42c192</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getWord32</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga11bb1ea838d7c14802f3810ed0cbfdb2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_byte</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga24aed47f45573187b6644d5ec1a3aeb5</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_byte</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga8a7ea9de612741d9bb26bf926d211c71</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>get_default_encoding</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga8f800bec17c55a15ec7255dedfa25c6d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>get_ex_pos</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gafadcbf214ccffbde013894b330b7c7ae</anchor>
      <arglist>(hash ex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_parse_options</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga6b1422bc842cbf53cf2bb53ef9322209</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>get_qore_library_info</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaf67d7ded1719f761d52819469b40aebc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>get_qore_option_hash</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaa1c1e9b47829b8139adb60a3f85947cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>get_qore_option_list</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga46b20ef171a0c0af8d5760f46ebc7894</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>get_script_dir</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga4730f5a695996be26efbfa9760417b1b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>get_script_name</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gade1f45f4d12597822362d920c84695a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>get_script_path</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga3ebc5d7d350677395e4b89686ca335b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_16</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga5802a4f147d02009947401dd92e3b197</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_16</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gad19c4c14c864af9759effecbfef6d68a</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_16_lsb</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga8d9d7eb06b650954226a82502dcaa838</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_16_lsb</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga28d6b93d58fb1df8615a9701fa10fe52</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_32</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gae5d20bf535d84eee3ae17402b3ac4ec7</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_32</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga1124c85d897be618a9e61c1fbccd37d9</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_32_lsb</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga29b56ac9ee5c55bf8243b3060388be02</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_32_lsb</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga2269ca395fdfe9214039952c4cacf730</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_64</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gadf53ee1d46382bf4cb2c4fd12816a5c8</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_64</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga6fbc2c59ad0af1fe6a9e87b6f037d331</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_64_lsb</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gac260e3cfffb2c9ac8e69a1428183de01</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_64_lsb</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga08294fc87d5f9d127cdd794085c59072</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>has_key</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gae5e23d5903ee2b32bb4925b756607cf9</anchor>
      <arglist>(hash h, string key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>has_key</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga5cf258d64631c0422ee15e0796361b28</anchor>
      <arglist>(object obj, string key)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>hash_values</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga4fdc10fe7c8f77e24432ae2e435f9211</anchor>
      <arglist>(hash h)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>hash_values</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga6f07280e7c9ab676913b6fcb84588610</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>hextoint</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga635c21b4901af8accbf5729682b90f20</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>hextoint</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga54d9807bf59a9e97284b12542a4c3ec6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>html_decode</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gac6f51f8c4de37bc139346d6059961148</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>html_decode</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gad95ece28621404a42cf5e3f80193c84d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>html_encode</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga98e1d9690329e8c94f88b833af36ef72</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>html_encode</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga26f2cfc2d0d972642e82eedc09d097cc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>load_module</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gae8e72e38355f6fcd037ca65945377c96</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>load_module</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga366da9b19ed9b6fb4936f5e5a2ff3663</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>makeBase64String</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga302de285f031c3dd4b059df3494bd21c</anchor>
      <arglist>(string str, softint maxlinelen=-1)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>makeBase64String</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga511ce458d13dfbea8c22ece63c315bb7</anchor>
      <arglist>(binary bin, softint maxlinelen=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>makeBase64String</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga1d5d34fd58d766f2eacde5701f5a99ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>makeHexString</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gae4ca24e1000d327df636f75c7bf4f00c</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>makeHexString</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaafe286db27d58cea75749c1bdabb5ad0</anchor>
      <arglist>(binary bin)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>makeHexString</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gacb04ca5bd37d873b867186c4da295f0c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>parse</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga17bc2cdb62ca121ae990e497e609349d</anchor>
      <arglist>(string code, string label, __7_ softint warning_mask, __7_ string source, __7_ softint offset, softbool format_label=True)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>parse</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga6c7d460b97c3c862717b052355985ded</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>parseBase64String</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga1e6e24f780713c4d10cb9b98fa45cd35</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>parseBase64String</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga0c3bdfd8fb3a29af0d3bcd0ed3a05eb0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>parseBase64StringToString</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga1f1a63790a7c60a3a61c5d1569fe4e4c</anchor>
      <arglist>(string str, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>parseBase64StringToString</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga8851e308445e0388408b8b2cca344088</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>parseHexString</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga74fed7603d2176dd5d433d3fae02ad9f</anchor>
      <arglist>(string hexstr)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>parseHexString</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga64ee3ae01383697ae0174fd0cf6cbc5e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>parseURL</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga6acb2a9487067027a3bdb0d19e2af5fb</anchor>
      <arglist>(string url, bool keep_brackets=False)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>parseURL</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gad2514f74637e1955648b867103aea595</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>parse_url</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga622e19abea9bd621927bce830b5df09d</anchor>
      <arglist>(string url, bool keep_brackets=False)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>splice</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga3b0fa637025e8fbacdf4e43c33e37dc8</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>splice</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga2d484582db42dcb4752812d3243552bc</anchor>
      <arglist>(string str, softint start)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>splice</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaaf2f11a128064b10de5cd2ce1fec72d3</anchor>
      <arglist>(string str, softint start, softint len, __7_ string nstr)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>splice</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga88ec0c57f38fb9b7f1a3858fc2e307e8</anchor>
      <arglist>(list l, softint start)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>splice</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gacec3f65cab29f5f51e4555b823e13d6c</anchor>
      <arglist>(list l, softint start, softint len, __7_ softlist nlist)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>splice</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga7434c1e84c31c32b816312e7a846e876</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>strtoint</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga868cb227993d254a65afb9d21ccba9fe</anchor>
      <arglist>(string num, softint base=10)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>strtoint</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga25647de5f63580b7d3af4b33c4f35702</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>signal_constants</name>
    <title>Signal Constants</title>
    <filename>group__signal__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>NameToSignal</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gab42117fc78cb6af6c22136a392943a55</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGABRT</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga2d73dee6a914b7760fbddfda0c1f5a01</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGALRM</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga1865894ae3b452b049f6e9a8ff0c80ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGBUS</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga47d644d04fa2f5023bbb9f55a5d98b01</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGCANCEL</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gaa23e1d77399d44d5237bf2387fbfeb71</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGCHLD</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga26dadbd9fd651454ed2cd9aec27c89d0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGCLD</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga6abd5f39c4f458a3d791c0d3b5289976</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGCONT</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gacee971bf64b5288b7b88b19b87fc985c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGEMT</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gaa4ff64ecb84ea58efee8d2e1086ff67f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGFPE</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gaa760f275652fb31f85e31480a4637698</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGFREEZE</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gae1574ae772e78b466d74a3ef71e3edfe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGHUP</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga1a9d023101a217b83525ea6e2f7581cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGILL</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga650531dfb97191ffb28072f299967fdc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGINFO</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gaa64b81edb492442c84993c3e2d60999a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGINT</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gae1a22383c370f5db5ed244ecf3f0fb06</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGIO</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gad20de530f353b455f409de0d4fb61880</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGIOT</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gac2320ab15a0ac209b996737f63c881cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGJVM1</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gadf5acb1f70a6dd74be47bea35edf2f6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGJVM2</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gafb2c7d6e7edc49f5e72c538cf9ede594</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGKILL</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gab521aedd9612c8a7617c522f4225ebb6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGLOST</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gaa891a5a7cc44222d54ea103d940d5454</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGLWP</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga25e954d589d7f8b4ef549138fdf95840</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGPIPE</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga541ed3fe491a37cece6eb74c1db398b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGPOLL</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga2ab5265612db9553d78f105c9849bfbe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGPROF</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga620029e960ee7a416daff1bf61ef8684</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGPWR</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gafd6b196e097d02519f301fe2ac2394e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGQUIT</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gabc953d69950a28fe937b4d3b07898b50</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGSEGV</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gada22169eb534eed936738dfdcce3d3ac</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGSTKFLT</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga4e0349e8aa84fa0b7cf80232e5ed2045</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGSTOP</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gaa2a903e84e1dadffcc261811913bd552</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGSYS</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga2763655f936f34761b70ba43bad5c63d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGTERM</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gac3aa3ad8ed6f20bcd925f7aa351b967e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGTHAW</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga943ce4334d5a4cfa3597c6c581e50b6c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGTRAP</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga8dfb9e90a7d43eb8ed14693d3cef69d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGTSTP</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga4342fb4d1895a224a188b5be0045335b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGTTIN</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gac587eb24af06513dd73790b9186b9afd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGTTOU</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga212ae2f9d975d89621c51fdb9204b2ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGURG</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga71be1d2281a0fa350171c12adaa88254</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGUSR1</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga0607bd6388adf02985d48239b882a0bd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGUSR2</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gacc8913e44d98b7dcb4bdaf256ea92633</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGVTALRM</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga3d2b5c4187540623d6ea22c5225bdd3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGWAITING</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga351bab31a52656719e7f81301449e3e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGWINCH</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gaa481ec3f81e7c5d8009706eedea394ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGXCPU</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gad50860982883d7dffde6d4970f4f249d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGXFSZ</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga447164e5bdc2f78c152fca2c8ea299d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGXRES</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga08c2521752c47194e089747074dae077</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SignalToName</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gab6a540f14b42b4b137c2fe1ad70fa0b6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>object_functions</name>
    <title>Object Functions</title>
    <filename>group__object__functions.html</filename>
    <member kind="function">
      <type>any</type>
      <name>callObjectMethod</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>ga4f111eda639231f3ae3d8da481575847</anchor>
      <arglist>(object obj, string method,...)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>callObjectMethod</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>ga861f336da074c21b56e747f402fa42e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>callObjectMethodArgs</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>gad8ddca1773daff755355a7ac084d8a1b</anchor>
      <arglist>(object obj, string method, __7_ softlist varg)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>callObjectMethodArgs</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>ga79bd6285b75f19740d2584018d4aee3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_pseudo</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>ga3d7016acaf32d36ff262c20c12608e1f</anchor>
      <arglist>(any val, string meth,...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_pseudo_args</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>ga84fc0d10bd4723814c87823e723e355d</anchor>
      <arglist>(any val, string meth, __7_ softlist argv)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>getMethodList</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>ga88b51a14acbe008f2e60fca211b98a50</anchor>
      <arglist>(object obj)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getMethodList</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>ga380a58621dd27a188a2c8325cce1f9ff</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>pwd_functions</name>
    <title>UNIX User and Group Functions</title>
    <filename>group__pwd__functions.html</filename>
    <member kind="function">
      <type>__7_ hash</type>
      <name>getgrgid</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>gadfda7ac73dc90aced9e933aaa4ff4eca</anchor>
      <arglist>(softint gid)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getgrgid2</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>ga4f5a414252d127a6d4e5ebdef899b7e0</anchor>
      <arglist>(softint gid)</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>getgrnam</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>ga014d0a2042e551dccb8e269d07f85cc2</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getgrnam2</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>gaaf26a8ce98d46099b94ddcb494e615d4</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getpwnam</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>ga1584a4a9164ae9d500fca9b26452de75</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getpwnam2</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>ga0c3202405d84f4dd85542c299b3a13cb</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getpwuid</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>gaaa76f90738de6fc76e00963c96da8778</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>getpwuid</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>gab183044f344ff13e5b239fc955dc752a</anchor>
      <arglist>(softint uid)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getpwuid2</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>ga433e71fb300c2c5bab15a081ff6809da</anchor>
      <arglist>(softint uid)</arglist>
    </member>
    <docanchor file="group__pwd__functions" title="Group Information Hash">group_info_hash</docanchor>
    <docanchor file="group__pwd__functions" title="Password Information Hash">password_info_hash</docanchor>
  </compound>
  <compound kind="group">
    <name>string_functions</name>
    <title>String Functions</title>
    <filename>group__string__functions.html</filename>
    <member kind="function">
      <type>int</type>
      <name>bindex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga1f5360410dc63441327daf2af65b9270</anchor>
      <arglist>(softstring str, softstring substr, softint pos=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bindex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaaecdb10e31e659cc1a2c9b9a40f7a3de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>brindex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga123df73fe420500294a26163371fb175</anchor>
      <arglist>(softstring str, softstring substr, softint pos=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>brindex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaa0d18a7dbb5ee30d63929328b6876949</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>chomp</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga802f2d1c8deb1b120b649bb1e3652095</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>chomp</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaa9c3f6f6bbb7b76f64626952a30029f5</anchor>
      <arglist>(reference str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>chomp</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga343548c069d7b8d02c522acd05179bf1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>chr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gad77c02ae2ce2f5c321b98bb64a0e34c2</anchor>
      <arglist>(softint val, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>chr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga5c61d5ce4f9a0cffb99dcb3e6c0cfdc3</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>chr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga59eee6c7078dcb8221b554eddaba2a7a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>convert_encoding</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga02c8ad6db7ae5c0930c8050840253035</anchor>
      <arglist>(string str, string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>convert_encoding</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gab1555ebefd40327741bb93177a6c8ec0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>f_printf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga4aeb0ae8aaf5cae9c3a4dfde8e8d92be</anchor>
      <arglist>(string fmt,...)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>f_printf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga7339327f0976a4d0f765620448534ecc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>f_sprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga859e7c350c00ade5ebeb8e2c6a3d9b1f</anchor>
      <arglist>(string fmt,...)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>f_sprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga53ae4d23416145fb8dfc73146c2f1fcb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>f_vprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaeef933f9cb8d44aba81a765c2d3b6173</anchor>
      <arglist>(string fmt, any varg)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>f_vsprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga5194effaff82a2f87d21113831dc2978</anchor>
      <arglist>(string fmt, any varg)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>flush</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga56e62bf88b3fa54aa9aa75508d5d6c05</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>force_encoding</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gae583afd778a92a7b2a3027383fd75ed4</anchor>
      <arglist>(string str, string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>force_encoding</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaaf459e46d453147d330083e2680823dd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>format_number</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga33bb08516773ed10def16bb42d6b8159</anchor>
      <arglist>(string fmt, softfloat num)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>format_number</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaa03f03e0fe8bc5aaeb9bee8fb35b01f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>get_encoding</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gac4a81651e374644e697e3ce61c373694</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_encoding</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga800639b45a2c9b2f0e6effc687a52097</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gadaea9cfa0f698a6fb0650f70cf8d929e</anchor>
      <arglist>(softstring str, softstring substr, softint pos=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gab2ccb59779f7860a4e67af5b5a3bc766</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>join</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga2470edb3a13437c060ec85e7653e022a</anchor>
      <arglist>(string str,...)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>join</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga2adfe42c0b4c85e4bd6adf2e5c5afd48</anchor>
      <arglist>(string str, list l)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>join</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga9354dbf44cdf06b8011eb4f1409236b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>length</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga5ae69f518a47e6146bf2285a54804455</anchor>
      <arglist>(softstring str)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>length</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga4bb7464900907fdeca6696c31944758e</anchor>
      <arglist>(binary bin)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>length</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga46649277a74fa0dfc28f0125fcbfe7e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>length</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga935b0ab5eddcd1a2e2272e34d1b5ddab</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ord</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gab1aedfc4b3b7aed6dffead7e46c72b07</anchor>
      <arglist>(softstring str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ord</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gab998e345a65c1e98ca9370c3a324f9cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>parse_boolean</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga774b6d0f9d5835de7d7362400aa2cdd1</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>parse_boolean</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga67c292e1de784ad21b0133e6984f8068</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>print</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga996c5d1686fbc245f0bc7a02012e6a33</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>printf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga32070517a9f8a70a32ef48f83a6f128e</anchor>
      <arglist>(string fmt,...)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>printf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gafa558d5962543431e9d3f872c481693a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>regex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga7804f63df9b181e0bacb465eb912feb9</anchor>
      <arglist>(string str, string regex, int options=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>regex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gab17427299ed00ee52d90beadc55ba608</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>regex_extract</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga46ab689e1b00bf91f75c976304e3a8d0</anchor>
      <arglist>(string str, string regex, int options=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>regex_extract</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga3461a37dbd3d51bc03e58b85daae2466</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>regex_subst</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gad8963269da93fe1ebaa179dab8d315fa</anchor>
      <arglist>(string str, string regex, string subst, int options=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>regex_subst</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaaf6eccd667d478b31ce20cde7556491f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>replace</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga757f5b4682cb6787e7e186ddcc2b2b56</anchor>
      <arglist>(string str, string source, string target, int start=0, int end=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>replace</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga18db5008b245ff4346386a107b19b2ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>reverse</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga1a77feb53e86b659be6d9eea7d3618e8</anchor>
      <arglist>(softstring str)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rindex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga55663008aa59489b869e558b29c7c22d</anchor>
      <arglist>(softstring str, softstring substr, softint pos=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rindex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga390f6c11ecc55c179293de8e87605d2f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>split</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga2858b6c53140370e9f96f7b7df8de4ec</anchor>
      <arglist>(string sep, string str, bool with_separator=False)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>split</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaffe444060e0eb67da8ade0f78b5f91f4</anchor>
      <arglist>(string sep, string str, string quote, bool trim_unquoted=False)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>split</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga3f5765ea29f15b469e621cccfc226af3</anchor>
      <arglist>(binary sep, binary data)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>split</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga923162be7c98d9bae34383ceae887cb3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>sprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga7a74be141f814ef286046c367b21091c</anchor>
      <arglist>(string fmt,...)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>sprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaadd7e7a29545d6dcb6b886487cb64b18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>strlen</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gafc530772b929b2148ae2733569bada58</anchor>
      <arglist>(softstring str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>strlen</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga3c5426eab56d284c42e16d576c241424</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>strlen</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gacfc7940a84a67b975d9a723eb8c35417</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>strmul</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaabfb10141a51d31ef100d9fd3a02252e</anchor>
      <arglist>(softstring str, softint smul, __7_ softint offset)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>substr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gafe621446ada382d5b086a1d2a20934c9</anchor>
      <arglist>(softstring str, softint start)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>substr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga7893910a0881f74365a20ec7a46014b6</anchor>
      <arglist>(softstring str, softint start, softint len)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>substr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga8b90bec06c9dabd6d54fff51684f9da6</anchor>
      <arglist>(binary b, softint start)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>substr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaf00ab0e1f2c880e0da287c102aca9873</anchor>
      <arglist>(binary b, softint start, softint len)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>substr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga6d76c09df83d593dcb4d80b1988d1b88</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>tolower</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga69274a2dc60bef5acb7a8adad8b96b8b</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>tolower</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaee3b0330c18a79c0a474cad90724ba26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toupper</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga55350788372fc736eee9c0102ec82215</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>toupper</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga89a2d29770895c7fc27ce3e95d657315</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>trim</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gae8d314e819a299d46d181696600d4293</anchor>
      <arglist>(string str, __7_ string chars)</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>trim</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga4964d4d76f0418b0cf6af8898f04dce2</anchor>
      <arglist>(reference str, __7_ string chars)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>trim</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaff249219345cbb027c8868c82585383a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>trunc_str</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga49c6b104180fd40bb21d164773df1f4b</anchor>
      <arglist>(softstring str, softint len, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>vprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga5ff7c0d6e7af6ce2274213cf7d3916a5</anchor>
      <arglist>(string fmt,...)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>vprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga3204bee77dc83e5095f95f6582e591c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>vsprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga64320a810e07ae58a53a42c63c8e0094</anchor>
      <arglist>(string fmt, any varg)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>vsprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gab53f40cb39abb3bd2a4d782741b6b0bd</anchor>
      <arglist>()</arglist>
    </member>
    <docanchor file="group__string__functions" title="String Formatting">string_formatting</docanchor>
    <docanchor file="group__string__functions">format_specification</docanchor>
    <docanchor file="group__string__functions">string_escape_chars</docanchor>
  </compound>
  <compound kind="group">
    <name>regex_constants</name>
    <title>Regular Expression Constants</title>
    <filename>group__regex__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>RE_Caseless</name>
      <anchorfile>group__regex__constants.html</anchorfile>
      <anchor>gaa5ae5ce8410a6a2a4970fc1b21e06382</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>RE_DotAll</name>
      <anchorfile>group__regex__constants.html</anchorfile>
      <anchor>ga028abcd0871c7c4a47d8f742d80b2e65</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>RE_Extended</name>
      <anchorfile>group__regex__constants.html</anchorfile>
      <anchor>ga5b3cb1f574259b53cedb818cb41977cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>RE_Global</name>
      <anchorfile>group__regex__constants.html</anchorfile>
      <anchor>gaea655c36090c9f1e6bb24cb8de998a04</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>RE_MultiLine</name>
      <anchorfile>group__regex__constants.html</anchorfile>
      <anchor>gad67849c1513d0d160548c2c667855ff0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>threading_functions</name>
    <title>Threading Functions</title>
    <filename>group__threading__functions.html</filename>
    <member kind="function">
      <type>nothing</type>
      <name>delete_all_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga67572bb3364b4af9d37226948fb680c5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>delete_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga7fecb4c50726c994a9cdaf1d3284e5b4</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>delete_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga54537615afcd865cc8d5ebd07b88ab1d</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getAllThreadCallStacks</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gafd3175bee28ab8ad01b908ddbe75eb85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>get_all_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga0e41351fb2defb17a55e3fd0e60af08f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>get_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gaa69ff560809f0358f92f472ba1dbfc4d</anchor>
      <arglist>(string key)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gafe320b93634b056e4d36ad02086b0638</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ TimeZone</type>
      <name>get_thread_tz</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gad86831d8ae7b5b1d35e9bb14dc9f6325</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>gettid</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga95ed8e572309b44b3f5b49673238c3e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>mark_thread_resources</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gafa1c0f9e429a945b66fb261c7fa1b5bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>num_threads</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga4bffba0876346fe5233ed4f5161c90d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>remove_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gaa0e42c31c2764c9def6637368d4ef8a1</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>remove_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gad2895da6064b226cbe9e48e5d1ff7229</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>save_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gad1a3dc7fced3ab8e520d7bdbf6b7b69c</anchor>
      <arglist>(hash h)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>save_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga8abec5401287726267dc25e07bdd12bf</anchor>
      <arglist>(string key, any value)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>save_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga1da332e389e3083ba80d45aaec0525c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>set_thread_init</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gabe21bb73c9956e880e2d6902c01dcdef</anchor>
      <arglist>(code init)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>set_thread_tz</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga07fcdce92cacc7cea4b92504a737d7c2</anchor>
      <arglist>(TimeZone zone)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>set_thread_tz</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga21c1462b384cf6a52d20195bb3b6cf90</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>thread_list</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga4c0ef233765a3fe84a89f8c5b61915cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>throwThreadResourceExceptions</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga401f0e787e79f2e4851d60b9223bb8d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>throw_thread_resource_exceptions_to_mark</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga4e62409b8a1b414276d033267e7299e4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>date_and_time_functions</name>
    <title>Date and Time Functions</title>
    <filename>group__date__and__time__functions.html</filename>
    <member kind="function">
      <type>int</type>
      <name>clock_getmicros</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga8027edf6a9aee300be71b546c34a37c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>clock_getmillis</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga2515bef23859efbcc2f8895b204010cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>clock_getnanos</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaf231c253db97a5c471e79358a789585b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaa80ee453b6a5653ac685d7e290c74e3f</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga835071f44cebd259e52045a822009cac</anchor>
      <arglist>(string dtstr)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga6be6ed69b109c4deb6c69924777a2bae</anchor>
      <arglist>(float f)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gad1f1d7cbea3ea333ba3cb805da015fc4</anchor>
      <arglist>(softint i)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga1bd6722e7ca0b4332f0f30aaaa989b08</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaaa7df678ffcdd4f57f1f2f412b5a6f2b</anchor>
      <arglist>(null null)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaa990826f93b4f22f786fcfe431c4886d</anchor>
      <arglist>(string dtstr, string mask)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>date_info</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga715bd37d2821ee20a934a4d76b708115</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>date_info</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga6ba95f5523418f764974115e4bb65dbb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date_ms</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaa3c93eee1ff2667b2cded39f0fb01639</anchor>
      <arglist>(softint ms)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>date_ms</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga4a67e87acc70debe7b4d841f3a0d7279</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date_us</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga9200d06a35e6a2c19aa2a6c952a049c0</anchor>
      <arglist>(softint us)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>days</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga0f5bfff6ce4b534b1c3a6c5357b1377a</anchor>
      <arglist>(softint days)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>days</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga09afb095d65e3393a85af466384c8bc4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>format_date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gad5572fcb49964bfe3005e144da579361</anchor>
      <arglist>(string format, date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>format_date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga4512b76526538194359a25ec63b60369</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>getDateFromISOWeek</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga86f47ab9a928a2c8aff8cbac9b5f3518</anchor>
      <arglist>(softint year, softint week, softint day=1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getDayNumber</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga08d26e9c0ed9635a1ee1158ee4bf24a5</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getDayNumber</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga43bb7bc0ae09fa7fd9267e248d3cb8e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getDayOfWeek</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga5719e06bb6919c3cc370f99910f78277</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getDayOfWeek</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga0c77571be96a607e6509a443924bbfa0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getISODayOfWeek</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga92ef075d0aa1945a11580a864bc7f4cb</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getISODayOfWeek</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga23973fcabb1d70ccb1fefe7f405988ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getISOWeekHash</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gade4471026c8ebabea860ed4f8b0d84c2</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getISOWeekHash</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga6492bcbbb26c4b8466a9203a86b4306c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getISOWeekString</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga04331a3a415abfaaa228c4253a04859b</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getISOWeekString</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga6f1fd787412d97d01c7b8450c5a6f82a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_days</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga12df9bddb196820c9278f7884d6816f0</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_days</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gac3b2e2b48cfa2cf2fded33e742a33b3c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_duration_microseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga314baf84678a796209a67156b4f5d8b8</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_duration_milliseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga9577b42c40fd075fb0bcb5ecabec75a1</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_duration_seconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga98ef4a4d08621926630c15c1bbd769df</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_epoch_seconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaa69c5fbab2d5e245d89cb3253523c310</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_epoch_seconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaeca2765fa7aa631c885e61490c2421a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_hours</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga83e582adb5ad1401911345ba306dabd2</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_hours</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gad6e926ac468f32b6f269b6d62dcc186f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_microseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga8ae5ae186ff94fc2033ee0f6f308688a</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>get_midnight</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga83dc9f23f27ec426d6eea28dea040bca</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_midnight</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga15e3b79ea0fabd6d544398e9c6d849bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_milliseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaabefaf27c91bdc7bf6ffa50b391279ea</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_milliseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga2247d7d6516390915ab492813184da7b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_minutes</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga4dbc1e7f615407a2aaa60610e03cf1ea</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_minutes</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga9d2be4bc7d936dbe4881a6d2b3a45ad0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_months</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga6a37327d1be86abe99b29c133c3fd0bc</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_months</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga5b22eb495f16c4e23fa1a902041588da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_seconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga8872de33c58a5b4a2ffe01818f226f48</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_seconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaaa477a2c5a1da483a4fcc58bb913064d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_years</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga730632dedaa1b9cef875a5a12861f1d1</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_years</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gad0d4c9db88f9089f385724476119ea3c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>gmtime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga098fc81e482c4ad4eeef3446c98f9b38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>gmtime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga9ca9d46f2eced39da05a7a6cb9723bb1</anchor>
      <arglist>(softint secs, softint us=0)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>gmtime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga755457185eb53b30eef65346922aae1a</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>hours</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gab342176f1a1c5ac93fbf18faeda3e943</anchor>
      <arglist>(softint hours)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>hours</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga6f8b91eee380336342e0af0fd1b2a28f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_date_absolute</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga544832cd9178c98718296c83dfddc2f6</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_date_absolute</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga1a78ee645b0b9816f7a1bbc77f0e4e3b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_date_relative</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaf7de7b0823a39642087140ff1224e033</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_date_relative</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga72eac18903961ac29592aa649823a5da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>localtime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga9e3f17815e16f8b91b489d60803f265d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>localtime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga695f842b668a13ca581975abb53e735b</anchor>
      <arglist>(softint secs, softint us=0)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>localtime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaa5194ca5a38b76a102c02bc4774e6723</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>microseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga5ecb2657b5cc84fc2f16ae1a4cc3fae7</anchor>
      <arglist>(softint us)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>milliseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gac8e561799a9f873502e161695670c06d</anchor>
      <arglist>(softint ms)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>milliseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaaca16fe50892b686b205610d8496e9ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>minutes</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga4d6d3d90deac1387573033793c668586</anchor>
      <arglist>(softint minutes)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>minutes</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga1633103f30ca698b3864e93e440dea00</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>mktime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga3278590d05035f64ba18170e87e8293a</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>mktime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaa545a3ae1c8c055949d2931285d02882</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>months</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gacf1db8004f38d76ad6028855f36772ce</anchor>
      <arglist>(softint months)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>months</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga0a6ebdc9e4a3dbaa7222f0b4c98fdda9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>now</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga23f067a4f82596346d4fef09782e1945</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>now_ms</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga4916588a63c91c6632ce877ec1d6cc1b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>now_us</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga61b29a943e0e85abdc9792a9434e5b39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>now_utc</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga014569059b153ad30b0951ba0113bd04</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>seconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga19566ff46f3818f4554c73ba145fd8e1</anchor>
      <arglist>(softint seconds)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>seconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gad7edd4b61aca5344ad2dd94b23c934d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>timegm</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga62c3c23b7423b9583193a8a5cb16eb29</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>timegm</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga2bd5e056f0b35e599aaecd7e5e26512f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>years</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga71eac87de4a337ec7d6dc6456d86d8c4</anchor>
      <arglist>(softint years)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>years</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga22b8473aff75818b568aac6ca76c87eb</anchor>
      <arglist>()</arglist>
    </member>
    <docanchor file="group__date__and__time__functions" title="Date Formatting Codes">date_formatting</docanchor>
    <docanchor file="group__date__and__time__functions" title="Date/Time Information Hash">date_info_hash</docanchor>
    <docanchor file="group__date__and__time__functions" title="Date Mask Format">date_mask</docanchor>
  </compound>
  <compound kind="group">
    <name>type_conversion_functions</name>
    <title>Type Conversion Functions</title>
    <filename>group__type__conversion__functions.html</filename>
    <member kind="function">
      <type>binary</type>
      <name>binary</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>gaf11c7f5c43ced1e9b95bd2270ee87ed9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>binary</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga2cea7c8bd0f40661965bf9e5a35b0a81</anchor>
      <arglist>(null x)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>binary</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>gad41f0cd19b4ebe21cf9562d2708ccabd</anchor>
      <arglist>(softstring str)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>binary</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga1dc01cd648400e3bf4b2e69703b861b0</anchor>
      <arglist>(binary bin)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>binary_to_string</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga57dc696a2078b28d578b7a034f9ac555</anchor>
      <arglist>(binary b, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>boolean</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga22c89291d4105fcb558f49fe49aeae44</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>float</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga113d18216af1bdb70545081b6a9892ef</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>float</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga1f8120b971c551f639a3f8f3c22840d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>hash</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga5182bb860e3837e1eb337e85a9b3ebd6</anchor>
      <arglist>(object obj)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>hash</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>gab06789ce6dbfa0d12fd571ea33e223a7</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>hash</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga38bef680a4522dc93037ff5f42c02849</anchor>
      <arglist>(list keys, list values)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>hash</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga7739224e50b4d6ebfc800bbeb34dff5d</anchor>
      <arglist>(hash h)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>hash</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga295911cda8809f2d9c4a1b4f02a40c00</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>int</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>gafa2f2472f43231ec932cdc6dbcc58daf</anchor>
      <arglist>(string str, softint base)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>int</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>gaedc7dfca9a2bab4770135bb01a34b63c</anchor>
      <arglist>(softint i)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>int</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga03ab6f55991f898f3ba14da7b8d1bde6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>list</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga8f596b49953b71928f04c24b19834bc3</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>number</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>gaf6000d64e3fe99ce81b9faaf44b2de4e</anchor>
      <arglist>(softnumber n)</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>number</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga43bd1e4a512f68f1b9fd3087b591d6d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>string</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga4f2b4292a08b8533d6425a1368258cf2</anchor>
      <arglist>(softstring str)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>string</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga62b00f727549f979c1dc83450d2819a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>type</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>gaf444d79cd29ad4c428963cc572479050</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>typename</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga839641bbaae938fccaec37f7be857bcd</anchor>
      <arglist>(any arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>string_type_constants</name>
    <title>String Type Constants</title>
    <filename>group__string__type__constants.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>Binary</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga9d781feb9a3c408edcad62a07747596c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Boolean</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>gaad5e42b7126abb95e735b8f1c08dd8fc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CallReference</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga9c9678c0e40fad416c8535cf77ee1833</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Closure</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>gacd28312fd1f847bb713df7378b8e05ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Date</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga6f9e84261496df48b2564e7acf8afb3d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Float</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga399cc5aa29aa0b553e250d3927be1257</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Hash</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga30ed1908e2fdf3b908623541e7b78724</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Int</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>gab24f0bbab16d3369f07c44956d0fa27b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>List</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga36ea99ee00343ef7d37d7f22bedd6944</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NothingType</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga0ab460f39fd71e687c2eb26352da2059</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NullType</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga6ec4999b387e367d68d36bbf09f2c6fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Number</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga36581da082361b1ff5f0412e1e8a76b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Object</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga470369188279e07c29a3d1fc7b7a3c58</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>String</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>gaa7a63168a2e1ce5f4cfd0c3696ff7eaf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Qore</name>
    <filename>namespace_qore.html</filename>
    <namespace>Qore::Err</namespace>
    <namespace>Qore::Option</namespace>
    <namespace>Qore::SQL</namespace>
    <namespace>Qore::Thread</namespace>
    <namespace>Qore::Type</namespace>
    <class kind="class">Qore::zzz8valuezzz9</class>
    <class kind="class">Qore::zzz8binaryzzz9</class>
    <class kind="class">Qore::zzz8boolzzz9</class>
    <class kind="class">Qore::zzz8callrefzzz9</class>
    <class kind="class">Qore::zzz8closurezzz9</class>
    <class kind="class">Qore::zzz8datezzz9</class>
    <class kind="class">Qore::zzz8floatzzz9</class>
    <class kind="class">Qore::zzz8hashzzz9</class>
    <class kind="class">Qore::zzz8intzzz9</class>
    <class kind="class">Qore::zzz8listzzz9</class>
    <class kind="class">Qore::zzz8nothingzzz9</class>
    <class kind="class">Qore::zzz8numberzzz9</class>
    <class kind="class">Qore::zzz8objectzzz9</class>
    <class kind="class">Qore::zzz8stringzzz9</class>
    <class kind="class">Qore::AbstractBidirectionalIterator</class>
    <class kind="class">Qore::AbstractIterator</class>
    <class kind="class">Qore::AbstractQuantifiedBidirectionalIterator</class>
    <class kind="class">Qore::AbstractQuantifiedIterator</class>
    <class kind="class">Qore::Dir</class>
    <class kind="class">Qore::File</class>
    <class kind="class">Qore::FileLineIterator</class>
    <class kind="class">Qore::GetOpt</class>
    <class kind="class">Qore::HashIterator</class>
    <class kind="class">Qore::HashKeyIterator</class>
    <class kind="class">Qore::HashKeyReverseIterator</class>
    <class kind="class">Qore::HashListIterator</class>
    <class kind="class">Qore::HashListReverseIterator</class>
    <class kind="class">Qore::HashPairIterator</class>
    <class kind="class">Qore::HashPairReverseIterator</class>
    <class kind="class">Qore::HashReverseIterator</class>
    <class kind="class">Qore::HTTPClient</class>
    <class kind="class">Qore::ListHashIterator</class>
    <class kind="class">Qore::ListHashReverseIterator</class>
    <class kind="class">Qore::ListIterator</class>
    <class kind="class">Qore::ListReverseIterator</class>
    <class kind="class">Qore::ObjectIterator</class>
    <class kind="class">Qore::ObjectKeyIterator</class>
    <class kind="class">Qore::ObjectKeyReverseIterator</class>
    <class kind="class">Qore::ObjectPairIterator</class>
    <class kind="class">Qore::ObjectPairReverseIterator</class>
    <class kind="class">Qore::ObjectReverseIterator</class>
    <class kind="class">Qore::Program</class>
    <class kind="class">Qore::RangeIterator</class>
    <class kind="class">Qore::ReadOnlyFile</class>
    <class kind="class">Qore::SingleValueIterator</class>
    <class kind="class">Qore::Socket</class>
    <class kind="class">Qore::SSLCertificate</class>
    <class kind="class">Qore::SSLPrivateKey</class>
    <class kind="class">Qore::TermIOS</class>
    <class kind="class">Qore::TimeZone</class>
    <member kind="function">
      <type>RangeIterator</type>
      <name>xrange</name>
      <anchorfile>group__range__functions.html</anchorfile>
      <anchor>ga6eabf589db52e9febb178cdb5e66ec4c</anchor>
      <arglist>(int start, int stop, int step=1)</arglist>
    </member>
    <member kind="function">
      <type>RangeIterator</type>
      <name>xrange</name>
      <anchorfile>group__range__functions.html</anchorfile>
      <anchor>ga85798861f6ac3dc0adafaa8db337d8e5</anchor>
      <arglist>(int stop)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>bunzip2_to_binary</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga4a509ab986c4592aa8109cf3ec98fa8b</anchor>
      <arglist>(binary bin)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>bunzip2_to_binary</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>gabffa49d48df118495b29275a971fdfae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>bunzip2_to_string</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga19da4b839f9348ab3c9932c961a318dc</anchor>
      <arglist>(binary bin, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>bunzip2_to_string</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>gad364182e70b4a748b22b7636f18521dd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>bzip2</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga17fffc0db986403a295dcd86520c0ee5</anchor>
      <arglist>(binary bin, softint level=BZ2_DEFAULT_COMPRESSION)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>bzip2</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>gad4849e70c48c3c4ad8a58135decd3fbe</anchor>
      <arglist>(string str, softint level=BZ2_DEFAULT_COMPRESSION)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>bzip2</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga2a5264cac8dfd0b95b4706f122c4a5cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>compress</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga2a9f569fd6d7f90bb6d4e4d99b724105</anchor>
      <arglist>(string str, int level=Z_DEFAULT_COMPRESSION)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>compress</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga81268d3dc0361302f4b3f35e3990b581</anchor>
      <arglist>(binary bin, int level=Z_DEFAULT_COMPRESSION)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>compress</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga5a7dd18fde0559da33f14f484656cad7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>gunzip_to_binary</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>gae3d26c1886e243d300d5d7ca1686ba9e</anchor>
      <arglist>(binary bin)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>gunzip_to_binary</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga4a4dc4e883ee617bc05418daf884bca1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>gunzip_to_string</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga5684efdbe38373331255d4984ef13c9d</anchor>
      <arglist>(binary bin, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>gunzip_to_string</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga324723f7a61a79d2ec18b4c871c062bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>gzip</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga7e775cc2761ef5f265c1a131f4076eb5</anchor>
      <arglist>(string str, int level=Z_DEFAULT_COMPRESSION)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>gzip</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga55081981dc37ac4a0ba9b03b8453b09b</anchor>
      <arglist>(binary bin, int level=Z_DEFAULT_COMPRESSION)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>gzip</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>gaed906422dda7f7506aaaa4d847f8eaed</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>uncompress_to_binary</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>gad1fe94d17de0489667c6909b88c01d43</anchor>
      <arglist>(binary bin)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>uncompress_to_binary</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>gafecce0baf872032249897916a592d18c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>uncompress_to_string</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga873701e40ef6eb9831c9cf66fc8cd981</anchor>
      <arglist>(binary bin, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>uncompress_to_string</name>
      <anchorfile>group__compresssion__functions.html</anchorfile>
      <anchor>ga9dedfc30ebd57865cd2ee272612c2efd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>cx_first</name>
      <anchorfile>group__context__functions.html</anchorfile>
      <anchor>gaf0dfc0d47bd06a2c1a6e76e3381f61eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>cx_last</name>
      <anchorfile>group__context__functions.html</anchorfile>
      <anchor>gad5b21ea6273b824301e13be824205957</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>cx_pos</name>
      <anchorfile>group__context__functions.html</anchorfile>
      <anchor>gaf6605e041e703be65489058a15055ea7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>cx_total</name>
      <anchorfile>group__context__functions.html</anchorfile>
      <anchor>ga31bcc663a5fb7d93585a051c9b0ca694</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>cx_value</name>
      <anchorfile>group__context__functions.html</anchorfile>
      <anchor>ga7f79b9534869227e07c7b4b9cda30299</anchor>
      <arglist>(string key)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>blowfish_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gabefd583059e33ed6a8a01d7389f8bf9b</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>blowfish_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga226a0462cb59d5ae7316b5085028175a</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>blowfish_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga8fabb3720006b7bb779b7cb41b35dfcd</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>cast5_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gad2788c4558f70a666b2d6a4405c51a16</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>cast5_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga484cd53a8e2bce77a4cbe661c026bfbd</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>cast5_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga9a7fc0959fb08282701648f31a943f38</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>des_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga8a5b6f1af165635369d6caf2d8b95ea2</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>des_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gab99891ed74efd74aa01d8a5c3bbb4335</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>des_ede3_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga6f461d38434a49d7d5f8c288ceae96bc</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>des_ede3_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gae5561acf747f38c486712cde8f0bc664</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>des_ede3_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga3ad2648dfb2f58c1a47d53d462bdd141</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>des_ede_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga32bd21c6da3879b0d7093c57da0d51fc</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>des_ede_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga8c37d1ea7ee11351c68266ba5a7e19ca</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>des_ede_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga8c6adc7381531f618319971e401aee2b</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>des_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gaaa54a23064913aa22801a427574801be</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>des_random_key</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gada3243f5052be3b3a0e05257057f692e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>desx_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga928bc8d21c9a5085762e5ce2c3fb4c58</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>desx_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga070bb66ba55a5a979b10d18e5a2ffeff</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>desx_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga84ccd6960923d20597f03062f8d41557</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>rc2_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga3f51f2328c74b0e38201c14065f9fefe</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>rc2_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga73e290020e74f3eea1857f52e0c39caa</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>rc2_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gaa953035cae6e362808a82b06f2a8672a</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>rc4_decrypt</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gad9cae47536e0e9d31c1a1117e5a914af</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>rc4_decrypt_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga116c53f20d55fdebe1dd9d0b138d2216</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>rc4_encrypt</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gaa79e7a31db5a95f71e473843a091ea76</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>rc5_decrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>gaa3ecd43966f7cc245fd51bfddcf2cec7</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>rc5_decrypt_cbc_to_string</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga03adf8b23a9540658a460eb2936da2fd</anchor>
      <arglist>(binary data, data key, data iv=Qore::DefaultIV, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>rc5_encrypt_cbc</name>
      <anchorfile>group__cryptographic__functions.html</anchorfile>
      <anchor>ga8f3a6bc9fd77316d89fb41eaa225a9b9</anchor>
      <arglist>(data data, data key, data iv=Qore::DefaultIV)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>DSS</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gab75d2872586f27999e85b7ed990f6dad</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>DSS1</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga418f6b8eb4acc61b72a3a600d418a1b6</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>DSS1_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gad7149067899176a4910c1aff7f8c3157</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>DSS_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga20bcfd88e83ae5c08af1d4ef5b6a10c7</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MD2</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gab21020c23da78956d435a7e99d49b8d0</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>MD2_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga92b9dd3feb62a72720cfad39f79dd3e7</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MD4</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga5657d0e938e652fd42df41aca9e66d94</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>MD4_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gac2fd96fcd78e96c7d1d3d373f8a921ef</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MD5</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga78c973088de21a5aae0cd8c68fc3447c</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>MD5_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gafea2cdf61fc831e245ba21f9d8397a23</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MDC2</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gaa83a12e2e54fe66ace6a9a33392d1dbb</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>MDC2_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga87e26aea620d34cb4258773e74f61ad6</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>RIPEMD160</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga39c77370f9b8106e5668e2d6480af148</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>RIPEMD160_binary</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga588dd676ff78bd5fbc3e18d6b0a328fe</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gadc789f4681257bd18201d49d9d06db82</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA1</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gaa4c0459a185dd677765d7ef073bf32cb</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>SHA1_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga64b4d9ca4dc8396ad3bf5b6e5fd6ac6b</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA224</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga31657accc4ffcdf966506bb07bc9a5f5</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>SHA224_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gad78d030a15fd77e92b6acbebf0f01c3b</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA256</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga2650a6a57142a6c971c583f85c102bef</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>SHA256_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga3e79a4b0a0fcbc536472144fbcb60fd7</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA384</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gad1ac64eef1215b1da8be27c2cd3554d8</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>SHA384_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga46725d7321778042e1acc9fc7e4f0842</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA512</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga6f598af6d5f8eecd18e9b8048ca610b3</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>SHA512_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>ga14a7dc1fd6565a0ffa61d2dc943ef3e1</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>SHA_bin</name>
      <anchorfile>group__digest__functions.html</anchorfile>
      <anchor>gaca414387b2224d7f22b4ebadec0b419d</anchor>
      <arglist>(data data)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>DSS1_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga273ae6d3d7e9dfd45155cf7589882a7c</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>DSS_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>gae0e62ec8220f67c57160ee5e724e38bb</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MD2_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga0c3c030ee810d1e4545eb60224ef2f51</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MD4_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga95007a24ccb4b71b6717db94203e724c</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MD5_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga9380e7a0aa8ae7f425ef671587db17d4</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>MDC2_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga41a1ac452966138a244902fb8560fa09</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>RIPEMD160_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga8f1bb6dc984eb6e33f3dfa241d06c5b0</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA1_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga6c39c8f198bb7e29677cb1eaeaeaa7a0</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA224_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>gad6f20664a81729d7804251fb98f08b54</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA256_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga3d31d997ed70f1dd9b29ff500c2c5491</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA384_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga1330d317d741818ad6bf3029149c2f27</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA512_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga99d77cc0d6dd639906f9ade1ac36f6a0</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>SHA_hmac</name>
      <anchorfile>group__hmac__functions.html</anchorfile>
      <anchor>ga4d2572f1c39720a82db19770835d555b</anchor>
      <arglist>(data data, string key)</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getenv</name>
      <anchorfile>group__env__functions.html</anchorfile>
      <anchor>gace276d74dd56457b85b1382d71fcf041</anchor>
      <arglist>(string var)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getenv</name>
      <anchorfile>group__env__functions.html</anchorfile>
      <anchor>gab8f2a8aa7e4c632b0f059c9a1dd0c48c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setenv</name>
      <anchorfile>group__env__functions.html</anchorfile>
      <anchor>gafc5304fccb2c7903ca1ecd1015d9730a</anchor>
      <arglist>(string env, softstring val)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setenv</name>
      <anchorfile>group__env__functions.html</anchorfile>
      <anchor>gad0a17803f2c2014c5384bd250c686c08</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>unsetenv</name>
      <anchorfile>group__env__functions.html</anchorfile>
      <anchor>ga9ed7b7400e10b55f434d2cbc9ba18282</anchor>
      <arglist>(string env)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>unsetenv</name>
      <anchorfile>group__env__functions.html</anchorfile>
      <anchor>gadb729e27243c0dcc739a6c4e7deb1501</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>chdir</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gada7c93e7806a58bee29f2357039479e1</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>chmod</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga1e5c4b6f766ada91769b932f77c33254</anchor>
      <arglist>(string path, softint mode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>chown</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga3c6e7029d5759c6cabfca1d7e3b27898</anchor>
      <arglist>(string path, softint owner=-1, softint group=-1)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getcwd</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gacdbc1372926ce2ee723dd5a434c6ff24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getcwd2</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga2ea46565552ed8a0fb60752a10c43d59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>glob</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga2d11f815ed935f32a7da9bb58aafbd7b</anchor>
      <arglist>(string glob_str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>glob</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga2d74de13e8fb0f3bb690647818cd068a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>hlstat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gac20fb7fb9c7fff0acf5aafb1411c61ad</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>hlstat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gabb441e137499385661b294f05e1b18fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>hstat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga642cabfee25c0d3666f97e8f8050be7b</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>hstat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gae2beafb85bdfb88495f1645605a96b0a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_bdev</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga139846d1deedb967e21af11e62799ea2</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_cdev</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga56ae16710a38109b7ed71010a5b3d9e5</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_dev</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga594e6a60ad12517656d32a7262777b4d</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_dir</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga38348592b2e5aa5589e0399c10b260fd</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_executable</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga0255009acc4b2cb332fd3f9d2aae7c05</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_file</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga6117e36222d08c197c2c0de1cadea715</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_link</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga55cb552f0c56f8ff6915ec7ad6ab3cd8</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_pipe</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga646f8b88054dbb2004e8f47ec09aa96e</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_readable</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gaf04a8a04f9130664f938cf7dc10dbaed</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_socket</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga568996f46411f4fa0daaaa4e61d20d44</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_writable</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga1f94b219bfc67a292a80cafcd2416ee5</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_writeable</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gaa7817f6649fdd56e82c65d9f62c8a707</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lchown</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gaa1536aa5f9d482dd449ad3e5f53a8507</anchor>
      <arglist>(string path, softint uid=-1, softint gid=-1)</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>lstat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga5032ae98645d68c69da67e546eb1b651</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>lstat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga0ac877d2d854200d4f7eed50e6a71cf5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>mkdir</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gab6901492129d8244f91fe0c063810984</anchor>
      <arglist>(string path, softint mode=0777)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>mkfifo</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga637652709e0dd1c846475de2dcfc7d96</anchor>
      <arglist>(string path, softint mode=0600)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>readlink</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga5de4265158222c7dc319c901943ee3a7</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>rename</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga4511dfd33a6baf40c66c91a4cbc9a5b4</anchor>
      <arglist>(string old_path, string new_path)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rmdir</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga56d2abad877339557cdd3c04660e77e9</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>stat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga21341f4049d3a46ca23b90bb4b6f168b</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>stat</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gaff2c972124d3a61309d62b6394ab9896</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>statvfs</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gabdc034a14d30b5d5a36ae16fe4e55ada</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>symlink</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gae895213e0d9f207ab855e4546c791909</anchor>
      <arglist>(string old_path, string new_path)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>umask</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gad5d35a9e2871b2163d7ff65d717ed106</anchor>
      <arglist>(softint mask)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>umask</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga2061a066ab6e3c668849520e6c371d59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>unlink</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>gaac76dbcada98d67b28a84e7296587b10</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>unlink</name>
      <anchorfile>group__filesystem__functions.html</anchorfile>
      <anchor>ga3e6fdb79f8eb0792ae20f1b86e695d1a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>abort</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga4a51c4086a24e58fdeafe467d8188fbf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>basename</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga2552ac9c7f40c474e3b311b6178d7909</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>basename</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga0d6ab2c29ebf1ce62d34530d4a5be37c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>close_all_fd</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gab6595c1e20c2e84bea8a17544ec35a7f</anchor>
      <arglist>(__7_ softbool strd)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>dirname</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gaf9b9660d3eaaa087df1681f905936622</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>dirname</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga4b79aceed8fba8255b64024aaa0b193c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>errno</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gabcf45c25ca1234fc8c54761750324cda</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>exec</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga62b13320abd1919d456e2cb84390b0b2</anchor>
      <arglist>(string command)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>exit</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga3ec32747f455642fd9ce503094a5cc85</anchor>
      <arglist>(softint rc=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>fork</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga38309c0ab1c849afc031dd8547b1ac65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>getaddrinfo</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gae8b1111dd00428667e62aaf332579a52</anchor>
      <arglist>(__7_ string node, __7_ softstring service, softint family=AF_UNSPEC, softint flags=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getegid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga4195fddb23078a08e36088c5b9da1c63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>geteuid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gae504e6dff1aa04fab954b492830df193</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getgid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gae45b3134a21e8efc465c469bbe6b58d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>getgroups</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga0f7f448e698798cbc38f58e0b75edf92</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>gethostbyaddr</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gabf75d8247386c90c83583f6cd6909e1b</anchor>
      <arglist>(string addr, softint type=AF_INET)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>gethostbyaddr</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga7a7e2b5705964d0180b42dc8707e6090</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>gethostbyaddr_long</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gafdb3e4dbd0e53230fd0f6fe0cbd7ffe6</anchor>
      <arglist>(string addr, softint type=AF_INET)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>gethostbyaddr_long</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gab2e7951ad5d39a0e735702d2ceaa3e90</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>gethostbyname</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gaa4ca4c902bdebd8b368fb2ae00bf76b2</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>gethostbyname</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gab94736fbd3118f66eaa40c9ceb7d06ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>gethostbyname_long</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga9caff22e82dc2d3e0d13ecd19d398470</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>gethostbyname_long</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gace5c385a0af1e9b227618b94b2ccd2cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>gethostname</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga8bd938f03b1a6edb02b2a9970f5c8dda</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getpid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga5eb17bd4d23498ef42ba908d328421ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getppid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga28a69151eb051b67a5190a9570d35603</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getuid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gaa7cce69c66cbc6f183fa71931cdfc466</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>kill</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga0052a260c867683b040d0944cd85ef32</anchor>
      <arglist>(softint pid, softint sig=SIGHUP)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>kill</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gadf633e4d1be4ca6a24b58e5964b14070</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rand</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga6ed36f08f41864dfe007504e8b4ff5c3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setegid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga978d06ec48b315287cd514601645e21b</anchor>
      <arglist>(softint gid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>seteuid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga6bc0ecedb69f16a65b91bbb15d281446</anchor>
      <arglist>(softint uid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setgid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga643d15328846a7d64139c34a29efe53b</anchor>
      <arglist>(softint gid)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>setgroups</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gad3fc93a8891cc311d9110a6e155d1df6</anchor>
      <arglist>(softlist gids)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setsid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga6274ab755dee8ae955d48271d9a44676</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setuid</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gad740d1b241a725df36965aa2bfb50231</anchor>
      <arglist>(softint uid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sleep</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gaad550dd966f91790528ec81150d5cf71</anchor>
      <arglist>(softint seconds)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>sleep</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gab828a9624ba2903b88ae4d52bf6094d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>srand</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gaeb017e3b5ea8ff39e270e844f280e32b</anchor>
      <arglist>(softint seed)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>srand</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gae6dd9a1ccae25a097d61cf0575161075</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>strerror</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga13d9bb498eef9caffe641130bd8a1c73</anchor>
      <arglist>(softint err)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>strerror</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gadfdbab96958d3623d431a7ab292d7e27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>system</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>gab480d27a192337309e6497158df8e54c</anchor>
      <arglist>(string command)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>system</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga45e8c0b1cd4f673e5f72ce758bc84378</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>usleep</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga9bfa54e2c02b92b2a01f3cde2472ce6a</anchor>
      <arglist>(softint usecs)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>usleep</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga16b8b55b41fe579ce56a3b781b69a3f9</anchor>
      <arglist>(date d)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>usleep</name>
      <anchorfile>group__library__functions.html</anchorfile>
      <anchor>ga3c406430b305f4ee204cb1dd2638d93c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inlist</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga776993c1408e78f466e9b11aff7ecc46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inlist</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga67118489d63343ab95f887d785157c51</anchor>
      <arglist>(any arg, nothing x)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inlist</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga9020619344647831a1567312768b809b</anchor>
      <arglist>(any arg, softlist l)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inlist_hard</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga1fdf41e61754093da9f8a3b40e2a9cea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inlist_hard</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga4668ef52b2c07e8768118bc7c8638414</anchor>
      <arglist>(any arg, nothing x)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inlist_hard</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gadfee7f515dcd5fea3d496c842ce81519</anchor>
      <arglist>(any arg, softlist l)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>max</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga0ed7b64ce5e5480b0b53a753d34dafeb</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>max</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga937f27c094e53ca5f8ef7888f5395da8</anchor>
      <arglist>(list l, string func)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>max</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gaeacdeaaf7585f3793d022066540f5c3f</anchor>
      <arglist>(list l, code f)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>max</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga0c23f4c5929b01da67546ce40f383682</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>min</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga7158925604f8219ef91eb1d47c8b6f76</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>min</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gaa5f0fdf38ff5fd759a05fde08cf43ad0</anchor>
      <arglist>(list l, string func)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>min</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga89e33affbf7ed18097257a6ad49db2fd</anchor>
      <arglist>(list l, code f)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>min</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga65bfdbb1ce4ebf816b6513b712b6bfb1</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>range</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gabf1a283eed97fa22a32be14b30add9e6</anchor>
      <arglist>(int start, int stop, int step=1)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>range</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga5323b7e10aa589da12e6790f15711fb0</anchor>
      <arglist>(int stop)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>reverse</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga8d6317ddd1278a3a8ee255ec160333c3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>reverse</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga690f86a8283a28ab077a542a0d60b8c3</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>sort</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gaf7ac20e10d3511ecffd8e2096f1ea4fc</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sort</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga92f1bef2e1d3e7553899161035ebce7f</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sort</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga685a5306bdc7d39d7d0f22f4a39f9cc0</anchor>
      <arglist>(list l, string func)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sort</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gacbf1017e94fb40ebba2911cb0c0013c1</anchor>
      <arglist>(list l, code f)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>sortDescending</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga9bdc20072ba6920cac03b107e2b0beed</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortDescending</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga357f2c1db2247e470ab9a4e2d143dc7a</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortDescending</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga8b3017c54bb55091ffc345e29eba5066</anchor>
      <arglist>(list l, string func)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortDescending</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga5a2df667b83aa3ec79c8154e7f4ba151</anchor>
      <arglist>(list l, code f)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>sortDescendingStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga0e330a5fc9deca1df41a7584a4e529ed</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortDescendingStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga99855545ae07a5c89b2aa7daa20c240e</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortDescendingStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga50acfbff38f01a80c572caae9954511c</anchor>
      <arglist>(list l, string func)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortDescendingStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga94b9f84a8380f641e8268af5bea407c8</anchor>
      <arglist>(list l, code f)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>sortStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga1e6b8945fb4d2fd8517b83bab246023b</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>ga15501b975140857b6db1060fcc14f099</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gaa57833641818b74e7f3ce0b78b0aa935</anchor>
      <arglist>(list l, string func)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>sortStable</name>
      <anchorfile>group__list__functions.html</anchorfile>
      <anchor>gabf5874986356a836b4f330b2e9c34fa4</anchor>
      <arglist>(list l, code f)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>abs</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga38089899d2c160b300a0ae1864d62420</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>abs</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaa7733d4d308dbec2beace333f09c3ef7</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>abs</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga5e9a214488ce1f4ba5cc9d26f6978935</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>abs</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga71481aee49d627dc81be04218403f9c3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>acos</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga5a93ca5d985c1ec389dc2e8155c50945</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>acos</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga0838a098432c8e4c32193d7e0b5e2ec7</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>asin</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaef73d17beb9f264c4563d82a620ea4b2</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>asin</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gafca957e6c95406c4007756654864b23f</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>asin</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga6b76bdc78639d9016533ba4e12889054</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>atan</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga06455c71af5acd6092798bbd73a31d11</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>atan</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga1d6cd800200357be2f5ed3ae148b3214</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>atan</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga97fee9f84fea60610cb3cf2652b2ea79</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>atan2</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaf0dd86d0443549ced1ce66216e52b5b9</anchor>
      <arglist>(number y, number x)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>atan2</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga433a4ef722e514683bc77c8cdc17cd76</anchor>
      <arglist>(softfloat y, softfloat x)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>atan2</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gac371f42a2ccc6df4da19a12eed4af11b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>cbrt</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga550385686c44893395a36b2c04aaaf05</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>cbrt</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga5f7caff04d815819e5c97d1456ad312b</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>cbrt</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga6948548a7a38f3ab443cff2d685847cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>ceil</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gab2f8334d898d7ef21dd9fbe0375dce4c</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>ceil</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga3fb7712ae724e95a06af3a48797d6fa5</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>ceil</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaccf620735a9f2348f6fc1d7433d35ef2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>cos</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga186a9482dd5895b705a3beb96e082853</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>cos</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gad209f947ec323f3d4b510ba5f92be3e9</anchor>
      <arglist>(float f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>cos</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga0850361c701d766865c53c9843816b35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>cosh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga8c8d31cb7ed2a3049674fb466a28d5a7</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>cosh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gae19f38dfe1db9a2301e416a3856407c5</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>cosh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga1a61f3338662e5506b6136432b2ce151</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>exp</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gade650051a32f10bd32c11e43147f5c9f</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>exp</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaa0affdead63c65b21c00b58022b3e68c</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>exp</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gacfec9a92f179668fb42789b58ecd4813</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>exp2</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaa74f9ab5d7202722ddfa833494b8964f</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>exp2</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gab945afacb9ebe698063c36f130583797</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>exp2</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga4dcd9971318a4097503725feb6853adf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>expm1</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaddd772711a98adc77dab2d3fe44caa0e</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>expm1</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga1fcb0c3b334fca454e2f2a20a5b23465</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>expm1</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga57e59f21e8fea30377359bb776dd1556</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>floor</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gadf3a5ffeb29fe4a652009bb42dfabdf4</anchor>
      <arglist>(softnumber n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>floor</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga78a3d1cb919c67c41b62cbf47f339e2c</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>floor</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga9ccdcd051934bf7cd5d74fc76da5e013</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>hypot</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gac5c31652da041eff9ea16b3c2771286d</anchor>
      <arglist>(number x, number y)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>hypot</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaf659ed610b825c471a6dbcdb49e3ff5e</anchor>
      <arglist>(softfloat x, softfloat y)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>hypot</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga3bbf7515c71d0317f2d9808c770482fa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>log10</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga0b5ab474da3ffc109e7fd2e88054f558</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>log10</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga40e4696269395eca51826018ccb1005c</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>log10</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga8c69b9687360cabd345fe651944d64b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>log1p</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga8dc307313dd965ae431e7b01d262f3a2</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>log1p</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga08abc34cf4eed7f2988ad72e1d8a7efa</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>log1p</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga764e8653af1f7486a5094e4f82076144</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>logb</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga60aedc6483aae0b6a8995a0e66033917</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>logb</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga9c502205c686b8d4c6c0615098f2a79c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>nlog</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga0d0fa396dc4a1b684067c9b997d71124</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>nlog</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaed1fad62e6b0652db6dee40136938be0</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>nlog</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gab378250c1757fa872825a6390143f3c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>pow</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaf2588c28291e1350f74db63b3e4a0a1a</anchor>
      <arglist>(number x, number y)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>pow</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga17c670477842b817de5b3cf8564069cb</anchor>
      <arglist>(softfloat x=0.0, softfloat y=0.0)</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>round</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gab07fddd76eccfc84c6a9b87b117ac9e6</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>round</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga4f3085da85305ad70a4883d9531f0af2</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>round</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gae6425e4d03545022532cb545b6d8f8d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>sin</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gad00ce3afad2d4bd3801b62ed29075025</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>sin</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga107498f74b38f1d78d61bd9a6a548de0</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>sin</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gab31f5ce089c6688322f724d8780f7f70</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>sinh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gac9aa03003b422b8be260d6f619920bf9</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>sinh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaf28e116cbae881b4fa41cefe14cc3214</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>sinh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga6aefc0c0ac853d4cfcf5e572897599f6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>sqrt</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga2f134b5b4d98b70d72f9c94f3b95d4cc</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>sqrt</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gaefc4acbd9b9a216d3cbcdd280e7ab180</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>sqrt</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga8873e17f305c9f756e2dee5c315a3776</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>tan</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga8a3cbd27664790d4ce0fc1fedc8b7c44</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>tan</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gac1f61216ee1f25b70d5155fd2d9a459c</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>tan</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga45cc206908aba7948ffe6c6ee4f74129</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>tanh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga643397eb8e9ed9003e97ad3080f098a6</anchor>
      <arglist>(number n)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>tanh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>gacfa354769ae75f003aae7a7fd89b93f7</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>tanh</name>
      <anchorfile>group__math__functions.html</anchorfile>
      <anchor>ga7c3ad79861038ae30568b6543e51af93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>remove_signal_handler</name>
      <anchorfile>group__signal__handling__functions.html</anchorfile>
      <anchor>gac05b9fa9ba1c302c9a34995573482a5f</anchor>
      <arglist>(softint signal)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>set_signal_handler</name>
      <anchorfile>group__signal__handling__functions.html</anchorfile>
      <anchor>ga28cf2a280f8c3c302eeac0a46030be2d</anchor>
      <arglist>(softint signal, code f)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>backquote</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaf1f9e78591e0726d73eaf1639efa2611</anchor>
      <arglist>(string cmd, __7_ reference rc)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>backquote</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga1d71fa075b5fd841df08e05cfdfc95c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_builtin_function</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga763747610a3546dd2340c703ced15bd6</anchor>
      <arglist>(string name,...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_builtin_function_args</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga8a09a722bcccf27139640bde318310a7</anchor>
      <arglist>(string name, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_function</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gadb60673dad0c6cd7ec4fe1eec8c5dab8</anchor>
      <arglist>(string name,...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_function</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gad84bc65c4a73c9a46b6481d3865a91ee</anchor>
      <arglist>(code f,...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_function_args</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga6d920ba42e07061721bd201ce2564bb8</anchor>
      <arglist>(string name, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_function_args</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gae1d16b3c77aa2f8b8433d9b75600370c</anchor>
      <arglist>(code f, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>decode_url</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga51b949c2d20900fdc2e1b8e46988d2b1</anchor>
      <arglist>(string url)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>decode_url</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga2f5349505d3d2563ef31f4d8b5c5f1b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>encode_url</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga639fba8c278c69ac4d4190ca1db19235</anchor>
      <arglist>(string url, softbool encode_all=False)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>exists</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gad1e87cdb4aded090b1801d952e018a50</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>existsFunction</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga83615e15094fca9ffe868ee0d80cd002</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>existsFunction</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaa3aa518a4c17e2593c2773bc6b71af3c</anchor>
      <arglist>(code c)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>existsFunction</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gac6b3861f291cf4c2f62742fc8ec9b717</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>functionType</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga5ae2be041abe7d02be8a2ccc67c0032f</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>functionType</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaf46dfa4dc44e9e7091e981c87ebbe438</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>getByte</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga3a6b906bee63eb28d20610da64fd5417</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getByte</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gadfbef79c0c3442d2d7857f6ba1d56049</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>getByte</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gad79fe036448819f5e392ef443b60b97d</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getClassName</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga46b9c2df48897cb68e765cb6d66728ac</anchor>
      <arglist>(object obj)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getClassName</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga69cdaa7f57458a60221fbed9ac2feb38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>getFeatureList</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaa1e2c9fc19fe68b7fe55e1004fadea31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getModuleHash</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga8403cfbf9de02c113a9f0dcfb58f4314</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>getModuleList</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gac0f41a0baf9a10b14442be26403fe733</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>getWord32</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaed6fd3c7569dbd820cff0fc1e23db555</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>getWord32</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga771e2f1f122ccd8574354abdff42c192</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getWord32</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga11bb1ea838d7c14802f3810ed0cbfdb2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_byte</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga24aed47f45573187b6644d5ec1a3aeb5</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_byte</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga8a7ea9de612741d9bb26bf926d211c71</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>get_default_encoding</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga8f800bec17c55a15ec7255dedfa25c6d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>get_ex_pos</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gafadcbf214ccffbde013894b330b7c7ae</anchor>
      <arglist>(hash ex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_parse_options</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga6b1422bc842cbf53cf2bb53ef9322209</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>get_qore_library_info</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaf67d7ded1719f761d52819469b40aebc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>get_qore_option_hash</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaa1c1e9b47829b8139adb60a3f85947cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>get_qore_option_list</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga46b20ef171a0c0af8d5760f46ebc7894</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>get_script_dir</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga4730f5a695996be26efbfa9760417b1b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>get_script_name</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gade1f45f4d12597822362d920c84695a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>get_script_path</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga3ebc5d7d350677395e4b89686ca335b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_16</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga5802a4f147d02009947401dd92e3b197</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_16</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gad19c4c14c864af9759effecbfef6d68a</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_16_lsb</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga8d9d7eb06b650954226a82502dcaa838</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_16_lsb</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga28d6b93d58fb1df8615a9701fa10fe52</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_32</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gae5d20bf535d84eee3ae17402b3ac4ec7</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_32</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga1124c85d897be618a9e61c1fbccd37d9</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_32_lsb</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga29b56ac9ee5c55bf8243b3060388be02</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_32_lsb</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga2269ca395fdfe9214039952c4cacf730</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_64</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gadf53ee1d46382bf4cb2c4fd12816a5c8</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_64</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga6fbc2c59ad0af1fe6a9e87b6f037d331</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_64_lsb</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gac260e3cfffb2c9ac8e69a1428183de01</anchor>
      <arglist>(string str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>get_word_64_lsb</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga08294fc87d5f9d127cdd794085c59072</anchor>
      <arglist>(binary b, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>has_key</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gae5e23d5903ee2b32bb4925b756607cf9</anchor>
      <arglist>(hash h, string key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>has_key</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga5cf258d64631c0422ee15e0796361b28</anchor>
      <arglist>(object obj, string key)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>hash_values</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga4fdc10fe7c8f77e24432ae2e435f9211</anchor>
      <arglist>(hash h)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>hash_values</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga6f07280e7c9ab676913b6fcb84588610</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>hextoint</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga635c21b4901af8accbf5729682b90f20</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>hextoint</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga54d9807bf59a9e97284b12542a4c3ec6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>html_decode</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gac6f51f8c4de37bc139346d6059961148</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>html_decode</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gad95ece28621404a42cf5e3f80193c84d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>html_encode</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga98e1d9690329e8c94f88b833af36ef72</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>html_encode</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga26f2cfc2d0d972642e82eedc09d097cc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>load_module</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gae8e72e38355f6fcd037ca65945377c96</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>load_module</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga366da9b19ed9b6fb4936f5e5a2ff3663</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>makeBase64String</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga302de285f031c3dd4b059df3494bd21c</anchor>
      <arglist>(string str, softint maxlinelen=-1)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>makeBase64String</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga511ce458d13dfbea8c22ece63c315bb7</anchor>
      <arglist>(binary bin, softint maxlinelen=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>makeBase64String</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga1d5d34fd58d766f2eacde5701f5a99ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>makeHexString</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gae4ca24e1000d327df636f75c7bf4f00c</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>makeHexString</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaafe286db27d58cea75749c1bdabb5ad0</anchor>
      <arglist>(binary bin)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>makeHexString</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gacb04ca5bd37d873b867186c4da295f0c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>parse</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga17bc2cdb62ca121ae990e497e609349d</anchor>
      <arglist>(string code, string label, __7_ softint warning_mask, __7_ string source, __7_ softint offset, softbool format_label=True)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>parse</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga6c7d460b97c3c862717b052355985ded</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>parseBase64String</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga1e6e24f780713c4d10cb9b98fa45cd35</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>parseBase64String</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga0c3bdfd8fb3a29af0d3bcd0ed3a05eb0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>parseBase64StringToString</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga1f1a63790a7c60a3a61c5d1569fe4e4c</anchor>
      <arglist>(string str, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>parseBase64StringToString</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga8851e308445e0388408b8b2cca344088</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>parseHexString</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga74fed7603d2176dd5d433d3fae02ad9f</anchor>
      <arglist>(string hexstr)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>parseHexString</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga64ee3ae01383697ae0174fd0cf6cbc5e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>parseURL</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga6acb2a9487067027a3bdb0d19e2af5fb</anchor>
      <arglist>(string url, bool keep_brackets=False)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>parseURL</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gad2514f74637e1955648b867103aea595</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>parse_url</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga622e19abea9bd621927bce830b5df09d</anchor>
      <arglist>(string url, bool keep_brackets=False)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>splice</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga3b0fa637025e8fbacdf4e43c33e37dc8</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>splice</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga2d484582db42dcb4752812d3243552bc</anchor>
      <arglist>(string str, softint start)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>splice</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gaaf2f11a128064b10de5cd2ce1fec72d3</anchor>
      <arglist>(string str, softint start, softint len, __7_ string nstr)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>splice</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga88ec0c57f38fb9b7f1a3858fc2e307e8</anchor>
      <arglist>(list l, softint start)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>splice</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>gacec3f65cab29f5f51e4555b823e13d6c</anchor>
      <arglist>(list l, softint start, softint len, __7_ softlist nlist)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>splice</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga7434c1e84c31c32b816312e7a846e876</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>strtoint</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga868cb227993d254a65afb9d21ccba9fe</anchor>
      <arglist>(string num, softint base=10)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>strtoint</name>
      <anchorfile>group__misc__functions.html</anchorfile>
      <anchor>ga25647de5f63580b7d3af4b33c4f35702</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>callObjectMethod</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>ga4f111eda639231f3ae3d8da481575847</anchor>
      <arglist>(object obj, string method,...)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>callObjectMethod</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>ga861f336da074c21b56e747f402fa42e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>callObjectMethodArgs</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>gad8ddca1773daff755355a7ac084d8a1b</anchor>
      <arglist>(object obj, string method, __7_ softlist varg)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>callObjectMethodArgs</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>ga79bd6285b75f19740d2584018d4aee3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_pseudo</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>ga3d7016acaf32d36ff262c20c12608e1f</anchor>
      <arglist>(any val, string meth,...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>call_pseudo_args</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>ga84fc0d10bd4723814c87823e723e355d</anchor>
      <arglist>(any val, string meth, __7_ softlist argv)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>getMethodList</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>ga88b51a14acbe008f2e60fca211b98a50</anchor>
      <arglist>(object obj)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getMethodList</name>
      <anchorfile>group__object__functions.html</anchorfile>
      <anchor>ga380a58621dd27a188a2c8325cce1f9ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>getgrgid</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>gadfda7ac73dc90aced9e933aaa4ff4eca</anchor>
      <arglist>(softint gid)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getgrgid2</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>ga4f5a414252d127a6d4e5ebdef899b7e0</anchor>
      <arglist>(softint gid)</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>getgrnam</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>ga014d0a2042e551dccb8e269d07f85cc2</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getgrnam2</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>gaaf26a8ce98d46099b94ddcb494e615d4</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getpwnam</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>ga1584a4a9164ae9d500fca9b26452de75</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getpwnam2</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>ga0c3202405d84f4dd85542c299b3a13cb</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getpwuid</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>gaaa76f90738de6fc76e00963c96da8778</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>getpwuid</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>gab183044f344ff13e5b239fc955dc752a</anchor>
      <arglist>(softint uid)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getpwuid2</name>
      <anchorfile>group__pwd__functions.html</anchorfile>
      <anchor>ga433e71fb300c2c5bab15a081ff6809da</anchor>
      <arglist>(softint uid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bindex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga1f5360410dc63441327daf2af65b9270</anchor>
      <arglist>(softstring str, softstring substr, softint pos=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bindex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaaecdb10e31e659cc1a2c9b9a40f7a3de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>brindex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga123df73fe420500294a26163371fb175</anchor>
      <arglist>(softstring str, softstring substr, softint pos=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>brindex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaa0d18a7dbb5ee30d63929328b6876949</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>chomp</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga802f2d1c8deb1b120b649bb1e3652095</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>chomp</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaa9c3f6f6bbb7b76f64626952a30029f5</anchor>
      <arglist>(reference str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>chomp</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga343548c069d7b8d02c522acd05179bf1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>chr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gad77c02ae2ce2f5c321b98bb64a0e34c2</anchor>
      <arglist>(softint val, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>chr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga5c61d5ce4f9a0cffb99dcb3e6c0cfdc3</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>chr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga59eee6c7078dcb8221b554eddaba2a7a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>convert_encoding</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga02c8ad6db7ae5c0930c8050840253035</anchor>
      <arglist>(string str, string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>convert_encoding</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gab1555ebefd40327741bb93177a6c8ec0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>f_printf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga4aeb0ae8aaf5cae9c3a4dfde8e8d92be</anchor>
      <arglist>(string fmt,...)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>f_printf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga7339327f0976a4d0f765620448534ecc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>f_sprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga859e7c350c00ade5ebeb8e2c6a3d9b1f</anchor>
      <arglist>(string fmt,...)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>f_sprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga53ae4d23416145fb8dfc73146c2f1fcb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>f_vprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaeef933f9cb8d44aba81a765c2d3b6173</anchor>
      <arglist>(string fmt, any varg)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>f_vsprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga5194effaff82a2f87d21113831dc2978</anchor>
      <arglist>(string fmt, any varg)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>flush</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga56e62bf88b3fa54aa9aa75508d5d6c05</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>force_encoding</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gae583afd778a92a7b2a3027383fd75ed4</anchor>
      <arglist>(string str, string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>force_encoding</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaaf459e46d453147d330083e2680823dd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>format_number</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga33bb08516773ed10def16bb42d6b8159</anchor>
      <arglist>(string fmt, softfloat num)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>format_number</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaa03f03e0fe8bc5aaeb9bee8fb35b01f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>get_encoding</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gac4a81651e374644e697e3ce61c373694</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_encoding</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga800639b45a2c9b2f0e6effc687a52097</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gadaea9cfa0f698a6fb0650f70cf8d929e</anchor>
      <arglist>(softstring str, softstring substr, softint pos=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gab2ccb59779f7860a4e67af5b5a3bc766</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>join</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga2470edb3a13437c060ec85e7653e022a</anchor>
      <arglist>(string str,...)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>join</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga2adfe42c0b4c85e4bd6adf2e5c5afd48</anchor>
      <arglist>(string str, list l)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>join</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga9354dbf44cdf06b8011eb4f1409236b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>length</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga5ae69f518a47e6146bf2285a54804455</anchor>
      <arglist>(softstring str)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>length</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga4bb7464900907fdeca6696c31944758e</anchor>
      <arglist>(binary bin)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>length</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga46649277a74fa0dfc28f0125fcbfe7e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>length</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga935b0ab5eddcd1a2e2272e34d1b5ddab</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ord</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gab1aedfc4b3b7aed6dffead7e46c72b07</anchor>
      <arglist>(softstring str, softint offset=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ord</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gab998e345a65c1e98ca9370c3a324f9cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>parse_boolean</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga774b6d0f9d5835de7d7362400aa2cdd1</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>parse_boolean</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga67c292e1de784ad21b0133e6984f8068</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>print</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga996c5d1686fbc245f0bc7a02012e6a33</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>printf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga32070517a9f8a70a32ef48f83a6f128e</anchor>
      <arglist>(string fmt,...)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>printf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gafa558d5962543431e9d3f872c481693a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>regex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga7804f63df9b181e0bacb465eb912feb9</anchor>
      <arglist>(string str, string regex, int options=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>regex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gab17427299ed00ee52d90beadc55ba608</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>regex_extract</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga46ab689e1b00bf91f75c976304e3a8d0</anchor>
      <arglist>(string str, string regex, int options=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>regex_extract</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga3461a37dbd3d51bc03e58b85daae2466</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>regex_subst</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gad8963269da93fe1ebaa179dab8d315fa</anchor>
      <arglist>(string str, string regex, string subst, int options=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>regex_subst</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaaf6eccd667d478b31ce20cde7556491f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>replace</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga757f5b4682cb6787e7e186ddcc2b2b56</anchor>
      <arglist>(string str, string source, string target, int start=0, int end=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>replace</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga18db5008b245ff4346386a107b19b2ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>reverse</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga1a77feb53e86b659be6d9eea7d3618e8</anchor>
      <arglist>(softstring str)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rindex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga55663008aa59489b869e558b29c7c22d</anchor>
      <arglist>(softstring str, softstring substr, softint pos=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rindex</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga390f6c11ecc55c179293de8e87605d2f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>split</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga2858b6c53140370e9f96f7b7df8de4ec</anchor>
      <arglist>(string sep, string str, bool with_separator=False)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>split</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaffe444060e0eb67da8ade0f78b5f91f4</anchor>
      <arglist>(string sep, string str, string quote, bool trim_unquoted=False)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>split</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga3f5765ea29f15b469e621cccfc226af3</anchor>
      <arglist>(binary sep, binary data)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>split</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga923162be7c98d9bae34383ceae887cb3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>sprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga7a74be141f814ef286046c367b21091c</anchor>
      <arglist>(string fmt,...)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>sprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaadd7e7a29545d6dcb6b886487cb64b18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>strlen</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gafc530772b929b2148ae2733569bada58</anchor>
      <arglist>(softstring str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>strlen</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga3c5426eab56d284c42e16d576c241424</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>strlen</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gacfc7940a84a67b975d9a723eb8c35417</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>strmul</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaabfb10141a51d31ef100d9fd3a02252e</anchor>
      <arglist>(softstring str, softint smul, __7_ softint offset)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>substr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gafe621446ada382d5b086a1d2a20934c9</anchor>
      <arglist>(softstring str, softint start)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>substr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga7893910a0881f74365a20ec7a46014b6</anchor>
      <arglist>(softstring str, softint start, softint len)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>substr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga8b90bec06c9dabd6d54fff51684f9da6</anchor>
      <arglist>(binary b, softint start)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>substr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaf00ab0e1f2c880e0da287c102aca9873</anchor>
      <arglist>(binary b, softint start, softint len)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>substr</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga6d76c09df83d593dcb4d80b1988d1b88</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>tolower</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga69274a2dc60bef5acb7a8adad8b96b8b</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>tolower</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaee3b0330c18a79c0a474cad90724ba26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toupper</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga55350788372fc736eee9c0102ec82215</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>toupper</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga89a2d29770895c7fc27ce3e95d657315</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>trim</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gae8d314e819a299d46d181696600d4293</anchor>
      <arglist>(string str, __7_ string chars)</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>trim</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga4964d4d76f0418b0cf6af8898f04dce2</anchor>
      <arglist>(reference str, __7_ string chars)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>trim</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gaff249219345cbb027c8868c82585383a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>trunc_str</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga49c6b104180fd40bb21d164773df1f4b</anchor>
      <arglist>(softstring str, softint len, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>vprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga5ff7c0d6e7af6ce2274213cf7d3916a5</anchor>
      <arglist>(string fmt,...)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>vprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga3204bee77dc83e5095f95f6582e591c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>vsprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>ga64320a810e07ae58a53a42c63c8e0094</anchor>
      <arglist>(string fmt, any varg)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>vsprintf</name>
      <anchorfile>group__string__functions.html</anchorfile>
      <anchor>gab53f40cb39abb3bd2a4d782741b6b0bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>delete_all_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga67572bb3364b4af9d37226948fb680c5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>delete_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga7fecb4c50726c994a9cdaf1d3284e5b4</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>delete_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga54537615afcd865cc8d5ebd07b88ab1d</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getAllThreadCallStacks</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gafd3175bee28ab8ad01b908ddbe75eb85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>get_all_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga0e41351fb2defb17a55e3fd0e60af08f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>get_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gaa69ff560809f0358f92f472ba1dbfc4d</anchor>
      <arglist>(string key)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gafe320b93634b056e4d36ad02086b0638</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ TimeZone</type>
      <name>get_thread_tz</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gad86831d8ae7b5b1d35e9bb14dc9f6325</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>gettid</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga95ed8e572309b44b3f5b49673238c3e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>mark_thread_resources</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gafa1c0f9e429a945b66fb261c7fa1b5bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>num_threads</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga4bffba0876346fe5233ed4f5161c90d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>remove_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gaa0e42c31c2764c9def6637368d4ef8a1</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>remove_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gad2895da6064b226cbe9e48e5d1ff7229</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>save_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gad1a3dc7fced3ab8e520d7bdbf6b7b69c</anchor>
      <arglist>(hash h)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>save_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga8abec5401287726267dc25e07bdd12bf</anchor>
      <arglist>(string key, any value)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>save_thread_data</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga1da332e389e3083ba80d45aaec0525c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>set_thread_init</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>gabe21bb73c9956e880e2d6902c01dcdef</anchor>
      <arglist>(code init)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>set_thread_tz</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga07fcdce92cacc7cea4b92504a737d7c2</anchor>
      <arglist>(TimeZone zone)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>set_thread_tz</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga21c1462b384cf6a52d20195bb3b6cf90</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>thread_list</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga4c0ef233765a3fe84a89f8c5b61915cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>throwThreadResourceExceptions</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga401f0e787e79f2e4851d60b9223bb8d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>throw_thread_resource_exceptions_to_mark</name>
      <anchorfile>group__threading__functions.html</anchorfile>
      <anchor>ga4e62409b8a1b414276d033267e7299e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>clock_getmicros</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga8027edf6a9aee300be71b546c34a37c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>clock_getmillis</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga2515bef23859efbcc2f8895b204010cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>clock_getnanos</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaf231c253db97a5c471e79358a789585b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaa80ee453b6a5653ac685d7e290c74e3f</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga835071f44cebd259e52045a822009cac</anchor>
      <arglist>(string dtstr)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga6be6ed69b109c4deb6c69924777a2bae</anchor>
      <arglist>(float f)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gad1f1d7cbea3ea333ba3cb805da015fc4</anchor>
      <arglist>(softint i)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga1bd6722e7ca0b4332f0f30aaaa989b08</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaaa7df678ffcdd4f57f1f2f412b5a6f2b</anchor>
      <arglist>(null null)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaa990826f93b4f22f786fcfe431c4886d</anchor>
      <arglist>(string dtstr, string mask)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>date_info</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga715bd37d2821ee20a934a4d76b708115</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>date_info</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga6ba95f5523418f764974115e4bb65dbb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date_ms</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaa3c93eee1ff2667b2cded39f0fb01639</anchor>
      <arglist>(softint ms)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>date_ms</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga4a67e87acc70debe7b4d841f3a0d7279</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date_us</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga9200d06a35e6a2c19aa2a6c952a049c0</anchor>
      <arglist>(softint us)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>days</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga0f5bfff6ce4b534b1c3a6c5357b1377a</anchor>
      <arglist>(softint days)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>days</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga09afb095d65e3393a85af466384c8bc4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>format_date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gad5572fcb49964bfe3005e144da579361</anchor>
      <arglist>(string format, date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>format_date</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga4512b76526538194359a25ec63b60369</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>getDateFromISOWeek</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga86f47ab9a928a2c8aff8cbac9b5f3518</anchor>
      <arglist>(softint year, softint week, softint day=1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getDayNumber</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga08d26e9c0ed9635a1ee1158ee4bf24a5</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getDayNumber</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga43bb7bc0ae09fa7fd9267e248d3cb8e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getDayOfWeek</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga5719e06bb6919c3cc370f99910f78277</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getDayOfWeek</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga0c77571be96a607e6509a443924bbfa0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getISODayOfWeek</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga92ef075d0aa1945a11580a864bc7f4cb</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getISODayOfWeek</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga23973fcabb1d70ccb1fefe7f405988ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getISOWeekHash</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gade4471026c8ebabea860ed4f8b0d84c2</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getISOWeekHash</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga6492bcbbb26c4b8466a9203a86b4306c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getISOWeekString</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga04331a3a415abfaaa228c4253a04859b</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getISOWeekString</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga6f1fd787412d97d01c7b8450c5a6f82a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_days</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga12df9bddb196820c9278f7884d6816f0</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_days</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gac3b2e2b48cfa2cf2fded33e742a33b3c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_duration_microseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga314baf84678a796209a67156b4f5d8b8</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_duration_milliseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga9577b42c40fd075fb0bcb5ecabec75a1</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_duration_seconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga98ef4a4d08621926630c15c1bbd769df</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_epoch_seconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaa69c5fbab2d5e245d89cb3253523c310</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_epoch_seconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaeca2765fa7aa631c885e61490c2421a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_hours</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga83e582adb5ad1401911345ba306dabd2</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_hours</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gad6e926ac468f32b6f269b6d62dcc186f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_microseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga8ae5ae186ff94fc2033ee0f6f308688a</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>get_midnight</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga83dc9f23f27ec426d6eea28dea040bca</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_midnight</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga15e3b79ea0fabd6d544398e9c6d849bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_milliseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaabefaf27c91bdc7bf6ffa50b391279ea</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_milliseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga2247d7d6516390915ab492813184da7b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_minutes</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga4dbc1e7f615407a2aaa60610e03cf1ea</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_minutes</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga9d2be4bc7d936dbe4881a6d2b3a45ad0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_months</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga6a37327d1be86abe99b29c133c3fd0bc</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_months</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga5b22eb495f16c4e23fa1a902041588da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_seconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga8872de33c58a5b4a2ffe01818f226f48</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_seconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaaa477a2c5a1da483a4fcc58bb913064d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_years</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga730632dedaa1b9cef875a5a12861f1d1</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>get_years</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gad0d4c9db88f9089f385724476119ea3c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>gmtime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga098fc81e482c4ad4eeef3446c98f9b38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>gmtime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga9ca9d46f2eced39da05a7a6cb9723bb1</anchor>
      <arglist>(softint secs, softint us=0)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>gmtime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga755457185eb53b30eef65346922aae1a</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>hours</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gab342176f1a1c5ac93fbf18faeda3e943</anchor>
      <arglist>(softint hours)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>hours</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga6f8b91eee380336342e0af0fd1b2a28f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_date_absolute</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga544832cd9178c98718296c83dfddc2f6</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_date_absolute</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga1a78ee645b0b9816f7a1bbc77f0e4e3b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_date_relative</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaf7de7b0823a39642087140ff1224e033</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_date_relative</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga72eac18903961ac29592aa649823a5da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>localtime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga9e3f17815e16f8b91b489d60803f265d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>localtime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga695f842b668a13ca581975abb53e735b</anchor>
      <arglist>(softint secs, softint us=0)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>localtime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaa5194ca5a38b76a102c02bc4774e6723</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>microseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga5ecb2657b5cc84fc2f16ae1a4cc3fae7</anchor>
      <arglist>(softint us)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>milliseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gac8e561799a9f873502e161695670c06d</anchor>
      <arglist>(softint ms)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>milliseconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaaca16fe50892b686b205610d8496e9ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>minutes</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga4d6d3d90deac1387573033793c668586</anchor>
      <arglist>(softint minutes)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>minutes</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga1633103f30ca698b3864e93e440dea00</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>mktime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga3278590d05035f64ba18170e87e8293a</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>mktime</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gaa545a3ae1c8c055949d2931285d02882</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>months</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gacf1db8004f38d76ad6028855f36772ce</anchor>
      <arglist>(softint months)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>months</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga0a6ebdc9e4a3dbaa7222f0b4c98fdda9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>now</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga23f067a4f82596346d4fef09782e1945</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>now_ms</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga4916588a63c91c6632ce877ec1d6cc1b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>now_us</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga61b29a943e0e85abdc9792a9434e5b39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>now_utc</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga014569059b153ad30b0951ba0113bd04</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>seconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga19566ff46f3818f4554c73ba145fd8e1</anchor>
      <arglist>(softint seconds)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>seconds</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>gad7edd4b61aca5344ad2dd94b23c934d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>timegm</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga62c3c23b7423b9583193a8a5cb16eb29</anchor>
      <arglist>(date dt)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>timegm</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga2bd5e056f0b35e599aaecd7e5e26512f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>years</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga71eac87de4a337ec7d6dc6456d86d8c4</anchor>
      <arglist>(softint years)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>years</name>
      <anchorfile>group__date__and__time__functions.html</anchorfile>
      <anchor>ga22b8473aff75818b568aac6ca76c87eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>binary</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>gaf11c7f5c43ced1e9b95bd2270ee87ed9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>binary</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga2cea7c8bd0f40661965bf9e5a35b0a81</anchor>
      <arglist>(null x)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>binary</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>gad41f0cd19b4ebe21cf9562d2708ccabd</anchor>
      <arglist>(softstring str)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>binary</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga1dc01cd648400e3bf4b2e69703b861b0</anchor>
      <arglist>(binary bin)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>binary_to_string</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga57dc696a2078b28d578b7a034f9ac555</anchor>
      <arglist>(binary b, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>boolean</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga22c89291d4105fcb558f49fe49aeae44</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>float</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga113d18216af1bdb70545081b6a9892ef</anchor>
      <arglist>(softfloat f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>float</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga1f8120b971c551f639a3f8f3c22840d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>hash</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga5182bb860e3837e1eb337e85a9b3ebd6</anchor>
      <arglist>(object obj)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>hash</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>gab06789ce6dbfa0d12fd571ea33e223a7</anchor>
      <arglist>(list l)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>hash</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga38bef680a4522dc93037ff5f42c02849</anchor>
      <arglist>(list keys, list values)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>hash</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga7739224e50b4d6ebfc800bbeb34dff5d</anchor>
      <arglist>(hash h)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>hash</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga295911cda8809f2d9c4a1b4f02a40c00</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>int</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>gafa2f2472f43231ec932cdc6dbcc58daf</anchor>
      <arglist>(string str, softint base)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>int</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>gaedc7dfca9a2bab4770135bb01a34b63c</anchor>
      <arglist>(softint i)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>int</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga03ab6f55991f898f3ba14da7b8d1bde6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>list</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga8f596b49953b71928f04c24b19834bc3</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>number</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>gaf6000d64e3fe99ce81b9faaf44b2de4e</anchor>
      <arglist>(softnumber n)</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>number</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga43bd1e4a512f68f1b9fd3087b591d6d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>string</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga4f2b4292a08b8533d6425a1368258cf2</anchor>
      <arglist>(softstring str)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>string</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga62b00f727549f979c1dc83450d2819a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>type</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>gaf444d79cd29ad4c428963cc572479050</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>typename</name>
      <anchorfile>group__type__conversion__functions.html</anchorfile>
      <anchor>ga839641bbaae938fccaec37f7be857bcd</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NF_Default</name>
      <anchorfile>group__number__formatting__constants.html</anchorfile>
      <anchor>ga26210c15de6f9439841b31983989b727</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NF_Raw</name>
      <anchorfile>group__number__formatting__constants.html</anchorfile>
      <anchor>ga04d7d50e0d78ac50341f8729c4940947</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NF_Scientific</name>
      <anchorfile>group__number__formatting__constants.html</anchorfile>
      <anchor>ga69cc628e70f6f1c4c9ba4997ac09e5b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_ACCMODE</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga8e48617453f7fd321bcceee8816bf23d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_APPEND</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>gab47c6691139c37e08761a808d16ede1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_CREAT</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga9af988b09d302ec0ae8605d5610e1e9a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_DIRECT</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga682b263ef12018bfd33ca8ba8bc8fd16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_DIRECTORY</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga5be496ec4bdff357baf0e742139c74b1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_EXCL</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga4ba47557022312d11d81f171fbb2e9ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_NDELAY</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>gaef24f5eb3bd3bd4dd9d4658577376715</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_NOCTTY</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga107ba322507fc52fe0c4a6537ded406a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_NOFOLLOW</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga3452d00ede9696d75d1062d95da9449a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_NONBLOCK</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>gad5c43d9d32ea2b08ebbdfe70aa84710a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_RDONLY</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga1ab351549a0b39d1492dc0a48d199f64</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_RDWR</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga0d2a9837762a26e27fb666fa44358c37</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_SYNC</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>gacb2f3e1944dae38a5c4363ba21bbca11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_TRUNC</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>gaeee59f4f7458e6d022dc84da0b9817af</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>O_WRONLY</name>
      <anchorfile>group__file__open__constants.html</anchorfile>
      <anchor>ga24d94df00b8914ad6459e39cddfe15bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>F_RDLCK</name>
      <anchorfile>group__file__locking__constants.html</anchorfile>
      <anchor>gaf9d120de60979f848d7d145db05c4403</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>F_UNLCK</name>
      <anchorfile>group__file__locking__constants.html</anchorfile>
      <anchor>ga6a9776b4f6e4e751d2ad8011979072c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>F_WRLCK</name>
      <anchorfile>group__file__locking__constants.html</anchorfile>
      <anchor>ga6df55e6d2cd8d49cb714afe15f4d6b63</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SEEK_CUR</name>
      <anchorfile>group__file__seek__constants.html</anchorfile>
      <anchor>gafb10f9061ee15381748299f4148b5839</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SEEK_END</name>
      <anchorfile>group__file__seek__constants.html</anchorfile>
      <anchor>ga1201b62b1ac5ac95f7890d2be610e103</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SEEK_SET</name>
      <anchorfile>group__file__seek__constants.html</anchorfile>
      <anchor>gaf3418d7771017bd7551b14aad79900f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_ALLOW_BARE_REFS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaa980dd723754782db7b8be9abe77615a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_ASSUME_LOCAL</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gac68aaa1c322a68a213b5101265aea716</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_DEFAULT</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaf8ee107760d23b03c6db359c872cc0f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_FREE_OPTIONS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gab75108ae88f89969d9c962bd681b3c2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_IN_MODULE</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga094a2d1f503a2b1e9abbe11b0d47cc6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_LOCKDOWN</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga32ca9503dd181920af97c058d9bd1164</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_LOCK_WARNINGS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga1d039ccd02b93ddb1d5c8a7c1470167b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NEW_STYLE</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga2d794c7a304d97cae92a819b1aa21e15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_CHILD_PO_RESTRICTIONS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaa567ec1170360b9ca111402c5179109f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_CLASS_DEFS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga969ab84c1a550482cbc6d24e878172e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_CONSTANT_DEFS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga50a8caec03edae3600565a456c1f9c7e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_DATABASE</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gac496a9d9bcf9d5c626c8c267c73a83bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_EMBEDDED_LOGIC</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gab1337f461ab4a90df9b39a7f1b6cc2b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_EXTERNAL_ACCESS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga10aefe54a313d86a87fedc46820ffb02</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_EXTERNAL_INFO</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga213aab826b55076c29ffeecebbaea237</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_EXTERNAL_PROCESS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaab2d8faa88f066837e100152187e6368</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_FILESYSTEM</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga5e466ed886222f0b57b0a399b455be71</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_GLOBAL_VARS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga00fcb14e17ebe9073cc0b768c276cf64</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_GUI</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga005117c783de66a8635beead079f52bd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_INHERIT_GLOBAL_VARS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga7cd01bb8ba1560c7893cd9655894c550</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_INHERIT_USER_FUNC_VARIANTS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga972fcd1745cc3f4efb6cb2a6e53cd832</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_IO</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gabcd4198285f25da13a5883006f06a2b7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_LOCALE_CONTROL</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga99046cc8285fb26438508cdf29b5771e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_MODULES</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaccf9af08f7acb25e66b777dcb4c4563b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_NAMESPACE_DEFS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaa5aaa3b96f4662b3c49bed1d1ab8ec88</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_NETWORK</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga20400e83c6271a294a48b15a8f952efa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_NEW</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga9736251c76726706da64426d899b4033</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_PROCESS_CONTROL</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga10d8e3f76c427b0f974529de572dd0ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_SUBROUTINE_DEFS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga750cc2b2d325184242990c6ab60ea736</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_SYSTEM_CLASSES</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaab3b95c81206d264aa1ef8899e8a511e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_SYSTEM_FUNC_VARIANTS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga52fc34efb7bfc44651617dca0a198d4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_TERMINAL_IO</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gaa92bf6eafb76a4ccf1a0d0df45b13363</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_THREADS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga76f3b2a173e5f06aec64ea04fc1ed515</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_THREAD_CLASSES</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gade963e1fbbd1f5b2c777df7221512a1b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_THREAD_CONTROL</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga16d8c2b85171b6673b60b5f7d0eaf5eb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_THREAD_INFO</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gac379d98e62c57231c2efb7ea87c75a3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_TOP_LEVEL_STATEMENTS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga3a99f2973e97f3986630d8204d7b91fd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_NO_USER_CLASSES</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga061c7a1e078d4b4e611a70cc0ad42645</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_POSITIVE_OPTIONS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga18bccc9b9ec584b9410946284ece4f5f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_REQUIRE_OUR</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga77d54a192aeae13bac95700ab5bbb190</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_REQUIRE_PROTOTYPES</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga196e048def21cb147b21a4871c4e9b29</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_REQUIRE_TYPES</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga66847391bb96dac88c3fee210720bbb3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_STRICT_ARGS</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>gac7875c0c85a64fa8b0d66fc634734957</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PO_STRICT_BOOLEAN_EVAL</name>
      <anchorfile>group__parse__options.html</anchorfile>
      <anchor>ga2fbe2a73849bb0139d8d228df0e49ea6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_ALL</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>gaca379fa551c754f3c17c8646f0266d3c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_CALL_WITH_TYPE_ERRORS</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga01d5b544bf6b6b9a2f536170a0dec874</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_DEFAULT</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>gac3e3f433df767225241ac8a79659ac82</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_DEPRECATED</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga9cc566b485af781c2399391757b5ed42</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_DUPLICATE_BLOCK_VARS</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga664f2aba566e42b153dad3a0caf66a6b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_DUPLICATE_GLOBAL_VARS</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>gab247c4239ec72ab1d1d371db02a4885a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_DUPLICATE_HASH_KEY</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga23066c3a05c2fe71f38ab685f1bf6b09</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_DUPLICATE_LOCAL_VARS</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>gadf0ad85e6dc336579e482387049a2f56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_EXCESS_ARGS</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>gad5de92870336590ea44a7c26f1bf1ca2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_INVALID_OPERATION</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>gaac6499101e41bd5528237e2e8ddd8bf4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_MODULES</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga7f704aa8f7652702d72d22ce93125566</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_NONE</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga5d8afd6e29d7ceba003d8869c2bbe5e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_NONEXISTENT_METHOD_CALL</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga257188e66b355163c9dedc161e722254</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_RETURN_VALUE_IGNORED</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>gadab0ec646f61cd37bdc79bb0fc948f79</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_UNDECLARED_VAR</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga597d58a31c59bc47bbecfe8160c57129</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_UNKNOWN_WARNING</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga82936dc7ad95c220a0b3635618bffea9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_UNREACHABLE_CODE</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga677c5a9e0fdfb07d76c152999fffdc55</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_UNREFERENCED_VARIABLE</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga8e22cc8dbf206cc7512d89b88b6e2564</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>WARN_WARNING_MASK_UNCHANGED</name>
      <anchorfile>group__warning__constants.html</anchorfile>
      <anchor>ga2463b44ba4c7437bb45d9c9850bffd3e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_BINARY</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga71eb237451170acbe0e778711f73c462</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_BOOLEAN</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga2d3c90a766ca129ff13d243a27b41c90</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_CALLREF</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>gaa27f1bed5a2cc4ef4e62c7c2897f564d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_CLOSURE</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga7a11fe8da227e7fd1c31f705e828b6a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_DATE</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga230aa338eb63ada8096e318095f8052c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_FLOAT</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga8ac3e62bba7e8b878017533c2ac2f20f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_HASH</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>gaf94c74753aa73379b90ab30d092ffc60</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_INT</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga38fbe0c5cf4d846a91edea6486bdd5c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_LIST</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>gada83cf42174092e6f4d28f21f1ce3c2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_NOTHING</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga823743aaa009c846f0ff649759e13a2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_NULL</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>gac59ac2035c37d18a8922c891c109686e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_NUMBER</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga57b8fff06d2f486b8ec1a1952b6f06aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_OBJECT</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>gac9fe4267bd9924d2f99d19304aaf88c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NT_STRING</name>
      <anchorfile>group__type__code__constants.html</anchorfile>
      <anchor>ga86a3586f63bf9793e0cdb13f5e1f5db4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>TypeCodeMap</name>
      <anchorfile>group__type__code__map__constants.html</anchorfile>
      <anchor>ga2a480ee5f1ba574e58391be1b3a0eb24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>TypeNameMap</name>
      <anchorfile>group__type__code__map__constants.html</anchorfile>
      <anchor>gabd2d01582297bf26346d7fd7e81163cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>False</name>
      <anchorfile>group__boolean__constants.html</anchorfile>
      <anchor>ga9da2b9a8003cd3788e48305f8a00540f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>True</name>
      <anchorfile>group__boolean__constants.html</anchorfile>
      <anchor>ga3ba2df91713a6249449347131ea526c3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NOTHING</name>
      <anchorfile>group__null__and__nothing__constants.html</anchorfile>
      <anchor>ga756badc783adcd6a850808b928e21af4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NULL</name>
      <anchorfile>group__null__and__nothing__constants.html</anchorfile>
      <anchor>ga1805d277be60585d3f2a296c885cf334</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ET_System</name>
      <anchorfile>group__exception__type__constants.html</anchorfile>
      <anchor>gac8dc5524f44f9c2ffd6ee5234444122e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ET_User</name>
      <anchorfile>group__exception__type__constants.html</anchorfile>
      <anchor>ga1b83beab5fce1ac7290ea7d93e49eeac</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CT_Builtin</name>
      <anchorfile>group__call__type__constants.html</anchorfile>
      <anchor>gaff4a6d7250c5c06104dd7ae863f24248</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CT_NewThread</name>
      <anchorfile>group__call__type__constants.html</anchorfile>
      <anchor>gaaa8007bd02fd23500cd18eaa09db512d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CT_Rethrow</name>
      <anchorfile>group__call__type__constants.html</anchorfile>
      <anchor>ga13d2ea7b0a108b3424bdee7c7e3ab23b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CT_User</name>
      <anchorfile>group__call__type__constants.html</anchorfile>
      <anchor>ga7fcc1e7cbff4b6b11a2be6185c1fdb8d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Build</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>gaf309af16653ccf009d207a851a3bc40f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>BuildHost</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>ga02838c0996b5ddca780babc786eeb0d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CFLAGS</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>ga4706dc06313216a4c4252d7024809487</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Compiler</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>gab870ef28f525648a43a31c859a2a6d06</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>LDFLAGS</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>ga8130bc03e3d8254eaf0d91ef4dbce1cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>MACHINE_MSB</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>gace8e995e657fc1299783e55b90eda812</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PlatformCPU</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>gac7364290dc6b93298baabb32da286c5b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PlatformOS</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>ga0df3f3321bde2c7e8c25cab85a94c0a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VersionMajor</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>ga981ec5d46693e04ec68a953c96950b97</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VersionMinor</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>ga2951ba69a965973d76898d671270fd9e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VersionString</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>gadc4aece84a7f703cb7f2da77f18980b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VersionSub</name>
      <anchorfile>group__system__and__build__constants.html</anchorfile>
      <anchor>ga92cc5129c80534fbc9c887321a582264</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SOURCE_FILE</name>
      <anchorfile>group__event__source__constants.html</anchorfile>
      <anchor>ga1cea533c8658a47ddc7ece4cc71ea3a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SOURCE_FTPCLIENT</name>
      <anchorfile>group__event__source__constants.html</anchorfile>
      <anchor>gadcdbe58f12675ffc88b9a7366b6bb93f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SOURCE_HTTPCLIENT</name>
      <anchorfile>group__event__source__constants.html</anchorfile>
      <anchor>gaca8f942512797c6750ee3d8b47328782</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SOURCE_SOCKET</name>
      <anchorfile>group__event__source__constants.html</anchorfile>
      <anchor>ga1dc3f29ef71c6de5cc5114382c88755e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_MAP</name>
      <anchorfile>group__event__map__constants.html</anchorfile>
      <anchor>ga5713637e868b3d5bdddcbbae7dfe8564</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_SOURCE_MAP</name>
      <anchorfile>group__event__map__constants.html</anchorfile>
      <anchor>gaae344525a4c9a9abe0399ba4d0ac9021</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_CHANNEL_CLOSED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga351b788677e1dfff0a791c79762a527e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_CONNECTED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gadbc9ff154373b63cc1845cd9b1cec056</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_CONNECTING</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gacac824e6e4f505757e01fb9d926d8490</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_DATA_READ</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gaa5c638cda1f133aaecff300db9f870d2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_DATA_WRITTEN</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gaa71090af36659667313c8c739002c263</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_DELETED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga77ac8ca6dd3d9fd6fe51b1b0d82e26fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_FILE_OPENED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga83e323f4c6bb013dfefd51ad4482de19</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_FTP_MESSAGE_RECEIVED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga3f65c01bb4a3b817d3cd8c8731b89b28</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_FTP_SEND_MESSAGE</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga75776f172ec78925f339f9ddb6730646</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HOSTNAME_LOOKUP</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gafd12bc810e5a9cbcb1ac885b233784da</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HOSTNAME_RESOLVED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gabb61e0e324cd908e2543ce6d08330dd3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_CHUNKED_DATA_RECEIVED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gabe9ca24b827811f6440c3caac71bee75</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_CHUNKED_END</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gaa19880a65c20fe3f3cfb89f94b6ad960</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_CHUNKED_START</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga618a2847b6cabc75e1e6ecdc40c88a7f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_CHUNK_SIZE</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gacb75168aba13cf548176914db6f5c4f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_CONTENT_LENGTH</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gad0f50dae7f1bfedac9b8e9d8bf31c35b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_FOOTERS_RECEIVED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gaf76b16c6831986b699782098310efe9a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_MESSAGE_RECEIVED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga1d16d8fddcca7cedd6f8b81ad26d9658</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_REDIRECT</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga6d363c43f9023d8442fcc266db699eca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_HTTP_SEND_MESSAGE</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga3b92fc4b13daef0ebe6ba6f9781bf2c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_OPEN_FILE</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gab9e3b3325f2176a9fbc985d6560b9f08</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_PACKET_READ</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga021ba2dee5ccd3870ed42884f13a88d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_PACKET_SENT</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gaf7edaaff31f786ccf7c426012fa00bb7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_SSL_ESTABLISHED</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>ga8f000a2187f2161511f09b9e489c9680</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EVENT_START_SSL</name>
      <anchorfile>group__event__constants.html</anchorfile>
      <anchor>gaf0777a5058274a3292ae6b9e2c84261f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>stderr</name>
      <anchorfile>group__io__constants.html</anchorfile>
      <anchor>ga697e4968984d273562f14bfed155b4a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>stdin</name>
      <anchorfile>group__io__constants.html</anchorfile>
      <anchor>ga0cfa7aea34f3c921036623600e42b21f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>stdout</name>
      <anchorfile>group__io__constants.html</anchorfile>
      <anchor>ga44ab38fe66ed7aa87731a2de976017c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IFBLK</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga2c891c3130ae8a0d0d11784b2a42eeb9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IFCHR</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gaf248185504f0a91f493b267a9218750f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IFDIR</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gab7e858523e9e02b72379879d2a84f9b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IFLNK</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga2bea1d763aafb758ccb9dd2a4a31552a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IFMT</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga0e71d3a1ee084309a8718f18d3dc95dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IFREG</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga7f44a136184e71b62d91bd776ed40d6f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IFSOCK</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga1b1a9147a783b67902717fe840bc4086</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IFWHT</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga17069d0ba50fdbb0ab3c0b80d324cc6d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IRGRP</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga49f1e458770fef9f6d4687a4cfbaac82</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IROTH</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gad730b6b55d082561d725650f59559ba4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IRUSR</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga7ed514c724be3988906c816c5374659f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IRWXG</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga7a681a17d0e9d9ff3ccbeef067194e7c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IRWXO</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gab5933856472006ad8d1c5d43e4c1db4f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IRWXU</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gad3055b7e1b13a2f1e814ba2c71a5a852</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_ISGID</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga4e1cd8d467a5a7eb43a6318c5dafd2d2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_ISUID</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga4dff870bd5c526f49b99688313cb4df1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_ISVTX</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga34ec75099fd680a217e72629eca966d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IWGRP</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga592399622ad8a25a74510a0daa2e439e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IWOTH</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gac5d5e6b448289323e591945d291e4032</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IWUSR</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga086cdc31b11ba396d6d8743eb0ab85c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IXGRP</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gad2469f0282852af931e8f7974847c53a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IXOTH</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>gad0591ad36e753abc88c0e155b2132058</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>S_IXUSR</name>
      <anchorfile>group__file__stat__constants.html</anchorfile>
      <anchor>ga58f071a14cec07cb61fdbc06d16eab01</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_AKID_ISSUER_SERIAL_MISMATCH</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga0d28ad9c54f79922715013bca49f4a52</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_AKID_SKID_MISMATCH</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gaea4002870f0a1df88999dfc925243b95</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_APPLICATION_VERIFICATION</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga2f48578acd358ebfe55100f6daf1602b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CERT_CHAIN_TOO_LONG</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga78a4220220d45411835ef8601b8294bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CERT_HAS_EXPIRED</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gae6407bd35520f45e29800b396e7e7dc2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CERT_NOT_YET_VALID</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gadd182b1dd774f8c4181f9147991afb3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CERT_REJECTED</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga04e25fb5ed66b37b280758ed17cce0f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CERT_REVOKED</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gaaab55b073ffb0af920c408a7c6c18bc3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CERT_SIGNATURE_FAILURE</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga0194c30188610d8aef7df4a98d2583ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CERT_UNTRUSTED</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gad8effb53d699713577403dbd93d18940</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CRL_HAS_EXPIRED</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gace0346e494d1793f0524bcd534f43f7f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CRL_NOT_YET_VALID</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga757330b3e07026d87148774bd15eefa4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_CRL_SIGNATURE_FAILURE</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gaf5306ef80a14597259e706c143b41796</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_DEPTH_ZERO_SELF_SIGNED_CERT</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga345ab69e53100f9349d9a38877bb44ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_ERROR_IN_CERT_NOT_AFTER_FIELD</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gadde3ff8cecf56d2ef5473bc279e8910c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_ERROR_IN_CERT_NOT_BEFORE_FIELD</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga1c827ab82254df93dfc83b22d764dba6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_ERROR_IN_CRL_LAST_UPDATE_FIELD</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gaa6c7200e8827c8664172575c70683754</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_ERROR_IN_CRL_NEXT_UPDATE_FIELD</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gaa00c30bf61fbe3924d06c96c3d20e7d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_INVALID_CA</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gab638296ef4610b30d0660fa13e045954</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_INVALID_PURPOSE</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga236bc06dac524bcb9a61180e568bc462</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_KEYUSAGE_NO_CERTSIGN</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga2163d9e78be7ed6ffdd8d1e9ae5c1331</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_OUT_OF_MEM</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gac1ace11411b4a1bfd915c2322d04136e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_PATH_LENGTH_EXCEEDED</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga1e7f2975f18582ef16903119a9c932d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_SELF_SIGNED_CERT_IN_CHAIN</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gaf1c08de19215f3800a41504bda25c20d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_SUBJECT_ISSUER_MISMATCH</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gaad87fc6ed5543a647eccdae0a98349d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_UNABLE_TO_DECODE_ISSUER_PUBLIC_KEY</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga88ea09360717cf145bdd190c3e132c7d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_UNABLE_TO_DECRYPT_CERT_SIGNATURE</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga4a67994a701467704c8900ec6b0a42c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_UNABLE_TO_DECRYPT_CRL_SIGNATURE</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gae1e5481186ecefe9b89d5e2387084fb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_UNABLE_TO_GET_CRL</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga54fe67c0c13ae6dfeb20ea2f197be267</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_UNABLE_TO_GET_ISSUER_CERT</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>gac348670d2763dc7bce25889c1c9694ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_UNABLE_TO_GET_ISSUER_CERT_LOCALLY</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga7f6fe4a2dd47539540e2919e464e528d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_ERR_UNABLE_TO_VERIFY_LEAF_SIGNATURE</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga86aaa114c74aab441847ad4db7597a6f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_V_OK</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga5ef6a3725dcb9fff52ac9fabda19469b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>X509_VerificationReasons</name>
      <anchorfile>group__x509__verification__constants.html</anchorfile>
      <anchor>ga0ebd0784741e7d3521e972da7f294aba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AFMap</name>
      <anchorfile>group__network__address__family__constants.html</anchorfile>
      <anchor>ga70894a206b70fd3973f0d4dad1322a02</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AFStrMap</name>
      <anchorfile>group__network__address__family__constants.html</anchorfile>
      <anchor>gafda5d0bb6a1cac9536eb682ae75c4b5c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AF_INET</name>
      <anchorfile>group__network__address__family__constants.html</anchorfile>
      <anchor>gad33bf2a0a393d1100099acfb6ca644e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AF_INET6</name>
      <anchorfile>group__network__address__family__constants.html</anchorfile>
      <anchor>ga4b71df64cd838d8f5c0c1974d3011dab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AF_LOCAL</name>
      <anchorfile>group__network__address__family__constants.html</anchorfile>
      <anchor>ga059e4258e2fa6cb44c1ed5c614698545</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AF_UNIX</name>
      <anchorfile>group__network__address__family__constants.html</anchorfile>
      <anchor>ga6d1177c9edd5e022ab3b9b1fcadfa3f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AF_UNSPEC</name>
      <anchorfile>group__network__address__family__constants.html</anchorfile>
      <anchor>gac4f81abe9d374562b41117c51950fb80</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AI_ADDRCONFIG</name>
      <anchorfile>group__network__address__information__constants.html</anchorfile>
      <anchor>ga4758a93032a616834593a3172740b973</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AI_ALL</name>
      <anchorfile>group__network__address__information__constants.html</anchorfile>
      <anchor>ga6b06ba8ece0c3d06c2eaead5a0b3735b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AI_CANONNAME</name>
      <anchorfile>group__network__address__information__constants.html</anchorfile>
      <anchor>ga4f24f51906ead287cd6e6cac80b344cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AI_NUMERICHOST</name>
      <anchorfile>group__network__address__information__constants.html</anchorfile>
      <anchor>ga41a7aa51148c443dcab4262b6d5eed56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AI_NUMERICSERV</name>
      <anchorfile>group__network__address__information__constants.html</anchorfile>
      <anchor>gac31474a7abb330fc937a0f501875755c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AI_PASSIVE</name>
      <anchorfile>group__network__address__information__constants.html</anchorfile>
      <anchor>gaf18e12f435604a899f9f5fa8fee83a8d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>AI_V4MAPPED</name>
      <anchorfile>group__network__address__information__constants.html</anchorfile>
      <anchor>gad17072ef3c5d0a9081cd239ff7e15a4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IPPROTO_TCP</name>
      <anchorfile>group__protocol__constants.html</anchorfile>
      <anchor>ga207783771cbf914f235bb441f69cec71</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IPPROTO_UDP</name>
      <anchorfile>group__protocol__constants.html</anchorfile>
      <anchor>ga60076c9f99409f2691cf66c521572c41</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SOCK_DGRAM</name>
      <anchorfile>group__socket__type__constants.html</anchorfile>
      <anchor>gab4192979e83a6d314821be9e962154f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SOCK_RAW</name>
      <anchorfile>group__socket__type__constants.html</anchorfile>
      <anchor>ga670510cf028ecec51705237e1003befb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SOCK_STREAM</name>
      <anchorfile>group__socket__type__constants.html</anchorfile>
      <anchor>ga658ebfaeb8e533f106b3019ba3007531</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ALTWERASE</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga3b8b9271f15453c12ce3860e6138830e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECHO</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga10e59189da61820c62c0d52a32d5f355</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECHOCTL</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga83c77f350caa026a6c6e3bad568feda1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECHOE</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga78978e81f3b5d51f6f85cd3e0440d8d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECHOKE</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga5ba89862ce5bf3b326b67c0356a9f3d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECHONL</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga4d0a109d9c28bbe64298b89512f59cf2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECHOPRT</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga9d63a6b90304f2d99e1c9649d0b9332a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EXTPROC</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>gab771255b7abf4b6ddf3aecc6673de496</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>FLUSHO</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga55c9fc7e96ce4853d2ddd294fd43e6cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ICANON</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>gaee28cceae79349ff888ba64408473382</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IEXTEN</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga85a235af8ce51b2079a4e237d7b281b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ISIG</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>gaad46656657feecadbc2b3bf1cceacd92</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NOFLSH</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga6b1be071d53ef30ecb41d4bcf9d6356b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NOKERNINFO</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>gae79d4f427e156d7f25a3ab7de919d379</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PENDIN</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>gab0f0a7dfd8d04b2bb2eae1e1ecc18850</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>TOSTOP</name>
      <anchorfile>group__tattr__local__mode__constants.html</anchorfile>
      <anchor>ga846f1a2f12b8f638d83a611a21ebd755</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CCAR_OFLOW</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga421edf0a3319238ae36b82e96ffa78bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CCTS_OFLOW</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga5e4f3cef1065f7cd626122f10ce19088</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CDSR_OFLOW</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga9263e69c0238280868a9aeef7657c34c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CLOCAL</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga043fdb534ff1754f12898d2a5a5246d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CREAD</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>gab0cd0b8f450ea5058efc4d81f813b0e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CRTSCTS</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>gaa6874f252b9bafe740c43d6ec33b5f38</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CRTS_IFLOW</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>gae0f8d82c15d0f724a689e27790758317</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CS5</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>gadf3979ee84a7f94853e50a2a0d331f6c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CS6</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>gaa9ec899669b6c3e59a07e8a8364087e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CS7</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga5c95750f52752261eb395745fb8c5dd7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CS8</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga25d7e41f9f14bd6650796e942cb2ecfc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CSIZE</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga0c5daa630f8041b3b4147a0c47b9c3b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CSTOPB</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga35c6357e927e8f549ecda1a7cbc74125</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HUPCL</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga921ea84299e0db8b31b28d06ce6bf0c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>MDMBUF</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga0063c1dc72c5f1cc155447e12d7787f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PARENB</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>ga8ff1ac04db55bc1baf6e7d952042c37a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PARODD</name>
      <anchorfile>group__tattr__control__mode__constants.html</anchorfile>
      <anchor>gab23b60a25fec98ca1351c4b573c7c7f7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>OCRNL</name>
      <anchorfile>group__tattr__output__mode__constants.html</anchorfile>
      <anchor>gac81628928ae9b55ea854bfd9434f260c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ONLCR</name>
      <anchorfile>group__tattr__output__mode__constants.html</anchorfile>
      <anchor>gaea2c1ed825b301f80a04d159701d5feb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ONLRET</name>
      <anchorfile>group__tattr__output__mode__constants.html</anchorfile>
      <anchor>ga63e96508dd0b1895d55501580985b294</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ONOCR</name>
      <anchorfile>group__tattr__output__mode__constants.html</anchorfile>
      <anchor>ga00759299e93bb514684789a1977f71f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ONOEOT</name>
      <anchorfile>group__tattr__output__mode__constants.html</anchorfile>
      <anchor>ga1c5645b75037e57d41b0ba8452e8af63</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>OPOST</name>
      <anchorfile>group__tattr__output__mode__constants.html</anchorfile>
      <anchor>ga1bff47227b0accb43061f7b7b57dd4fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>OXTABS</name>
      <anchorfile>group__tattr__output__mode__constants.html</anchorfile>
      <anchor>ga527998ca23a5263066670d3a3109ed67</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>BRKINT</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>gac65b23f4731ce8f519aa2f7b0a4d1f46</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ICRNL</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>gaaf04993e1c6345567687305ef04fc2d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IGNBRK</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>gaa21e7e2efbd106bc6302196c9a8b224e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IGNCR</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga6684ffc51a2e624d3edfc4de4c1fe8bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IGNPAR</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>gadb90d9b6e378358b8c8e2d94a635530c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IMAXBEL</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga8834400effd021bd507a29724b6158dd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>INLCR</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga2827351fd2729b71b840315e9b487a05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>INPCK</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga2cd9fec271abb6f9352d02339d1580c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ISTRIP</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga96f95fe0454b14722068348b69cdcb8c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IXANY</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga33699e7ced48aa5f9512c068cc02c708</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IXOFF</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga8bffb87488bc4adbe1e3bfccf9dd2ff4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>IXON</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>ga27e1879d9b9c632fe7793306c2824c1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>PARMRK</name>
      <anchorfile>group__tattr__input__mode__constants.html</anchorfile>
      <anchor>gaf3404c3a275e941041010b43de1857a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VDISCARD</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gab6f8f9e09ba859fab513af01c6077242</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VDSUSP</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gaf23acc31adc6c5ed8d92fca4fe3f9ebb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VEOF</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gaeb2dd99e6d8bae0da14955d2b2b4ab83</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VEOL</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gaaed108b862512be1d44add99b3ae19f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VEOL2</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga36824df04eb03f180576584315d1438f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VERASE</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga32e03f1d721f1d42a4844600118c3ba7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VINTR</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gaf2a5a8591c92d2763e19ea5878d60da0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VKILL</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gaceffb080408e13e1d1e5ba06fa38b955</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VLNEXT</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga43c58434668c6190c7a3fa2c93a1069a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VMIN</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gafeff0497d2f931b98867a14110118092</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VQUIT</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gad57b68bc7741d323990953974d9d3e43</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VREPRINT</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga459d4e28cf1d41957293edbf1bdeb49f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VSTART</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga99de89c1439de57a85c1dac65cccb16f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VSTATUS</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga47fdcbe36715d78988d7aa7451495520</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VSTOP</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gadade029ba0b6e2127b9d89c226b4b4c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VSUSP</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga74344c52f51ef60c658791c9a0c62abc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VTIME</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gab502b713036bffa3836f933197f824bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VWERASE</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>ga0cd6d66463f03290809a41c6209bd96b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>_POSIX_VDISABLE</name>
      <anchorfile>group__tattr__control__character__constants.html</anchorfile>
      <anchor>gaee9526a9d666c265e0ca0d00dd41a2be</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>TCSADRAIN</name>
      <anchorfile>group__tattr__term__setting__constants.html</anchorfile>
      <anchor>ga9d4186bd3d8efad89a2d5ef9a1bdac32</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>TCSAFLUSH</name>
      <anchorfile>group__tattr__term__setting__constants.html</anchorfile>
      <anchor>gacd2d752948b9057a27b85af7cea541e0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>TCSANOW</name>
      <anchorfile>group__tattr__term__setting__constants.html</anchorfile>
      <anchor>ga1e9c9ecc5ab9180c3665ba2115c792a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>TCSASOFT</name>
      <anchorfile>group__tattr__term__setting__constants.html</anchorfile>
      <anchor>ga4c49895599ee5a5dcb84d600e17559d2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>BZ2_DEFAULT_COMPRESSION</name>
      <anchorfile>group__compression__constants.html</anchorfile>
      <anchor>ga5b66f8813c20f89b4555c72244ae91a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Z_DEFAULT_COMPRESSION</name>
      <anchorfile>group__compression__constants.html</anchorfile>
      <anchor>gad0d06df5b25e4e03ca74b6458626d913</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DefaultIV</name>
      <anchorfile>group__cryptographic__constants.html</anchorfile>
      <anchor>ga3e258a2c4d9e99eb43a97e7bf1dbe870</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>MAXINT</name>
      <anchorfile>group__math__constants.html</anchorfile>
      <anchor>ga96d58fec2ca2cec95893872b16b84daa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>MININT</name>
      <anchorfile>group__math__constants.html</anchorfile>
      <anchor>gaba64488e1020a48909a9a33bb1f4e6ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>M_PI</name>
      <anchorfile>group__math__constants.html</anchorfile>
      <anchor>gabe92c91d98db63d08337f42216e4310f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>M_PIn</name>
      <anchorfile>group__math__constants.html</anchorfile>
      <anchor>ga2326203043f44a1fe37ffebe35ab8513</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NameToSignal</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gab42117fc78cb6af6c22136a392943a55</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGABRT</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga2d73dee6a914b7760fbddfda0c1f5a01</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGALRM</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga1865894ae3b452b049f6e9a8ff0c80ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGBUS</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga47d644d04fa2f5023bbb9f55a5d98b01</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGCANCEL</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gaa23e1d77399d44d5237bf2387fbfeb71</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGCHLD</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga26dadbd9fd651454ed2cd9aec27c89d0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGCLD</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga6abd5f39c4f458a3d791c0d3b5289976</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGCONT</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gacee971bf64b5288b7b88b19b87fc985c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGEMT</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gaa4ff64ecb84ea58efee8d2e1086ff67f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGFPE</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gaa760f275652fb31f85e31480a4637698</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGFREEZE</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gae1574ae772e78b466d74a3ef71e3edfe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGHUP</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga1a9d023101a217b83525ea6e2f7581cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGILL</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga650531dfb97191ffb28072f299967fdc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGINFO</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gaa64b81edb492442c84993c3e2d60999a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGINT</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gae1a22383c370f5db5ed244ecf3f0fb06</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGIO</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gad20de530f353b455f409de0d4fb61880</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGIOT</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gac2320ab15a0ac209b996737f63c881cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGJVM1</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gadf5acb1f70a6dd74be47bea35edf2f6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGJVM2</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gafb2c7d6e7edc49f5e72c538cf9ede594</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGKILL</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gab521aedd9612c8a7617c522f4225ebb6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGLOST</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gaa891a5a7cc44222d54ea103d940d5454</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGLWP</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga25e954d589d7f8b4ef549138fdf95840</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGPIPE</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga541ed3fe491a37cece6eb74c1db398b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGPOLL</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga2ab5265612db9553d78f105c9849bfbe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGPROF</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga620029e960ee7a416daff1bf61ef8684</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGPWR</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gafd6b196e097d02519f301fe2ac2394e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGQUIT</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gabc953d69950a28fe937b4d3b07898b50</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGSEGV</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gada22169eb534eed936738dfdcce3d3ac</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGSTKFLT</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga4e0349e8aa84fa0b7cf80232e5ed2045</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGSTOP</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gaa2a903e84e1dadffcc261811913bd552</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGSYS</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga2763655f936f34761b70ba43bad5c63d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGTERM</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gac3aa3ad8ed6f20bcd925f7aa351b967e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGTHAW</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga943ce4334d5a4cfa3597c6c581e50b6c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGTRAP</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga8dfb9e90a7d43eb8ed14693d3cef69d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGTSTP</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga4342fb4d1895a224a188b5be0045335b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGTTIN</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gac587eb24af06513dd73790b9186b9afd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGTTOU</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga212ae2f9d975d89621c51fdb9204b2ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGURG</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga71be1d2281a0fa350171c12adaa88254</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGUSR1</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga0607bd6388adf02985d48239b882a0bd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGUSR2</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gacc8913e44d98b7dcb4bdaf256ea92633</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGVTALRM</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga3d2b5c4187540623d6ea22c5225bdd3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGWAITING</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga351bab31a52656719e7f81301449e3e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGWINCH</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gaa481ec3f81e7c5d8009706eedea394ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGXCPU</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gad50860982883d7dffde6d4970f4f249d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGXFSZ</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga447164e5bdc2f78c152fca2c8ea299d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SIGXRES</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>ga08c2521752c47194e089747074dae077</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>SignalToName</name>
      <anchorfile>group__signal__constants.html</anchorfile>
      <anchor>gab6a540f14b42b4b137c2fe1ad70fa0b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>RE_Caseless</name>
      <anchorfile>group__regex__constants.html</anchorfile>
      <anchor>gaa5ae5ce8410a6a2a4970fc1b21e06382</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>RE_DotAll</name>
      <anchorfile>group__regex__constants.html</anchorfile>
      <anchor>ga028abcd0871c7c4a47d8f742d80b2e65</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>RE_Extended</name>
      <anchorfile>group__regex__constants.html</anchorfile>
      <anchor>ga5b3cb1f574259b53cedb818cb41977cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>RE_Global</name>
      <anchorfile>group__regex__constants.html</anchorfile>
      <anchor>gaea655c36090c9f1e6bb24cb8de998a04</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>RE_MultiLine</name>
      <anchorfile>group__regex__constants.html</anchorfile>
      <anchor>gad67849c1513d0d160548c2c667855ff0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::zzz8valuezzz9</name>
    <filename>class_qore_1_1zzz8valuezzz9.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>callp</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>a3bd7145235f0f4160b29e9ff1a925f4f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>aa89ad8b046cb41c3588b75e07426696c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>intp</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>a6feb7fd9eae7eac19775a47db23ad4e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>AbstractIterator</type>
      <name>iterator</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>a16b7eeea1bb08b7c3faa69b2aa602fbb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lsize</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>a6088d2158ce94d0d6c9159a628f79017</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>a794caed9de093e89d88bfbe652e15a06</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sizep</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>aefcaa86868b4993dd5b0f91fa7b5c1ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>strp</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>af066cf20f6d6a860d209acc7e9e40c20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toBool</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>a671b4af222d6351eb969c2b1d710d463</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>toFloat</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>a11505ca76b6e168b1d143b3fc8d1ba60</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>toInt</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>aed0897423af7ddcb1ade7df4c4a61364</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>number</type>
      <name>toNumber</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>ad4bcbe12f38c710e0e7e67a68ab0512f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toString</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>a073b50bf1e4e7b646da0d7a6db6180a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>type</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>a333453fca3889bfa8d4159b921b1ab87</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>typeCode</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>a5e7d381ab49abebd0d0f045708482512</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>val</name>
      <anchorfile>class_qore_1_1zzz8valuezzz9.html</anchorfile>
      <anchor>a3a66486cee14aa073cf90fbed5a23edd</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::zzz8binaryzzz9</name>
    <filename>class_qore_1_1zzz8binaryzzz9.html</filename>
    <base>Qore::zzz8valuezzz9</base>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>a566ff06c85ac36b352896f276b090e8f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>a23f80283f3e64ad3e39ea5c51b7aec3e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sizep</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>a8f51d2fc8bf3252af1c72a4d03e81c4f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>split</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>a203cef22dfa0ec58f1e7fce1397430a4</anchor>
      <arglist>(binary sep)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>substr</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>a5b99353f309cc3cdfd0fe7227d99eee5</anchor>
      <arglist>(softint start)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>substr</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>a87459df5b2a455d190644ae47a468791</anchor>
      <arglist>(softint start, softint len)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toBase64</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>ab30735fae927ea3be3e3a710574ff486</anchor>
      <arglist>(softint maxlinelen=-1)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toHex</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>ada0665f689a4787b2697c1ff399b7cac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toMD5</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>a9eff25da172a81558e0bfab828bf9919</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toSHA1</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>a3f9afb50f2f621c133f11330432561d6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toSHA224</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>a40a67a7f4d31d72c67f65a71f98e9618</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toSHA256</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>a3fad715400f0b1901a24e727b887d169</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toSHA384</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>a7fa8629838806509270b0a5d48415611</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toSHA512</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>ab3a42f1beda2facfdbd32f465d9b8fe3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toString</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>a06e153b81c1e46d58dc886b0e6183fc8</anchor>
      <arglist>(__7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>typeCode</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>a0e1c6cd63c6dfab74ff85b53a462b4ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>val</name>
      <anchorfile>class_qore_1_1zzz8binaryzzz9.html</anchorfile>
      <anchor>a7c76d2d0c0f1c731a80db3b3d8253cbd</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::zzz8boolzzz9</name>
    <filename>class_qore_1_1zzz8boolzzz9.html</filename>
    <base>Qore::zzz8valuezzz9</base>
    <member kind="function">
      <type>bool</type>
      <name>intp</name>
      <anchorfile>class_qore_1_1zzz8boolzzz9.html</anchorfile>
      <anchor>a9a417407e6d1fcd5251b5e252a947ea9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>strp</name>
      <anchorfile>class_qore_1_1zzz8boolzzz9.html</anchorfile>
      <anchor>a96de94283a2c0e52c768b5c095806c15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>typeCode</name>
      <anchorfile>class_qore_1_1zzz8boolzzz9.html</anchorfile>
      <anchor>ab1dbc0ed03411f54af90e04a8172a56a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>val</name>
      <anchorfile>class_qore_1_1zzz8boolzzz9.html</anchorfile>
      <anchor>a9b465aec73db51a1543b0cba3f69cb98</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::zzz8callrefzzz9</name>
    <filename>class_qore_1_1zzz8callrefzzz9.html</filename>
    <base>Qore::zzz8valuezzz9</base>
    <member kind="function">
      <type>bool</type>
      <name>callp</name>
      <anchorfile>class_qore_1_1zzz8callrefzzz9.html</anchorfile>
      <anchor>a51595cfbda83bbed8fe486c744728c8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>exec</name>
      <anchorfile>class_qore_1_1zzz8callrefzzz9.html</anchorfile>
      <anchor>af7601934436d4c9dd10fc92c2697c0b8</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>typeCode</name>
      <anchorfile>class_qore_1_1zzz8callrefzzz9.html</anchorfile>
      <anchor>a97100bbe7d1e17609fabaeb48ca048c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>val</name>
      <anchorfile>class_qore_1_1zzz8callrefzzz9.html</anchorfile>
      <anchor>ab9a08ccf2e9011a241d1de53c2773ce5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::zzz8closurezzz9</name>
    <filename>class_qore_1_1zzz8closurezzz9.html</filename>
    <base>Qore::zzz8callrefzzz9</base>
    <member kind="function">
      <type>int</type>
      <name>typeCode</name>
      <anchorfile>class_qore_1_1zzz8closurezzz9.html</anchorfile>
      <anchor>ad79e74e23686d219752434cfebd2a876</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::zzz8datezzz9</name>
    <filename>class_qore_1_1zzz8datezzz9.html</filename>
    <base>Qore::zzz8valuezzz9</base>
    <member kind="function">
      <type>bool</type>
      <name>absolute</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a4489e87e23f140760686d0ed1c66eff4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>currentZoneName</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a3f00e7b1ba04e6a216ba190d54840bc2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>days</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a04d1e263ad79ed6ef30e26e49dcc4064</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>durationMicroseconds</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>afd98bf51bd4870ddc8469e0bc19f2b9c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>durationMilliseconds</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a0a1bf587b81314cbc5cbabd4cc618476</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>durationSeconds</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>aef0e1961cbf4e1f2b53b789d0727681f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>format</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>aeff0dd69a9ef8f228b54ba5543b2e3c6</anchor>
      <arglist>(string format)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getEpochSeconds</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a61fbd9f6e28a6af34d666ecb7b0bdad2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getEpochSecondsLocalTime</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>ac7dff505bad9f169f79215cdd3f368dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getUtcOffset</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a281e6ff94edaf0a601e604bca2dc52f7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>hours</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a020025625850084710c7eddd0fa2ab51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>info</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>ac0d2eab8b95d1662a89bc31a2e7c6eb3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>intp</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>aa834702a304a20d6443014ae09e73be9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDst</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a657e9b7211b84a2f9df8f3ccb5b91ffb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>microseconds</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>aacf57fbebe79940acf8012374393efa5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>midnight</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a1946f38ad9528c2e80552b8e2bc39f62</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>milliseconds</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a3c9429701ac6b58b051352abf153b735</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>minutes</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>abac32dbfcda338145542f5dd5ddd37af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>months</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a75eb73a84fad87f7b94e932d3afb929a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>relative</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a950a764a23c240b3aa49ccb335538a65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>seconds</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a2c3593e5034555434a59b1637b1eb2af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>strp</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>ad7e86f987c8889fde5c36cf1fbc8b0d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>typeCode</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a7167b9d2407c8a6448f53e3ebc1670a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>val</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a798148fc6daeaf36a5413d731cab40e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>years</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>ab52a41f7b16ad2b9115dd1ae05e0b21c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ TimeZone</type>
      <name>zone</name>
      <anchorfile>class_qore_1_1zzz8datezzz9.html</anchorfile>
      <anchor>a4a7478124248ca3f481e52598244e2ae</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::zzz8floatzzz9</name>
    <filename>class_qore_1_1zzz8floatzzz9.html</filename>
    <base>Qore::zzz8valuezzz9</base>
    <member kind="function">
      <type>float</type>
      <name>abs</name>
      <anchorfile>class_qore_1_1zzz8floatzzz9.html</anchorfile>
      <anchor>a2adeb1fcae50106e1a3ed4506d5b12ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>format</name>
      <anchorfile>class_qore_1_1zzz8floatzzz9.html</anchorfile>
      <anchor>a456f92c6ee27c0c772223745f918bcbc</anchor>
      <arglist>(string fmt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>intp</name>
      <anchorfile>class_qore_1_1zzz8floatzzz9.html</anchorfile>
      <anchor>a1e40df6b7e6d5cd5022081fbf0e6f446</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sign</name>
      <anchorfile>class_qore_1_1zzz8floatzzz9.html</anchorfile>
      <anchor>ab12fc9ef4d1d45cbad74ac1558ec754e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>strp</name>
      <anchorfile>class_qore_1_1zzz8floatzzz9.html</anchorfile>
      <anchor>afb5c987609e1c65a363ad5252970da37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>typeCode</name>
      <anchorfile>class_qore_1_1zzz8floatzzz9.html</anchorfile>
      <anchor>a24f3f33fcd172c04cff733cc4f7628b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>val</name>
      <anchorfile>class_qore_1_1zzz8floatzzz9.html</anchorfile>
      <anchor>a082fc22123e2519a8f6593a9683787ed</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::zzz8hashzzz9</name>
    <filename>class_qore_1_1zzz8hashzzz9.html</filename>
    <base>Qore::zzz8valuezzz9</base>
    <member kind="function">
      <type>bool</type>
      <name>compareKeys</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>a93f356ddb1150791325155586accbb90</anchor>
      <arglist>(hash oh)</arglist>
    </member>
    <member kind="function">
      <type>HashListIterator</type>
      <name>contextIterator</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>aab3d2e6e69d212dbe05de43136f14367</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>a77253c70cb9379eb688ba076ad478e84</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>firstKey</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>aee7729c7e0aa26025151884653ea92e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>firstValue</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>a14cbe583291f759b355140f01dba2a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasKey</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>a6538b4de8e019977a9b9b3730b4d21fb</anchor>
      <arglist>(softstring key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasKeyValue</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>a004a9455703ac3e07c15de46f07607db</anchor>
      <arglist>(softstring key)</arglist>
    </member>
    <member kind="function">
      <type>AbstractIterator</type>
      <name>iterator</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>ad9c31b0d467e2a1496f57e3feff505ee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>HashKeyIterator</type>
      <name>keyIterator</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>a4dde09aa84522bbd942d9339c0315ed5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>keys</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>a4490151663b186b98f31cd99d45f5f8a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>lastKey</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>ae3f6d1b8abf88d08a32ed2d653f0e5e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>lastValue</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>ac7a094ed0f93bb60a4d4dbf7479951ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>HashPairIterator</type>
      <name>pairIterator</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>aae2e67b218a51791103c21866df5217b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>aad47c06b8c27354b9975b394a2a8a464</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sizep</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>ad69ea20970b8c5e9737247ba581c33aa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>typeCode</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>af648c06c9cd615790aae13c7278efeee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>val</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>acc38eb60991abd2c576374b7bdbd2abb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>values</name>
      <anchorfile>class_qore_1_1zzz8hashzzz9.html</anchorfile>
      <anchor>acba59a98364e7bb083557449d8c5e689</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::zzz8intzzz9</name>
    <filename>class_qore_1_1zzz8intzzz9.html</filename>
    <base>Qore::zzz8valuezzz9</base>
    <member kind="function">
      <type>int</type>
      <name>abs</name>
      <anchorfile>class_qore_1_1zzz8intzzz9.html</anchorfile>
      <anchor>a2853596aba431a8e4ad3e3e7e2417c37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>encodeLsb</name>
      <anchorfile>class_qore_1_1zzz8intzzz9.html</anchorfile>
      <anchor>a97747fdeeebc700bdf6c101f34d59d82</anchor>
      <arglist>(int size=4)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>encodeMsb</name>
      <anchorfile>class_qore_1_1zzz8intzzz9.html</anchorfile>
      <anchor>a5b9876a1b6173efa7ae157ce1680871a</anchor>
      <arglist>(int size=4)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>format</name>
      <anchorfile>class_qore_1_1zzz8intzzz9.html</anchorfile>
      <anchor>a4f4b203fef4e2ae785f838c98e5995be</anchor>
      <arglist>(string fmt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>intp</name>
      <anchorfile>class_qore_1_1zzz8intzzz9.html</anchorfile>
      <anchor>a48f2332ed8aba090985de5fee9375d65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sign</name>
      <anchorfile>class_qore_1_1zzz8intzzz9.html</anchorfile>
      <anchor>aa7540bc9c4c5e8b3ba79e853c462c863</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>strp</name>
      <anchorfile>class_qore_1_1zzz8intzzz9.html</anchorfile>
      <anchor>ab20434aada8c94c84fa4fcd9c84e330a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toUnicode</name>
      <anchorfile>class_qore_1_1zzz8intzzz9.html</anchorfile>
      <anchor>ac442a991ff2423860f44768b9e961918</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>typeCode</name>
      <anchorfile>class_qore_1_1zzz8intzzz9.html</anchorfile>
      <anchor>a3bd4fe812c0232129fed669206bbcf58</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>val</name>
      <anchorfile>class_qore_1_1zzz8intzzz9.html</anchorfile>
      <anchor>af1c9f6e10349f73724b4d2c5d31b1136</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::zzz8listzzz9</name>
    <filename>class_qore_1_1zzz8listzzz9.html</filename>
    <base>Qore::zzz8valuezzz9</base>
    <member kind="function">
      <type>bool</type>
      <name>contains</name>
      <anchorfile>class_qore_1_1zzz8listzzz9.html</anchorfile>
      <anchor>ab48faca6c06f9c18a1a80aeebdffbed5</anchor>
      <arglist>(any arg)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_qore_1_1zzz8listzzz9.html</anchorfile>
      <anchor>afe120e9df2803e259c83c943152c9063</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>first</name>
      <anchorfile>class_qore_1_1zzz8listzzz9.html</anchorfile>
      <anchor>afb4d1930bd84c4cc48dcf2fdebd2fc1e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>AbstractIterator</type>
      <name>iterator</name>
      <anchorfile>class_qore_1_1zzz8listzzz9.html</anchorfile>
      <anchor>ac8e243d7957d6136a6c77d32f320bf24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>join</name>
      <anchorfile>class_qore_1_1zzz8listzzz9.html</anchorfile>
      <anchor>a5cb7d0b52f91aca98030ec1926beb5c5</anchor>
      <arglist>(string str)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>last</name>
      <anchorfile>class_qore_1_1zzz8listzzz9.html</anchorfile>
      <anchor>ab3dd021b778e85eb3cafeb265f978444</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lsize</name>
      <anchorfile>class_qore_1_1zzz8listzzz9.html</anchorfile>
      <anchor>a66451c32831c9ea7086d2b9fb62df31c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>AbstractIterator</type>
      <name>rangeIterator</name>
      <anchorfile>class_qore_1_1zzz8listzzz9.html</anchorfile>
      <anchor>a036255e1f3c7e6aec91cd0a5aaa781b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>class_qore_1_1zzz8listzzz9.html</anchorfile>
      <anchor>aeabf006f28c9c1a7815a324329ab3b2f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sizep</name>
      <anchorfile>class_qore_1_1zzz8listzzz9.html</anchorfile>
      <anchor>a926b4daaed4393124315fb78c27f6c45</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>typeCode</name>
      <anchorfile>class_qore_1_1zzz8listzzz9.html</anchorfile>
      <anchor>a6eedcfa07a8f8dcbe75eadcb3e5f607b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>val</name>
      <anchorfile>class_qore_1_1zzz8listzzz9.html</anchorfile>
      <anchor>a3991ad1c045e6c3db93e672b6509c05e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::zzz8nothingzzz9</name>
    <filename>class_qore_1_1zzz8nothingzzz9.html</filename>
    <base>Qore::zzz8valuezzz9</base>
    <member kind="function">
      <type>SingleValueIterator</type>
      <name>contextIterator</name>
      <anchorfile>class_qore_1_1zzz8nothingzzz9.html</anchorfile>
      <anchor>a017185afed46950e373ebfdd2267bb88</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>firstKey</name>
      <anchorfile>class_qore_1_1zzz8nothingzzz9.html</anchorfile>
      <anchor>a213d95ffb43f1439a5ba987a9efc9b87</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>firstValue</name>
      <anchorfile>class_qore_1_1zzz8nothingzzz9.html</anchorfile>
      <anchor>a0ce252bde5f2a79322def0893f78b23c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasKey</name>
      <anchorfile>class_qore_1_1zzz8nothingzzz9.html</anchorfile>
      <anchor>a6b7ecd3769d24f276a237ac46359ade6</anchor>
      <arglist>(softstring key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasKeyValue</name>
      <anchorfile>class_qore_1_1zzz8nothingzzz9.html</anchorfile>
      <anchor>a36021f943bc18e23b8712f8f57256b20</anchor>
      <arglist>(softstring key)</arglist>
    </member>
    <member kind="function">
      <type>SingleValueIterator</type>
      <name>keyIterator</name>
      <anchorfile>class_qore_1_1zzz8nothingzzz9.html</anchorfile>
      <anchor>a63b832e2f9eb516106c180a52f3cf2fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>keys</name>
      <anchorfile>class_qore_1_1zzz8nothingzzz9.html</anchorfile>
      <anchor>aa014ed7fdd518629a23dd2ceb4d02e0c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>lastKey</name>
      <anchorfile>class_qore_1_1zzz8nothingzzz9.html</anchorfile>
      <anchor>ae44acd5f4f9e6710b8078bb5464c8f6f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>lastValue</name>
      <anchorfile>class_qore_1_1zzz8nothingzzz9.html</anchorfile>
      <anchor>a86e91aa90079372efdb645987883ca08</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lsize</name>
      <anchorfile>class_qore_1_1zzz8nothingzzz9.html</anchorfile>
      <anchor>a8070849ca746bcb7a7bc3b65b77aeb16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SingleValueIterator</type>
      <name>pairIterator</name>
      <anchorfile>class_qore_1_1zzz8nothingzzz9.html</anchorfile>
      <anchor>afd1c98eb4d569e29284f0d777306be2a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SingleValueIterator</type>
      <name>rangeIterator</name>
      <anchorfile>class_qore_1_1zzz8nothingzzz9.html</anchorfile>
      <anchor>a146f90597d71a88584a23c93806c9bb7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>typeCode</name>
      <anchorfile>class_qore_1_1zzz8nothingzzz9.html</anchorfile>
      <anchor>ac5be3597199401b8a073c19ac7683bf0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>values</name>
      <anchorfile>class_qore_1_1zzz8nothingzzz9.html</anchorfile>
      <anchor>abd1df7343941027096a8243b36e35768</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::zzz8numberzzz9</name>
    <filename>class_qore_1_1zzz8numberzzz9.html</filename>
    <base>Qore::zzz8valuezzz9</base>
    <member kind="function">
      <type>number</type>
      <name>abs</name>
      <anchorfile>class_qore_1_1zzz8numberzzz9.html</anchorfile>
      <anchor>a638c34b8465f9a9ce773c25e4a263cd9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>format</name>
      <anchorfile>class_qore_1_1zzz8numberzzz9.html</anchorfile>
      <anchor>acdcee3a4130b680892d915f3956f8199</anchor>
      <arglist>(string fmt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>infp</name>
      <anchorfile>class_qore_1_1zzz8numberzzz9.html</anchorfile>
      <anchor>a77d551228c1b9919aff689fa6a5f2d02</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>intp</name>
      <anchorfile>class_qore_1_1zzz8numberzzz9.html</anchorfile>
      <anchor>ae1c82d60b2445d72d4ece799aae3ce9c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>nanp</name>
      <anchorfile>class_qore_1_1zzz8numberzzz9.html</anchorfile>
      <anchor>a727440c8e6372147f05d7b47400c3d04</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>prec</name>
      <anchorfile>class_qore_1_1zzz8numberzzz9.html</anchorfile>
      <anchor>a1fe1e3b19d22b16a26298c17f8a142f1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sign</name>
      <anchorfile>class_qore_1_1zzz8numberzzz9.html</anchorfile>
      <anchor>a38775c7c4cfe0f625996416ef764b6c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>strp</name>
      <anchorfile>class_qore_1_1zzz8numberzzz9.html</anchorfile>
      <anchor>a641e9e8ebd0a13be0c13be36abe54b61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toString</name>
      <anchorfile>class_qore_1_1zzz8numberzzz9.html</anchorfile>
      <anchor>afdb59247ad7986908146221d6ebf4806</anchor>
      <arglist>(int fmt)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>typeCode</name>
      <anchorfile>class_qore_1_1zzz8numberzzz9.html</anchorfile>
      <anchor>ae2c7a3126a3d07d4657043b6f548b1a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>val</name>
      <anchorfile>class_qore_1_1zzz8numberzzz9.html</anchorfile>
      <anchor>a51efa04ed2ac66dcd168b25a739a8af6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::zzz8objectzzz9</name>
    <filename>class_qore_1_1zzz8objectzzz9.html</filename>
    <base>Qore::zzz8valuezzz9</base>
    <member kind="function">
      <type>string</type>
      <name>className</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>a284be71278d0b081544ba675a3d1ead5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>a98fdee3ab7365dcaad9ea0499cf999a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>firstKey</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>ac869a20f8a709e65f6cacd2002f93603</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasCallableMethod</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>a53db2b90a03e13947b32a34bfddf553b</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasCallableNormalMethod</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>a21ad831080f7d554f84c849e92e918d0</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasCallableStaticMethod</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>a53b9a99bec7d7372eddd523303c5f1e3</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSystem</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>ae39303b6bbe6686472aec8cabe8b9ea5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>AbstractIterator</type>
      <name>iterator</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>a7f5a44cdfd0b417a750deafa46980ce8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ObjectKeyIterator</type>
      <name>keyIterator</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>a473b74b10e5acd871ae6cc996e7427a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>keys</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>aff45ef1929dda5f3de40b33618660abc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>lastKey</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>aef967439709a41621f8f16d723272eb6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ObjectPairIterator</type>
      <name>pairIterator</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>a7d6df627d80aa7f74c7e895fb352c837</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>abd3a229694c461d6000515c334c3530a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sizep</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>a82b800b5b777cfe079f43b674b856ae4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>typeCode</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>acc70957477ea8677a95ebeb04636459e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>val</name>
      <anchorfile>class_qore_1_1zzz8objectzzz9.html</anchorfile>
      <anchor>ab017d670419423d5a3620fcada27d935</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::zzz8stringzzz9</name>
    <filename>class_qore_1_1zzz8stringzzz9.html</filename>
    <base>Qore::zzz8valuezzz9</base>
    <member kind="function">
      <type>int</type>
      <name>comparePartial</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>aabf1bb32b32060ffc6a68164157d86aa</anchor>
      <arglist>(string ostr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a6966cdf9ca898c2a2a6788149e6deeae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>encoding</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a5a6d55ea5951eb254eb8c8a1d895937b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>equalPartial</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a215bc851affd3a2a57b80cefc484f139</anchor>
      <arglist>(string ostr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>equalPartialPath</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a87b81daaffa46700be92e0596578b200</anchor>
      <arglist>(string ostr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>find</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a53392adad0eab1542d3d8bc9c91da89c</anchor>
      <arglist>(softstring substr, softint pos=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getLine</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>ab73a71a37c4f886f55b701d1f0857471</anchor>
      <arglist>(int offset=0, __7_ string eol, bool trim=True, __7_ reference size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getUnicode</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>ac677323f97c583af45f7f77984462e3d</anchor>
      <arglist>(int offset=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>intp</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>ace7f5b6ac2e7b9f4886c9e153edd46d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDataAscii</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a766250b7a8d910b7facce5bef7cfe855</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDataPrintableAscii</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>ae568ad566fc87c944a64d6ce67dd3d16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>length</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a555db3550ff785af51a647415e994861</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>lwr</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>ae2329c573986ede4a54e70e9ccef30e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>regex</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a4713c0132472cf5cf6599ad9517cdc5f</anchor>
      <arglist>(string regex, int options=0)</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>regexExtract</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a138f172bbe6448a4de53698558bfd3db</anchor>
      <arglist>(string regex, int options=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rfind</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>af2463dc9c06ba8318b7030f040cfa85d</anchor>
      <arglist>(softstring substr, softint pos=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>ab4a8ecb725765ecd184f9d2cbd411c5c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sizep</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>ac2af75dc65846c076c28fa73aee57455</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>split</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>adce24cf11a4e749b8e609d4170d1c55e</anchor>
      <arglist>(string sep, bool with_separator=False)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>split</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a6a9043d2ea5c9f4da704e6c4cb3733a3</anchor>
      <arglist>(string sep, string quote, bool trim_unquoted=False)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>strlen</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a2bd72f65b9028cc5606741a547a0fed3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>strp</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a776bb273fbcba12c8ff3f1a6a77d728b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>substr</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>ab5ad54b1fe38b46ee071e55563d9d245</anchor>
      <arglist>(softint start)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>substr</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>aaa1c011bda61406af681da3d12bb57c3</anchor>
      <arglist>(softint start, softint len)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toBase64</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a13b13f9681a94272d0e16371d2f22d90</anchor>
      <arglist>(softint maxlinelen=-1)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toHex</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>af4a4f62237f079383098441132967527</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toMD5</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a2c63e2b65aafebf67928b88651d4cd39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toSHA1</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a577cc1e9e6cb2f001c36f35a4cff4b74</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toSHA224</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a3341bfb07348577260ece5244f958caf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toSHA256</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a11a362bbdba504966590d68bc6839350</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toSHA384</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>ae572499e8fe84e24455806ba2556e5c5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toSHA512</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a0a8b0fd0c6dc97af23ad50be3125cb4d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>typeCode</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a4a3e3f0f6d983caea261935b2d3424f1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>unaccent</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a227ef4978fde1a808f14bc7ead59eb2e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>upr</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a0b5c301c6742fccb8645968845b00fc1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>val</name>
      <anchorfile>class_qore_1_1zzz8stringzzz9.html</anchorfile>
      <anchor>a6b280ef6ed27ec08d444123d6fecb38b</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::AbstractBidirectionalIterator</name>
    <filename>class_qore_1_1_abstract_bidirectional_iterator.html</filename>
    <base>Qore::AbstractIterator</base>
    <member kind="function" virtualness="pure">
      <type>abstract bool</type>
      <name>prev</name>
      <anchorfile>class_qore_1_1_abstract_bidirectional_iterator.html</anchorfile>
      <anchor>a8ca43ac8bffc78178f61e3cca9b6323e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract any</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_abstract_iterator.html</anchorfile>
      <anchor>a1f7b94aa7237f59c4f959f4d33333d9a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract bool</type>
      <name>next</name>
      <anchorfile>class_qore_1_1_abstract_iterator.html</anchorfile>
      <anchor>ab10d5694cc2fcd3b6689ea7494da79de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract bool</type>
      <name>valid</name>
      <anchorfile>class_qore_1_1_abstract_iterator.html</anchorfile>
      <anchor>aee1def5d872b487b8917a166d9b263e8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::AbstractIterator</name>
    <filename>class_qore_1_1_abstract_iterator.html</filename>
  </compound>
  <compound kind="class">
    <name>Qore::AbstractQuantifiedBidirectionalIterator</name>
    <filename>class_qore_1_1_abstract_quantified_bidirectional_iterator.html</filename>
    <base>Qore::AbstractBidirectionalIterator</base>
    <base>Qore::AbstractQuantifiedIterator</base>
    <member kind="function" virtualness="pure">
      <type>abstract bool</type>
      <name>empty</name>
      <anchorfile>class_qore_1_1_abstract_quantified_iterator.html</anchorfile>
      <anchor>aa859f2f4a719f955b100cde8b65b3277</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract bool</type>
      <name>first</name>
      <anchorfile>class_qore_1_1_abstract_quantified_iterator.html</anchorfile>
      <anchor>a4264e42010fa08a8099692e2876c3241</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract bool</type>
      <name>last</name>
      <anchorfile>class_qore_1_1_abstract_quantified_iterator.html</anchorfile>
      <anchor>aa7bef0cd843ced4319fd5f0d7647ef8e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::AbstractQuantifiedIterator</name>
    <filename>class_qore_1_1_abstract_quantified_iterator.html</filename>
    <base>Qore::AbstractIterator</base>
  </compound>
  <compound kind="class">
    <name>Qore::Dir</name>
    <filename>class_qore_1_1_dir.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>chdir</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a636f28d93d03ba82553b53d57c8c6978</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>chgrp</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a2d7d2c165f79c44a32e3070bf72ab738</anchor>
      <arglist>(int gid)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>chgrp</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>ac74826b6a80ff676c416cd3952f19cf0</anchor>
      <arglist>(string groupname)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>chmod</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>abe1d5f94d8397ed73190c724dbddfc6a</anchor>
      <arglist>(softint mode)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>chown</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a988c79eaccbcce08aa6c01f1484be269</anchor>
      <arglist>(int uid)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>chown</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a0e2c563864f858fba878a06f7500e3c8</anchor>
      <arglist>(string username)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a860319e60133b9a45b4c342810c3b228</anchor>
      <arglist>(__7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>aed446bcffd8d04f98811513ef3f430f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>create</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a9e9f05c88ac58cdbf027f8f4d8bcdc40</anchor>
      <arglist>(softint mode=0777)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>exists</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a668096fd0b362cf2882a4e7c50b41118</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>hstat</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>ab9a777aa924069f0d41742cda863eace</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>list</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>ab529679185b342a2acfc6e03bbbc0ea2</anchor>
      <arglist>(bool full=False)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>list</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a29c3cdbeabc48e37578ec8d35d926cf3</anchor>
      <arglist>(string regex, softint regex_options=0, softbool full=False)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>listDirs</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>ae34f311d9c2d9f4232a07bc518f38a54</anchor>
      <arglist>(bool full=False)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>listDirs</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>afb68b7b10b92ffc761cd9f9f813666dd</anchor>
      <arglist>(string regex, softint regex_options=0, softbool full=False)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>listFiles</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a4b620c287a6a5b5a863841e74f312cfb</anchor>
      <arglist>(bool full=False)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>listFiles</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a286b26ac43c4c85aa5d9e9e7751895ab</anchor>
      <arglist>(string regex, softint regex_options=0, softbool full=False)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>mkdir</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>adfeb093180181e6f4df3dad56e0101d9</anchor>
      <arglist>(string subdir, softint mode=0777)</arglist>
    </member>
    <member kind="function">
      <type>Dir</type>
      <name>openDir</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a3f85f9096e3fcc143e738982e5594ac2</anchor>
      <arglist>(string subdir, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>File</type>
      <name>openFile</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a11575c0b4bc1d08c423af79b3be908d6</anchor>
      <arglist>(string filename, int flags=O_RDONLY, int mode=0666, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>path</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>ab732cb0fca5e4d8f297bd70f1f5c141d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeFile</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a39555d1901ed0f7d0084803291e2afac</anchor>
      <arglist>(string file)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>rmdir</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a3bccdd964feba716bd0fd16347db1bb2</anchor>
      <arglist>(string subdir)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>stat</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a12b8d99d697a62edd8ea62070d5c70cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>statvfs</name>
      <anchorfile>class_qore_1_1_dir.html</anchorfile>
      <anchor>a07c0f6cb30fb790a726342b637b2cc66</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::File</name>
    <filename>class_qore_1_1_file.html</filename>
    <base>Qore::ReadOnlyFile</base>
    <member kind="function">
      <type>nothing</type>
      <name>chown</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>ad8c43bffafd92c6c9f98d2b96f479a58</anchor>
      <arglist>(softint uid, softint gid=-1)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a3ebb12df5983eddf42394bce5033aa75</anchor>
      <arglist>(__7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>accc587603a5e808a19bf9bc2b2956a4a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a7f26852fbfef444bd2a44c82b8b2cb01</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>f_printf</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a168a65a3e6767edc4b32137a1cd00462</anchor>
      <arglist>(string fmt,...)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>f_printf</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>aa0124826c6cc0c6cfa2a81a4612d4844</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>f_vprintf</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a256fede5b478ecd18605a0039f9d82b6</anchor>
      <arglist>(string fmt, any fmt_args)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>f_vprintf</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a04172f5443b2e559269849bf7e653219</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getCharset</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a5fee3fe037914f2bec02518ac2514ee7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getLockInfo</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>ac32ae5bd28039dadd4daeae6a28c3ef0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getTerminalAttributes</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a28d636b7b8931b499027cd4eef2526ee</anchor>
      <arglist>(TermIOS termios)</arglist>
    </member>
    <member kind="function">
      <type>TermIOS</type>
      <name>getTerminalAttributes</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a0a9d380a83dc9e70f143c8ad1f85c7b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lock</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>ae2ab9eceb9375c60e71b3b3dd46bee0a</anchor>
      <arglist>(softint type=F_RDLCK, softint start=0, softint len=0, softint whence=SEEK_SET)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>lockBlocking</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a4ec71933b105ae9b13ef5c84a7b4975a</anchor>
      <arglist>(softint type=F_RDLCK, softint start=0, softint len=0, softint whence=SEEK_SET)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>open</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a0f0e402ebce26412fa854b3647a13c15</anchor>
      <arglist>(string path, softint flags=O_RDONLY, softint mode=0666, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>open2</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>acb397de36027a83129823742ac97c157</anchor>
      <arglist>(string path, softint flags=O_RDONLY, softint mode=0666, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>print</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a96b440e3903aa9099cc312ea8c649beb</anchor>
      <arglist>(string data)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>printf</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a3de02cd9abd35f71dd3d1f24f8ee3af1</anchor>
      <arglist>(string fmt,...)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>printf</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a7fb81ceed3597d9424e9bbd5dd2e55c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setCharset</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a91953edb4d6d768fb72ee73f7c4dd04d</anchor>
      <arglist>(__7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setTerminalAttributes</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>aa1d7a62aa8f383cad5b8bdee78c350dd</anchor>
      <arglist>(softint action=TCSANOW, TermIOS termios)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sync</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a05a4b62c74f2424fff8bb6446f1c8eff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>vprintf</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a3aaa41c4e29e2589c4dc122b749308ef</anchor>
      <arglist>(string fmt, any fmt_args)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>vprintf</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a8e508aabefedf9fa70c42d0e5fab5959</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>write</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>acd30e6f14435bae0393b1ed52bec502d</anchor>
      <arglist>(binary data)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>write</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a34282b14e6bafab669b452e8b0fbacd6</anchor>
      <arglist>(string data)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>writei1</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>ad4f67c2a247f4b7fb9c6e26b51106aba</anchor>
      <arglist>(int c)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>writei2</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>adcf79ce346b63b85ff517580fd96d0b0</anchor>
      <arglist>(int s)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>writei2LSB</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a9004f5ff77ea368263121c33f95c87c5</anchor>
      <arglist>(int s)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>writei4</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a82dee19cad26e011ba1a0970d42b2130</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>writei4LSB</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a6788f0f1bd5b015dd726a6b2d06077bf</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>writei8</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a9de545742fe95945677bb3049a1900fc</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>writei8LSB</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>aab6932b3995a5b0963e41ef41bdd0b36</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>close</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>ab0a881df9958ae97f26a8764cbd1db5e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a4ff458d87e7340ad37a2e4cc43df0df0</anchor>
      <arglist>(string path, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a9bea75648d7897782fb6efa45f7463da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>ab5c2cb791f0aedf3bf7de0c3b8a30b95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getEncoding</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a75abf43a49da44da7095c8f467834ffe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getFileName</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a9b323248355ff9dc2048ea913664e111</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getPos</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a995bc1347bebfff19439425a569d96d6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getchar</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>ab6946821b81fc2b9b4f07ef27ebacd45</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>hstat</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>ae98728e9c23efb5b991fefa50d566e77</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDataAvailable</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a0bae6c89d6262b18785b0727866a3405</anchor>
      <arglist>(timeout timeout_ms=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a2744f4642700d0f273efbce43f709fb4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTty</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>afd64015ff14cb58d2f2c365d36a9c85c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>open</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a487b2f0b5b97ac8958eff649867f97ff</anchor>
      <arglist>(string path, __7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>read</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>ac4475042a820d3d303b1b67f3921e728</anchor>
      <arglist>(softint size, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>__7_ binary</type>
      <name>readBinary</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>ac9513b569846b16e2b7363df5ba9f647</anchor>
      <arglist>(softint size, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>readLine</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a3407127e38d2a2ffe3c473d02561f788</anchor>
      <arglist>(bool incl_eol=True, __7_ string eol)</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>readi1</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>afd50d3b67d82c8945bdb5a4684b1be21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>readi2</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a64ffeeac6c8365c6c5ab079930b07d44</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>readi2LSB</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>acfa7b5d8ddbb414aea45cd44e18c7b31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>readi4</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>aaea5bb2ae5ab21d294cbba5bce380cdf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>readi4LSB</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a5b0f2624f94f841f38c03acb0c9f6d0a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>readi8</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a1e2026f6813d966c9f016a36cf500e83</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>readi8LSB</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>ae2b4ee10d080318b034b03db976220a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>readu1</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>adb1fb818dd189e65d5fb9eae59d497b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>readu2</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a24582228c99f247ffbab087b35e5d8bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>readu2LSB</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a385bd014878acbe7694439dff8b23d6c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>readu4</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>ad32a00cfec6f1c402b1190841cb95796</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>readu4LSB</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a249229b21e021e85c8a854a91a728c68</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setEncoding</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>ac5ed072e0e98c0b8f497724423be5ecd</anchor>
      <arglist>(__7_ string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setEventQueue</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>aa54f99b7547143436a6786d4c99b0969</anchor>
      <arglist>(Qore::Thread::Queue queue)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setEventQueue</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a44207327eadce535f46cbfcba1bff28a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setPos</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a34b10ef0bdee5bda118d3923367aea4d</anchor>
      <arglist>(int pos=0)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>stat</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>ae2f1c544881c1186798d001c19b894ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>statvfs</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>a17d12172eac89b6cb8758ab20fd4aece</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static hash</type>
      <name>hlstat</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>adcf3e40625bc0995c5f0961faa8868dc</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static hash</type>
      <name>hstat</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>ab99527c4d840d966ca72d352543129dd</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static list</type>
      <name>lstat</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>a3e37ea476d2bd96e291ddebc42014a99</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static list</type>
      <name>stat</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>ac2310a44d82e0efef518f58583cb7ec5</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static hash</type>
      <name>statvfs</name>
      <anchorfile>class_qore_1_1_file.html</anchorfile>
      <anchor>afb62e7f82fd3e9a2612d4f5de517c2e2</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static binary</type>
      <name>readBinaryFile</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>aabc22daa5cea8c428bcea138f6930871</anchor>
      <arglist>(string path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static string</type>
      <name>readTextFile</name>
      <anchorfile>class_qore_1_1_read_only_file.html</anchorfile>
      <anchor>adf4bf9669160cfd74594b9ed0e854e7f</anchor>
      <arglist>(string path, __7_ string encoding)</arglist>
    </member>
    <docanchor file="class_qore_1_1_file">file_events</docanchor>
  </compound>
  <compound kind="class">
    <name>Qore::FileLineIterator</name>
    <filename>class_qore_1_1_file_line_iterator.html</filename>
    <base>Qore::AbstractIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_file_line_iterator.html</anchorfile>
      <anchor>a61680f06d6976f40619736a59a04e754</anchor>
      <arglist>(string path, __7_ string encoding, __7_ string eol, bool trim=True)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_file_line_iterator.html</anchorfile>
      <anchor>a00df8c3068548371230467c0cbca0169</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getEncoding</name>
      <anchorfile>class_qore_1_1_file_line_iterator.html</anchorfile>
      <anchor>ada463647abb761af55b6b6964c80c299</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getFileName</name>
      <anchorfile>class_qore_1_1_file_line_iterator.html</anchorfile>
      <anchor>a06a105043332a4c4ff52a3c2d3bcc163</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getLine</name>
      <anchorfile>class_qore_1_1_file_line_iterator.html</anchorfile>
      <anchor>a0d738d5e8d770c1e50baf275e9ca3981</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getPos</name>
      <anchorfile>class_qore_1_1_file_line_iterator.html</anchorfile>
      <anchor>a264a43ee0eaaf31f84e989ea570813b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_file_line_iterator.html</anchorfile>
      <anchor>a83dc18c41ade9e9503d3d21785accbd3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>class_qore_1_1_file_line_iterator.html</anchorfile>
      <anchor>a9eb374145fd48a41420b96684ff895f5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTty</name>
      <anchorfile>class_qore_1_1_file_line_iterator.html</anchorfile>
      <anchor>a33ae9488dfc60606876eb1f4c9b2be9a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>next</name>
      <anchorfile>class_qore_1_1_file_line_iterator.html</anchorfile>
      <anchor>a9e6ad34f365bfeb5e4bcd045daf43921</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>reset</name>
      <anchorfile>class_qore_1_1_file_line_iterator.html</anchorfile>
      <anchor>aa202848cc75284b73f315a07fdd0e0b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>class_qore_1_1_file_line_iterator.html</anchorfile>
      <anchor>a93c4a650206085736f7bf8efe89ff613</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::GetOpt</name>
    <filename>class_qore_1_1_get_opt.html</filename>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_get_opt.html</anchorfile>
      <anchor>a548ec0b81ec224ccb9498ca4a6e6e831</anchor>
      <arglist>(hash options)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_get_opt.html</anchorfile>
      <anchor>a6995cd4908723b8d166235ac65ba8bb3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>parse</name>
      <anchorfile>class_qore_1_1_get_opt.html</anchorfile>
      <anchor>acf88f3cfdd44b72d679baf9be380d708</anchor>
      <arglist>(reference pgm_args)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>parse</name>
      <anchorfile>class_qore_1_1_get_opt.html</anchorfile>
      <anchor>a3d69f9706fc639793b1371f4696f443c</anchor>
      <arglist>(softlist pgm_args)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>parse2</name>
      <anchorfile>class_qore_1_1_get_opt.html</anchorfile>
      <anchor>a9beb43f5da36fb20268a20aecaedc2d8</anchor>
      <arglist>(reference pgm_args)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>parse2</name>
      <anchorfile>class_qore_1_1_get_opt.html</anchorfile>
      <anchor>add51d1f1f19c5b51d93bc518834274ad</anchor>
      <arglist>(softlist pgm_args)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>parse3</name>
      <anchorfile>class_qore_1_1_get_opt.html</anchorfile>
      <anchor>a61cc68d48661b3de93126184d71946ec</anchor>
      <arglist>(reference pgm_args)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>parse3</name>
      <anchorfile>class_qore_1_1_get_opt.html</anchorfile>
      <anchor>ae2bf4d8e8858fc576d916e506b5c04bf</anchor>
      <arglist>(softlist pgm_args)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::HashIterator</name>
    <filename>class_qore_1_1_hash_iterator.html</filename>
    <base>Qore::AbstractQuantifiedBidirectionalIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_iterator.html</anchorfile>
      <anchor>a0d6d96974a816515a9308afdc33cd689</anchor>
      <arglist>(hash h)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_iterator.html</anchorfile>
      <anchor>a1fc56abc6eb066009a390ff11fe5b69d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_hash_iterator.html</anchorfile>
      <anchor>ae35efa6b6afd35bc56fdddd9d5622059</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_qore_1_1_hash_iterator.html</anchorfile>
      <anchor>adc2400ed775808e5ab8a3afd671c4428</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>first</name>
      <anchorfile>class_qore_1_1_hash_iterator.html</anchorfile>
      <anchor>a1d639332a9f27f97a830994b1a68ada2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getKey</name>
      <anchorfile>class_qore_1_1_hash_iterator.html</anchorfile>
      <anchor>a60c35d8ea159a1f9b53c0b164094c7c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>getKeyValue</name>
      <anchorfile>class_qore_1_1_hash_iterator.html</anchorfile>
      <anchor>a31275ca44fede12d35eac3072c4b799c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_hash_iterator.html</anchorfile>
      <anchor>a755f196889b495450417f9d8884359b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getValuePair</name>
      <anchorfile>class_qore_1_1_hash_iterator.html</anchorfile>
      <anchor>ad7617e08b7d369a4ca72bc24f89b5276</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>last</name>
      <anchorfile>class_qore_1_1_hash_iterator.html</anchorfile>
      <anchor>a40b7935be4791e186dba782e091084e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>next</name>
      <anchorfile>class_qore_1_1_hash_iterator.html</anchorfile>
      <anchor>ae1c8221cd1002edbb93ec41a333900ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>prev</name>
      <anchorfile>class_qore_1_1_hash_iterator.html</anchorfile>
      <anchor>a9df83a19c89100056c875b2ca40f6ed3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>reset</name>
      <anchorfile>class_qore_1_1_hash_iterator.html</anchorfile>
      <anchor>ad7b5c2e35ee739f1ef3cbe9565f075ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>class_qore_1_1_hash_iterator.html</anchorfile>
      <anchor>a12d469ed0e4ba8b61b8a38fa97332ef1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::HashKeyIterator</name>
    <filename>class_qore_1_1_hash_key_iterator.html</filename>
    <base>Qore::HashIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_key_iterator.html</anchorfile>
      <anchor>af8533ccd373ad0d7132e612498f13d93</anchor>
      <arglist>(hash h)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_key_iterator.html</anchorfile>
      <anchor>a2beecc3000b38c19040cdac2ca231010</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_hash_key_iterator.html</anchorfile>
      <anchor>a73d638a807b18508de09e680b6ac5faa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_hash_key_iterator.html</anchorfile>
      <anchor>a749d9db18178ea1f86aa721b3c37a770</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::HashKeyReverseIterator</name>
    <filename>class_qore_1_1_hash_key_reverse_iterator.html</filename>
    <base>Qore::HashReverseIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_key_reverse_iterator.html</anchorfile>
      <anchor>a14dbd5dda1f4275bfd2ab5e0794d42af</anchor>
      <arglist>(hash h)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_key_reverse_iterator.html</anchorfile>
      <anchor>a2f9bdb571778993bba93a6fc48b0d90d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_hash_key_reverse_iterator.html</anchorfile>
      <anchor>a9740114934ef3e6553613f4beee81270</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_hash_key_reverse_iterator.html</anchorfile>
      <anchor>a2c6cbbc478c54a908faf7766685b4645</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_reverse_iterator.html</anchorfile>
      <anchor>a3ec39c8879b71815b2ba2c266d3d89ba</anchor>
      <arglist>(hash h)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_reverse_iterator.html</anchorfile>
      <anchor>a05216846a86b7b3ccfb7dd8d82bf5693</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_hash_reverse_iterator.html</anchorfile>
      <anchor>a0daf58b78d679d6242c88a24b2a95bfa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>first</name>
      <anchorfile>class_qore_1_1_hash_reverse_iterator.html</anchorfile>
      <anchor>ac7cf3e0eda0c8f4854e3dd6fab31a1ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>last</name>
      <anchorfile>class_qore_1_1_hash_reverse_iterator.html</anchorfile>
      <anchor>aec930a3efe298b98eeda8670c132dd8f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>next</name>
      <anchorfile>class_qore_1_1_hash_reverse_iterator.html</anchorfile>
      <anchor>a82746948d972de83d1ef179efc9e9c81</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>prev</name>
      <anchorfile>class_qore_1_1_hash_reverse_iterator.html</anchorfile>
      <anchor>a04c6aa78e4bcf4bd7fcd0a0d1964d427</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::HashListIterator</name>
    <filename>class_qore_1_1_hash_list_iterator.html</filename>
    <base>Qore::AbstractQuantifiedBidirectionalIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>a3160acb7c890679b2b547d253ff06623</anchor>
      <arglist>(hash h)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>a49662d291df3753b81c84db73db1261f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>aea2eca1172724d888e732b68adb4758f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>a2613a8ee70fde08923b43a228a44a36e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>first</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>aef0ec0e0df43f4f8f8ba5899a53674d1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>getKeyValue</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>a68f1003cc8c2acd75d588cc78dc1afbf</anchor>
      <arglist>(string key)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getRow</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>a4c0af62e69a77f1cdac13be2fc64e2cc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>aa6bab6951870b518e77c1eabb731ac50</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>adf87382e56f8bc3773ab4319c83e82ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>last</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>a1c2d63097f58f35538bb45138262959b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>max</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>a4a8b5ac43d799dc662e8a4f85c820b50</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>memberGate</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>afe5d92683019358863d97fecdd625690</anchor>
      <arglist>(string key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>next</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>a3ceb133242d42f388bdf72ab8f2d5aac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>prev</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>a6df21aadae44817005795b3b6190874a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>reset</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>a26cdde61d96fc4a3d80f793106eb53ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>set</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>addbd1d1f84da206eb0c86b8ae25119da</anchor>
      <arglist>(int pos)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>class_qore_1_1_hash_list_iterator.html</anchorfile>
      <anchor>a9f6eb7c58db7641827e6c9ed12f70b98</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::HashListReverseIterator</name>
    <filename>class_qore_1_1_hash_list_reverse_iterator.html</filename>
    <base>Qore::HashListIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_list_reverse_iterator.html</anchorfile>
      <anchor>a2b2afe7a3b129e910b9695b0c0de1eb8</anchor>
      <arglist>(hash h)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_list_reverse_iterator.html</anchorfile>
      <anchor>a52f5e1dc8737870b0d83b5dd99cdb787</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_hash_list_reverse_iterator.html</anchorfile>
      <anchor>a676c9db5c5063ad2ea85bd1487daa00f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>first</name>
      <anchorfile>class_qore_1_1_hash_list_reverse_iterator.html</anchorfile>
      <anchor>a3dfbb6e8ea42a650bd063403d4efa3be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>last</name>
      <anchorfile>class_qore_1_1_hash_list_reverse_iterator.html</anchorfile>
      <anchor>aae133b11d7e847766be7aff7face0fa0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>memberGate</name>
      <anchorfile>class_qore_1_1_hash_list_reverse_iterator.html</anchorfile>
      <anchor>aee52d27547e118af915921812abe5522</anchor>
      <arglist>(string key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>next</name>
      <anchorfile>class_qore_1_1_hash_list_reverse_iterator.html</anchorfile>
      <anchor>a40a1167d2e862bf39ef52497387f398d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>prev</name>
      <anchorfile>class_qore_1_1_hash_list_reverse_iterator.html</anchorfile>
      <anchor>a3bc985ec634ecd6d3501ad27e5c1461c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::HashPairIterator</name>
    <filename>class_qore_1_1_hash_pair_iterator.html</filename>
    <base>Qore::HashIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_pair_iterator.html</anchorfile>
      <anchor>ad88d861fcdcc3bd91485df5013edfd39</anchor>
      <arglist>(hash h)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_pair_iterator.html</anchorfile>
      <anchor>acc8fc5c450a9972105ec005279df6b91</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_hash_pair_iterator.html</anchorfile>
      <anchor>a0f73dec0ab37533fa037751645d3132f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_hash_pair_iterator.html</anchorfile>
      <anchor>a4e428b15a5f4c0e1cf8977cf8b95def8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::HashPairReverseIterator</name>
    <filename>class_qore_1_1_hash_pair_reverse_iterator.html</filename>
    <base>Qore::HashReverseIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_pair_reverse_iterator.html</anchorfile>
      <anchor>a17de62d6000fd660b78a090bf5fb1d47</anchor>
      <arglist>(hash h)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_hash_pair_reverse_iterator.html</anchorfile>
      <anchor>af57c90dafa2c71c81143e050a34fbec6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_hash_pair_reverse_iterator.html</anchorfile>
      <anchor>aefef45482be7b4a2ad3f48039cade9f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_hash_pair_reverse_iterator.html</anchorfile>
      <anchor>a0c32b638c43b9a0f4cf953be52efac87</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::HashReverseIterator</name>
    <filename>class_qore_1_1_hash_reverse_iterator.html</filename>
    <base>Qore::HashIterator</base>
  </compound>
  <compound kind="class">
    <name>Qore::HTTPClient</name>
    <filename>class_qore_1_1_h_t_t_p_client.html</filename>
    <base>Qore::Socket</base>
    <member kind="function">
      <type>nothing</type>
      <name>clearProxyURL</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>ad7688922670e2c8795a1ee680a2d51e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>clearProxyUserPassword</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>ad555d0d81c335bb51820585b98888c12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>clearStats</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a626dc7ce23d1f0e2d7f02e3c8499f8f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>clearUserPassword</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a9759d21c503bea0563dd8eaf6d6cfbd1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>clearWarningQueue</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a4102b502a8be8262eecea4e0a85ebe5b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>connect</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a6df282a9db795b68ac5332f2429c4e8e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>afaadae37160f803e2c0a6569f62173df</anchor>
      <arglist>(hash opts)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a1966daad73f8cd30da527e16618eb768</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>aa2aa9b3adf0a30ea41bc521ab240055b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>ad8e70fc5524dfb8931f0bfab47326995</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>disconnect</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>aeaa701096e2089dd42de81fb177730e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>get</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>ad5435d300acf144e793d2042973dc9bb</anchor>
      <arglist>(string path, __7_ hash headers, __7_ reference info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getConnectTimeout</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a7513f6c2118f0d8de7dd15cb8ddbc21b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getConnectionPath</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a1d0fef0b049abca0d26c931c5e8f020b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getDefaultPath</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a2917c58f43d176b49075d6db1c517ea5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getEncoding</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a913167ec6f9c386e67cc0178761b0f61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getHTTPVersion</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a4e2d0ff10616b7bba8a6ffe2b1cecd38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getMaxRedirects</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>afbb1c7d48fc1b1dcba32e1051041bfae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getNoDelay</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a3f9632f945cdd1df380d2831e73c924b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getProxyURL</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a3018d4114a87d90d914a0ed62e924e83</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getTimeout</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>ad8dea5c7fcbfbcdc3408f2d62922f3b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getURL</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a9a9b553de7854b86ca978a8d10c3c9dd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getUsageInfo</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a562b9b56a02f27c35bcc8e8b46ed1bc3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>head</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a34f6115ae6cc36074f22fcfa8676e426</anchor>
      <arglist>(string path, __7_ hash headers, __7_ reference info)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isConnected</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>adbee3f312158d29d873527085eb48bea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isProxySecure</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a04c2df5e6fca680874e388a093fa136a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSecure</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a5654958c7d5ca1106b092f85230a78f1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>post</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>aba0125930f6adbac1cf5c396a1880cf0</anchor>
      <arglist>(string path, string body, __7_ hash headers, __7_ reference info)</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>post</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>ac03ef540a61e9620e569ff17b633e287</anchor>
      <arglist>(string path, __7_ binary body, __7_ hash headers, __7_ reference info)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>send</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a482122b96a706f73d01f2fedcab59fa7</anchor>
      <arglist>(string body, string method, __7_ string path, __7_ hash headers, softbool getbody=False, __7_ reference info)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>send</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>ab938b5825f47687b61a9294a961ab47b</anchor>
      <arglist>(__7_ binary body, string method, __7_ string path, __7_ hash headers, softbool getbody=False, __7_ reference info)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>sendWithCallbacks</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a5ca8d7aee4310dc1870bbd9841f391a1</anchor>
      <arglist>(code scb, code rcb, string method, __7_ string path, __7_ hash headers, timeout timeout_ms=0, softbool getbody=False, __7_ reference info)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>sendWithRecvCallback</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a8fd8da85da522b8bdb36e4cd00de1963</anchor>
      <arglist>(code rcb, string body, string method, __7_ string path, __7_ hash headers, timeout timeout_ms=0, softbool getbody=False, __7_ reference info)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>sendWithRecvCallback</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>ac00db675f09626b304edf495dd954276</anchor>
      <arglist>(code rcb, __7_ binary body, string method, __7_ string path, __7_ hash headers, timeout timeout_ms=0, softbool getbody=False, __7_ reference info)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>sendWithSendCallback</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>acceff8340fcd329803899a3b75616739</anchor>
      <arglist>(code scb, string method, __7_ string path, __7_ hash headers, timeout timeout_ms=0, softbool getbody=False, __7_ reference info)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setConnectTimeout</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a59c32a1cb1c23f5616a57c7b349521ef</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setDefaultPath</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a7d57e49bdde9c6fa2d67013f3fb0a4c8</anchor>
      <arglist>(__7_ string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setEncoding</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a79ec21def4e2015d6da8b2a5d71e9b0e</anchor>
      <arglist>(string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setEventQueue</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>af48e59604f6e7da844c79ac958b45f6a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setEventQueue</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a1db25c4d7a84777c90e2cc44d5405212</anchor>
      <arglist>(Qore::Thread::Queue queue)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setHTTPVersion</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a123efcd92e5d648856435f3fa445d620</anchor>
      <arglist>(string ver)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setMaxRedirects</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>aea1c09e972256088465cacc56019906e</anchor>
      <arglist>(softint mr=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setNoDelay</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>ae6d797291f0f87d5243e40d2f8ea2bb7</anchor>
      <arglist>(softbool b=True)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>setPersistent</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a2e3bd5ea66d056b0a3f69b4d0e86964e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setProxySecure</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>ae58ff38024846050d5be3f6b36952c90</anchor>
      <arglist>(softbool b=True)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setProxyURL</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>aef070595f39138c8d0d9f20ac47b6ac0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setProxyURL</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a27075d22526b650fdee997932cc1b658</anchor>
      <arglist>(string url)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setProxyUserPassword</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>afb6865d4b0d09a03f8688a1acbe5b320</anchor>
      <arglist>(string user, string pass)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setProxyUserPassword</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>af4bccc6d03ff65bcd7e0a54c7b92e602</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setSecure</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a5d0b8c0b6fe386efb42367d81cc20e51</anchor>
      <arglist>(softbool secure=True)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setTimeout</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>af55851848983f0c17a0ee2d217f6c198</anchor>
      <arglist>(timeout timeout_ms=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>setURL</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a79d3f4dc0a39cd9afb1d30d5337e61e1</anchor>
      <arglist>(string url)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setUserPassword</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>aa02efa9f178f55a45da68a84bd824c71</anchor>
      <arglist>(string user, string pass)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setUserPassword</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>ab612d8a6bec649e1252515b2e78d2150</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setWarningQueue</name>
      <anchorfile>class_qore_1_1_h_t_t_p_client.html</anchorfile>
      <anchor>a1144a4dd4cb8ce755f132e5a0a347e4d</anchor>
      <arglist>(int warning_ms, int warning_bs, Queue queue, any arg, timeout min_ms=1s)</arglist>
    </member>
    <member kind="function">
      <type>Socket</type>
      <name>accept</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a39eb3993cde9b9e0096412d1edbc3a57</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ Socket</type>
      <name>accept</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a44c6610f3e6ed41cccd4a69450298acf</anchor>
      <arglist>(timeout timeout_ms)</arglist>
    </member>
    <member kind="function">
      <type>Socket</type>
      <name>acceptSSL</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>adb234af8e02eee33b15a55f0ad37f690</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ Socket</type>
      <name>acceptSSL</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a6955fcbdc09f8e24636ae0f6103e2eb7</anchor>
      <arglist>(timeout timeout_ms)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bind</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a84303b48fef02b3a1e2b29184ac53bc8</anchor>
      <arglist>(string str, softbool reuseaddr=False)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bind</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a801a23bb93b9104179c211f6704bc1de</anchor>
      <arglist>(int port, softbool reuseaddr=False)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>bindINET</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a884a0c357060e9f2011e08512d7d16d7</anchor>
      <arglist>(__7_ string iface, __7_ softstring service, softbool reuseaddr=False, softint family=AF_UNSPEC, softint socktype=SOCK_STREAM, softint protocol=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>bindUNIX</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>aea01252ce4c831d5d26c28617249e14f</anchor>
      <arglist>(string path, softint socktype=SOCK_STREAM, softint protocol=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>clearStats</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>aa11d890255025ccbbf02ff26724b282c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>clearWarningQueue</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a9879dc24c43dbc9784386e36f1c2425b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>close</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a40deec9f0ac1abcfca999b9592bed0ee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>connect</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a7e0dc386a95c3c6a0e1cc12269d4374b</anchor>
      <arglist>(string target, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>connectINET</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a7b18f9cd3c198300606d4699a5f9a525</anchor>
      <arglist>(string host, softstring service, timeout timeout_ms=-1, softint family=AF_UNSPEC, softint socktype=SOCK_STREAM, softint protocol=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>connectINETSSL</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a6f7b45a71eff6bc252cb740491012c2e</anchor>
      <arglist>(string host, softstring service, timeout timeout_ms=-1, softint family=AF_UNSPEC, softint socktype=SOCK_STREAM, softint protocol=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>connectSSL</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a3d64c129d67687ab0e00b96b495059c5</anchor>
      <arglist>(string target, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>connectUNIX</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ad78760d607de20703f921f6dc1db5160</anchor>
      <arglist>(string path, softint socktype=SOCK_STREAM, softint protocol=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>connectUNIXSSL</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a59cf5a059d8116b8c90a81aa423f7af5</anchor>
      <arglist>(string path, softint socktype=SOCK_STREAM, softint protocol=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>aae2f017c8bf867f2380c2dbc873af465</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>aa91f15de558a8ca27680cef49bb508ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getCharset</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>afbf2522548202dfc71cea1584bcda764</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getEncoding</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>acd67aa33bbd8eefa5b557ae16a7bdecf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getNoDelay</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a3cbc1223bd9cba7d58052febd5e92dab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getPeerInfo</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ae7c94998847ecd335928ea8f63a712b3</anchor>
      <arglist>(bool host_lookup=True)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getPort</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ae5077a1a1be1ce30a5251be59d760751</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getRecvTimeout</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a9d6ede847e9d88b25eb3fea209fcbe3a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getSSLCipherName</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a416283c6332e611607ee2aa4b2a9cad4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getSSLCipherVersion</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a47aae073c822eb9ac197b9befde75a9d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getSendTimeout</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a037f1e937dba99b785dc846799f479b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getSocket</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a287387be61ed857ad44f9fa79ad4292c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getSocketInfo</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a8082e5192f11ceb4884a565543dc58f1</anchor>
      <arglist>(bool host_lookup=True)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getUsageInfo</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a12b3459b847f89a55af0c2006d9c2667</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDataAvailable</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ada15658191958a262a3c8ca44160f112</anchor>
      <arglist>(timeout timeout_ms=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a1f6e97d05075accded9da7a8ee44defd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSecure</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a62f88e568207417db77890f565063822</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isWriteFinished</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a57f1ae016aa33f5ba449a99a8f7f6cc0</anchor>
      <arglist>(timeout timeout_ms=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>listen</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a430d67ff882a9733d02ff1fa745ca159</anchor>
      <arglist>(int backlog=20)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>pendingHttpChunkedBody</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a16039558967b42619176a9609bce5399</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>readHTTPChunkedBody</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>aab73c1add390d413926b0e86cfa5859f</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>readHTTPChunkedBodyBinary</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a3305537eb45aeccd0379e0db53c756ad</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>readHTTPChunkedBodyBinaryWithCallback</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>aa3c8f41a0879b440a999db5c55663d30</anchor>
      <arglist>(code rcb, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>readHTTPChunkedBodyWithCallback</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a97ffc465250c06c5b4fbc512bd17ee64</anchor>
      <arglist>(code rcb, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>readHTTPHeader</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a1d63a6b810cb4169b0cf112aa1fa8b3c</anchor>
      <arglist>(timeout timeout_ms=-1, __7_ reference info)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>readHTTPHeaderString</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ac3e0f0383c3337783a49ff85d8805bad</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>recv</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>adba4badd712c161df1b2da87e528ecb8</anchor>
      <arglist>(softint size=0, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>recvBinary</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>aa255d1dcfbddb208e80684eebecc800d</anchor>
      <arglist>(softint size=0, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>recvi1</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a9c362b07b1d06fce22bde3e6a888832d</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>recvi2</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a4fba2fa5a88c8c9694c3557056116738</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>recvi2LSB</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ae243f8377cd00cf9be553a1cefc27b12</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>recvi4</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ac8ca3e12a7616dcad149754ffe8342ea</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>recvi4LSB</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a6101e09f33fe75e8404c612177fff54c</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>recvi8</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>adc8295d79e2288b2e8c5143ac270d08c</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>recvi8LSB</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a7d107840ba3dbac1bd621179a89b121a</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>recvu1</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ab77e7118003c6ae4baac594ffd91d980</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>recvu2</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a2866c8093c3cdd5216bf01c768054e7e</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>recvu2LSB</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>aa1ea4a31ed5e4a0c1858bfd4e754eee0</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>recvu4</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>adbd053f544a6da11c74fa489ac1bbc14</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>recvu4LSB</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a4cd9d50e0649da38ee3292e349f22b7a</anchor>
      <arglist>(timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>send</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a2a4d61976a11b699134ed2e47603357e</anchor>
      <arglist>(binary bin, int timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>send</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>aa2fbea3740e4195c06f78e35f36da966</anchor>
      <arglist>(string str, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>send2</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ab98b2101a71b7660d6d2bad57988d0ef</anchor>
      <arglist>(binary bin, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>send2</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a023cbc8f4aae2e34364d3df6930fa220</anchor>
      <arglist>(string str, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sendBinary</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ada01381996dde5eb7dda1562f43fbda9</anchor>
      <arglist>(string str, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sendBinary</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a0e80d3a58b2e82f3620c06fec63db05f</anchor>
      <arglist>(binary bin, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>sendBinary2</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a681a441f39cea6a337902a90f4cc897f</anchor>
      <arglist>(string str, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>sendBinary2</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a87dc2b71ee071f8d76a96cd4a4092e21</anchor>
      <arglist>(binary bin, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>sendHTTPMessage</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a73ef2cdf5c68af0471068326b8d62f7c</anchor>
      <arglist>(string method, string path, string http_version, hash headers, __7_ string body, __7_ reference info, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>sendHTTPMessage</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a37f3fcea76af99b1706fd499d53d07be</anchor>
      <arglist>(string method, string path, string http_version, hash headers, binary body, __7_ reference info, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>sendHTTPMessageWithCallback</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a813af205629799c344e247ae0e3598b2</anchor>
      <arglist>(code scb, string method, string path, string http_version, hash headers, __7_ reference info, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>sendHTTPResponse</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a2eb897451c69d1c916a038e6648345a9</anchor>
      <arglist>(softint status_code, string status_desc, string http_version, hash headers, __7_ string body, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>sendHTTPResponse</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>acc7d28249d2b2ec2c66e17deadfc5c41</anchor>
      <arglist>(softint status_code, string status_desc, string http_version, hash headers, binary body, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>sendHTTPResponseWithCallback</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a7897a0edda37c1c9335dab74302a3c65</anchor>
      <arglist>(code scb, softint status_code, string status_desc, string http_version, hash headers, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sendi1</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a13a4582d75efdb29305b1b54bf66b31b</anchor>
      <arglist>(softint i=0, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sendi2</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>aaa62ba419d66dac29d8605c6dd5a7e68</anchor>
      <arglist>(softint i=0, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sendi2LSB</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a0139b7e63ce4d06edecdb96d64124511</anchor>
      <arglist>(softint i=0, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sendi4</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a88a630d0cda97256c4b01c1e8b71d6e3</anchor>
      <arglist>(softint i=0, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sendi4LSB</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a69c50668b38e98af23ab9fb07ce9adff</anchor>
      <arglist>(softint i=0, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sendi8</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a8820f3ae73f1ce737aaf88b9cfb3c001</anchor>
      <arglist>(softint i=0, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sendi8LSB</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a142489a333f9444b7379ad5b2a365780</anchor>
      <arglist>(softint i=0, timeout timeout_ms=-1)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setCertificate</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a9635916d0570c939002ab206cb0f52de</anchor>
      <arglist>(SSLCertificate cert)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setCertificate</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>aa0fe25d00f6907cfa98612c9ff2b62c6</anchor>
      <arglist>(string cert_pem)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setCertificate</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a3f7bfccfea1d522e64e2e5a959d0abba</anchor>
      <arglist>(binary cert_der)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setCharset</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ad5685173c314f4d5905b6d6ce4487479</anchor>
      <arglist>(string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setEncoding</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>af48a09edcb2db8dd8fa0e0d85a6fece4</anchor>
      <arglist>(string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setEventQueue</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ad1259b25b8b8533d042a1f7bc29894b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setEventQueue</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a3126d117a6b3138b6aed180b2b43d72b</anchor>
      <arglist>(Queue queue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setNoDelay</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ada4d53ed63a5df3ec798153a3caf65d1</anchor>
      <arglist>(bool nd=True)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setPrivateKey</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>af7ae2ef7cc4202e68f356deda71369e9</anchor>
      <arglist>(SSLPrivateKey key)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setPrivateKey</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a82fa4152827ee55c14e3e8ef5b7fbbbc</anchor>
      <arglist>(string key_pem, __7_ string pass)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setPrivateKey</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>aa7a28fc5c83ff2be97010d8ae2f48389</anchor>
      <arglist>(binary key_der)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setRecvTimeout</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a314c17ae30d7e1b0cea515e6519734b1</anchor>
      <arglist>(timeout timeout_ms)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setSendTimeout</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>aa88886547e8d064bee7c2e16f266c42c</anchor>
      <arglist>(timeout timeout_ms)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setWarningQueue</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>aa2effc8ae6be10841f05d562b6638249</anchor>
      <arglist>(int warning_ms, int warning_bs, Queue queue, any arg, timeout min_ms=1s)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>shutdown</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>aab67c1ece890cdf79359ba56f1cd2731</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>shutdownSSL</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ab2d2bda62f69f0d6da4fb6907a549562</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>upgradeClientToSSL</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ad9342be85facd6a7c48f0c8a9ebb9d17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>upgradeServerToSSL</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>ae5c557957269a33f8a5e4bc1bfbf5b4f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>verifyPeerCertificate</name>
      <anchorfile>class_qore_1_1_socket.html</anchorfile>
      <anchor>a601f1a0515d127d2cca2b4febdb40d31</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::ListHashIterator</name>
    <filename>class_qore_1_1_list_hash_iterator.html</filename>
    <base>Qore::AbstractQuantifiedBidirectionalIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>aacaad822bb69de448578e0287062cf99</anchor>
      <arglist>(softlist l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>aa7725a9de08969a75be8fc94727b73ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>acbf9ae3d6d10b3007cd9b718fa88d1b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>first</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>a4e7a345f24263766e7cdac8eeae903ef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>getKeyValue</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>aaccbf85246c39c8e6bd87f04feca9fd9</anchor>
      <arglist>(string key)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getRow</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>a920246f4ee772ef5430ff26963d14426</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>a30b71b23864524e09448e078f9484e44</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>ad53157969b6c64ac9cb9732b4817ab59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>last</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>a849e526feaa79ce62c920267ec35eab4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>max</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>a4309a3e47c54d01350d58599019bd21c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>memberGate</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>aacc68cb18e6256f1a4c3afaa38a835e5</anchor>
      <arglist>(string key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>next</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>a0856d8bc238ce8110e4e9ca14331f295</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>prev</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>af422c1925e9f9d659da0987afbdb93e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>reset</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>a9f5b2b81baf0c5a3b6981c8f4ffe3d56</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>set</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>a6cb2ba7c6ed81afb8c06cde38ce000f2</anchor>
      <arglist>(int pos)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>class_qore_1_1_list_hash_iterator.html</anchorfile>
      <anchor>aff5bfd5e591c6306d2deaad6665e0ba8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::ListHashReverseIterator</name>
    <filename>class_qore_1_1_list_hash_reverse_iterator.html</filename>
    <base>Qore::ListHashIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_list_hash_reverse_iterator.html</anchorfile>
      <anchor>ac1bc010f50ca21629dcc27a1aefacac1</anchor>
      <arglist>(softlist l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_list_hash_reverse_iterator.html</anchorfile>
      <anchor>a54b680f9c0c050442ec87912516aab60</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>first</name>
      <anchorfile>class_qore_1_1_list_hash_reverse_iterator.html</anchorfile>
      <anchor>aa54754072fd1532f651013abf7f0cf6f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>last</name>
      <anchorfile>class_qore_1_1_list_hash_reverse_iterator.html</anchorfile>
      <anchor>a45a4fb06056965aa986e416a5860e005</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>memberGate</name>
      <anchorfile>class_qore_1_1_list_hash_reverse_iterator.html</anchorfile>
      <anchor>a2164fded49f09292e34579929798d4e7</anchor>
      <arglist>(string key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>next</name>
      <anchorfile>class_qore_1_1_list_hash_reverse_iterator.html</anchorfile>
      <anchor>ad5e6281d6b83babe2a1e96b7a801b6e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>prev</name>
      <anchorfile>class_qore_1_1_list_hash_reverse_iterator.html</anchorfile>
      <anchor>a075a0a4b3a2e4aa664bd70541a6b4f33</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::ListIterator</name>
    <filename>class_qore_1_1_list_iterator.html</filename>
    <base>Qore::AbstractQuantifiedBidirectionalIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_list_iterator.html</anchorfile>
      <anchor>aef55c53c0b81a1be08c8135be0b4c4a8</anchor>
      <arglist>(softlist l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_list_iterator.html</anchorfile>
      <anchor>aa3cbb3687629780c170afdeb81d4c32a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_qore_1_1_list_iterator.html</anchorfile>
      <anchor>a6b122999ed1d5270b799d08389d6a4b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>first</name>
      <anchorfile>class_qore_1_1_list_iterator.html</anchorfile>
      <anchor>a93b82a5f331015eacbc41114005af1c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_list_iterator.html</anchorfile>
      <anchor>a2364b0312dc574e1382a32bcd744d2b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>class_qore_1_1_list_iterator.html</anchorfile>
      <anchor>a60f50a3f482803ef6f8b7488a27edf4e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>last</name>
      <anchorfile>class_qore_1_1_list_iterator.html</anchorfile>
      <anchor>ab42d03f4202ae21cbf50732c93a206c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>max</name>
      <anchorfile>class_qore_1_1_list_iterator.html</anchorfile>
      <anchor>a61f6434a2697fa752a5a8bdf8bc4c5bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>next</name>
      <anchorfile>class_qore_1_1_list_iterator.html</anchorfile>
      <anchor>a6ec3a70d479bc98120d5da861a347d16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>prev</name>
      <anchorfile>class_qore_1_1_list_iterator.html</anchorfile>
      <anchor>a32ad9cb8256759fdf8ac4dd3af183222</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>reset</name>
      <anchorfile>class_qore_1_1_list_iterator.html</anchorfile>
      <anchor>a66980079141ffb2814c5e34f8b728a4f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>set</name>
      <anchorfile>class_qore_1_1_list_iterator.html</anchorfile>
      <anchor>a24f641c512ab95856379c3e7609bda57</anchor>
      <arglist>(int pos)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>class_qore_1_1_list_iterator.html</anchorfile>
      <anchor>ad880f2e3e193c708b28d753ae6646bfb</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::ListReverseIterator</name>
    <filename>class_qore_1_1_list_reverse_iterator.html</filename>
    <base>Qore::ListIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_list_reverse_iterator.html</anchorfile>
      <anchor>a7f2bd68f17daa3cdf9ec7e1ee547bd8c</anchor>
      <arglist>(softlist l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_list_reverse_iterator.html</anchorfile>
      <anchor>a138c1cb74e5366d16c4124d126f9dcbd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>first</name>
      <anchorfile>class_qore_1_1_list_reverse_iterator.html</anchorfile>
      <anchor>a2e8154d62fdeb3d8f08b3b26c048f24b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>last</name>
      <anchorfile>class_qore_1_1_list_reverse_iterator.html</anchorfile>
      <anchor>a33bf7f6114d76f5c1b8c80a5d7dc6fac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>next</name>
      <anchorfile>class_qore_1_1_list_reverse_iterator.html</anchorfile>
      <anchor>a49ec4a340d3d713d5865c91d1ead6065</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>prev</name>
      <anchorfile>class_qore_1_1_list_reverse_iterator.html</anchorfile>
      <anchor>aae132f219a250cedb11bcf67995422dc</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::ObjectIterator</name>
    <filename>class_qore_1_1_object_iterator.html</filename>
    <base>Qore::HashIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_object_iterator.html</anchorfile>
      <anchor>a5d7521d37de18a4025aafadfae778eaa</anchor>
      <arglist>(object o)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_object_iterator.html</anchorfile>
      <anchor>a3ffb5335e3efe37ea2d6b93790eda7ef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_object_iterator.html</anchorfile>
      <anchor>af550fe009657cce51c303fd718bf535c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::ObjectKeyIterator</name>
    <filename>class_qore_1_1_object_key_iterator.html</filename>
    <base>Qore::ObjectIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_object_key_iterator.html</anchorfile>
      <anchor>ae577a2ee92a114efc8454aac9e1b131d</anchor>
      <arglist>(object o)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_object_key_iterator.html</anchorfile>
      <anchor>a08650070f581778ec7d1bc0da7271535</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_object_key_iterator.html</anchorfile>
      <anchor>a2e52586c92f4bbe0bd3b56f23f266c5c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_object_key_iterator.html</anchorfile>
      <anchor>a7b936b687c054fda6f93b76ed04d5292</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::ObjectKeyReverseIterator</name>
    <filename>class_qore_1_1_object_key_reverse_iterator.html</filename>
    <base>Qore::ObjectReverseIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_object_key_reverse_iterator.html</anchorfile>
      <anchor>abfb3504931746bdebacc383c25eff436</anchor>
      <arglist>(object o)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_object_key_reverse_iterator.html</anchorfile>
      <anchor>ab82cd6add8616193b55439cb7c1a9c44</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_object_key_reverse_iterator.html</anchorfile>
      <anchor>a99482f54ceff61015e3bb37ada0d318c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_object_key_reverse_iterator.html</anchorfile>
      <anchor>a3434e0503dad1fd3f569ae330036f573</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_object_reverse_iterator.html</anchorfile>
      <anchor>a4e5a5820ca50ccb9bf9be17fd54b42c1</anchor>
      <arglist>(object o)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_object_reverse_iterator.html</anchorfile>
      <anchor>a6856126a844e025d8dbf5d4c7bcc84a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_object_reverse_iterator.html</anchorfile>
      <anchor>a5aceac3b1555506bb8d641f884c56058</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>first</name>
      <anchorfile>class_qore_1_1_object_reverse_iterator.html</anchorfile>
      <anchor>a6f053540cbbc574c438e6201b713f7dd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>last</name>
      <anchorfile>class_qore_1_1_object_reverse_iterator.html</anchorfile>
      <anchor>a96a5d6b421ccbe6875ca2f3fbfe7576d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>next</name>
      <anchorfile>class_qore_1_1_object_reverse_iterator.html</anchorfile>
      <anchor>a0c9460024246ef2742b9937cb0e3da4d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>prev</name>
      <anchorfile>class_qore_1_1_object_reverse_iterator.html</anchorfile>
      <anchor>a8eb6d967f85d306e897e08deadd63c92</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::ObjectPairIterator</name>
    <filename>class_qore_1_1_object_pair_iterator.html</filename>
    <base>Qore::ObjectIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_object_pair_iterator.html</anchorfile>
      <anchor>af1ad099d78f3acef4e6912acbdda74e6</anchor>
      <arglist>(object o)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_object_pair_iterator.html</anchorfile>
      <anchor>ac1a779f1c001563e4eb75d6e02551e56</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_object_pair_iterator.html</anchorfile>
      <anchor>af494372ac3f9ee40428dc7040b308801</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_object_pair_iterator.html</anchorfile>
      <anchor>a8ee287f193c07e0d50dec7442bc8711e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::ObjectPairReverseIterator</name>
    <filename>class_qore_1_1_object_pair_reverse_iterator.html</filename>
    <base>Qore::ObjectReverseIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_object_pair_reverse_iterator.html</anchorfile>
      <anchor>a1621e2b22501ddaf4b5520d87946fc8a</anchor>
      <arglist>(object o)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_object_pair_reverse_iterator.html</anchorfile>
      <anchor>ac65165379ca967f0ca0037a9922c6fb2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_object_pair_reverse_iterator.html</anchorfile>
      <anchor>a4691d8cf1ccc290bfd0ebba20ff3d5fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_object_pair_reverse_iterator.html</anchorfile>
      <anchor>a9313e089ca5eedb041855cce13ab6c8e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::ObjectReverseIterator</name>
    <filename>class_qore_1_1_object_reverse_iterator.html</filename>
    <base>Qore::ObjectIterator</base>
  </compound>
  <compound kind="class">
    <name>Qore::Program</name>
    <filename>class_qore_1_1_program.html</filename>
    <member kind="function">
      <type>any</type>
      <name>callFunction</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>aeb266ff435f75ead255ab05429967f33</anchor>
      <arglist>(string name,...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>callFunctionArgs</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>af370f5ab80f27a2dc9e733a58c13ee4f</anchor>
      <arglist>(string name, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a3b1e638a11c6cf53e9c2b5dfd325decc</anchor>
      <arglist>(softint po=PO_DEFAULT)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a0f2f5aaf174d9d34c6702cb32e4c0392</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>define</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a32e1633aa439aeb5265a098a478cffb9</anchor>
      <arglist>(string def, any val)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>ae4c5fd96efea7bc6015f5ad170c5eafa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>disableParseOptions</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a1f1e259bc987a7e4627e3ac2cc0c96b5</anchor>
      <arglist>(softint opt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>existsFunction</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>abefc819b0a8654efc1174971e06e8c5a</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>getDefine</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>aa4c406b19573be03d2647351a60858a3</anchor>
      <arglist>(string def)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>getGlobalVariable</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a33a0651a48db9260117f94da63f77c87</anchor>
      <arglist>(string varname, __7_ reference rexists)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getParseOptions</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a3d866874a2a1935fd30554217e01234e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getScriptDir</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a8d96549d48cf1707054dc48f5bde4004</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getScriptName</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a1dc1b0f848a30ec2d06fbafe7fcd677d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getScriptPath</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>aeabcc63c1d60f6efd6878bbb658a3be5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TimeZone</type>
      <name>getTimeZone</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a8d3e26434c9defc264c31d5f5f08d3ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>getUserFunctionList</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a6af08db7a7690fdc21c14174f3d23cfa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>importClass</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>ab2841743dd4640380a13537821dc94ad</anchor>
      <arglist>(string cls)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>importFunction</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a9a2e3da4029c50643169cbb72e57f494</anchor>
      <arglist>(string func)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>importFunction</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>ab6696be5c158eda9db35886ffbc12dec</anchor>
      <arglist>(string func, string new_name)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>importGlobalVariable</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a5db34046e2722a8519642ad98f412ed3</anchor>
      <arglist>(string varname, bool readonly=False)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDefined</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>afcfa159016f0f76d7a1abdf8e3895b6b</anchor>
      <arglist>(string def)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>loadModule</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>ab636540fac905339d7709991445fba3a</anchor>
      <arglist>(string name)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>lockOptions</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>ae3548963216fe5426a7dad63c20afb59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>parse</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a0715fb41ec36cd5648d6ec2baeb79f43</anchor>
      <arglist>(string code, string label, __7_ softint warning_mask, __7_ string source, __7_ softint offset, softbool format_label=True)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>parseCommit</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a789d84e0f40137ad3b38064378b50e1b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>parseCommit</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>adcd77a780bc7ce3325f6560aac8a4e98</anchor>
      <arglist>(int warning_mask)</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>parsePending</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a9afe5b8571dae845c49cd1f5f40c3722</anchor>
      <arglist>(string code, string label, __7_ softint warning_mask, __7_ string source, __7_ softint offset, softbool format_label=True)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>parseRollback</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>acc27af9225963f20947e0045186ecfb7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>replaceParseOptions</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a2d1d26dcb43d846cec1ecf926115b857</anchor>
      <arglist>(softint opt)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>run</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>aaeaa9cf51621f9c730501ae8ec948864</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setParseOptions</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a046e332aac8933c562fef80cd5abf0cb</anchor>
      <arglist>(softint opt=PO_DEFAULT)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setScriptPath</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a8def65d25a0934417aa425c84f38b568</anchor>
      <arglist>(__7_ string path)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setTimeZone</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a8dc5c5f1315c9b0faebf9806548d30b2</anchor>
      <arglist>(TimeZone zone)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setTimeZoneRegion</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a5eaa38aba68af2d1884cf014d8c7c0aa</anchor>
      <arglist>(string region)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setTimeZoneUTCOffset</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>aa210b78ad95860ecc26d4489d276d180</anchor>
      <arglist>(softint seconds_east)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>undefine</name>
      <anchorfile>class_qore_1_1_program.html</anchorfile>
      <anchor>a275563ed4d95be6a9900d2966025802c</anchor>
      <arglist>(string def)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::RangeIterator</name>
    <filename>class_qore_1_1_range_iterator.html</filename>
    <base>Qore::AbstractIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_range_iterator.html</anchorfile>
      <anchor>a93f97a7f01ab66d2250793fa15e6636c</anchor>
      <arglist>(int start, int stop, int step=1)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_range_iterator.html</anchorfile>
      <anchor>a20eb3d239c57b2f40ef5c9e7bd7334f1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_range_iterator.html</anchorfile>
      <anchor>ae442cea3dbf5ed3cd07b4288e2c97a0d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>next</name>
      <anchorfile>class_qore_1_1_range_iterator.html</anchorfile>
      <anchor>ab2c4071b0c75ac9f721880e483e3e81a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>reset</name>
      <anchorfile>class_qore_1_1_range_iterator.html</anchorfile>
      <anchor>aa29d1b2be6d564c030c79ca73645da6f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>class_qore_1_1_range_iterator.html</anchorfile>
      <anchor>ad235b23928683ba0929d97f6d6401bb9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::ReadOnlyFile</name>
    <filename>class_qore_1_1_read_only_file.html</filename>
  </compound>
  <compound kind="class">
    <name>Qore::SingleValueIterator</name>
    <filename>class_qore_1_1_single_value_iterator.html</filename>
    <base>Qore::AbstractIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_single_value_iterator.html</anchorfile>
      <anchor>a770b330a5fbf8ae38d8358a296111209</anchor>
      <arglist>(any v)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_single_value_iterator.html</anchorfile>
      <anchor>af8bfa7e66fd73c0de1c4f05c03a9fc78</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_single_value_iterator.html</anchorfile>
      <anchor>adbabff206e663f2b437086983784362c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>next</name>
      <anchorfile>class_qore_1_1_single_value_iterator.html</anchorfile>
      <anchor>a2923e45802fc98a2fb9207989710de1d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>reset</name>
      <anchorfile>class_qore_1_1_single_value_iterator.html</anchorfile>
      <anchor>a7e96e7dbea4e7e680b74ab605db403cc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>class_qore_1_1_single_value_iterator.html</anchorfile>
      <anchor>aafb8a835f5535484dc1a1fb97b8a1328</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::Socket</name>
    <filename>class_qore_1_1_socket.html</filename>
    <docanchor file="class_qore_1_1_socket">socket_events</docanchor>
    <docanchor file="class_qore_1_1_socket">socket_info_hash</docanchor>
  </compound>
  <compound kind="class">
    <name>Qore::SSLCertificate</name>
    <filename>class_qore_1_1_s_s_l_certificate.html</filename>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>ad0971140da3d09eff6509309367e44b3</anchor>
      <arglist>(string pem)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>a6c23688064313053f0d97d721f1199fb</anchor>
      <arglist>(binary der)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>aba1f8b7876a1c6630f8c474a713daa2e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getInfo</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>ac033b7d512f7420f45128a67a683847d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getIssuerHash</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>ab7f8aa2ed6be9a59993a008776851222</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>getNotAfterDate</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>aa032ba7fce14b9fd6ac0181e2a5a2538</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>getNotBeforeDate</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>ada4fcaa035665d0ce962bf0292533a31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getPEM</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>ad89366c7f97b5307e3360e57dd006add</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ binary</type>
      <name>getPublicKey</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>a259fc90259854970a59c0a14ba7ed36f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getPublicKeyAlgorithm</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>a7ed8f779b639b5ca332004e05a3a25ac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getPurposeHash</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>a266831e3704b1d3911ca25c2d32c8cab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getSerialNumber</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>afb37f78ccfbc743f93ac957c6ba7f7bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>binary</type>
      <name>getSignature</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>a5931188f312c2be2d96bcba5d1dd79f5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getSignatureType</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>a662cf1040b9f99900c2888023b7b6cb9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getSubjectHash</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>aaea5f64f64bc63351c4d7010147fc1c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getVersion</name>
      <anchorfile>class_qore_1_1_s_s_l_certificate.html</anchorfile>
      <anchor>acc049d3abd7ad86ba47bcf927839804d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::SSLPrivateKey</name>
    <filename>class_qore_1_1_s_s_l_private_key.html</filename>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_s_s_l_private_key.html</anchorfile>
      <anchor>affdb0026e65213516c7d088074d1aec2</anchor>
      <arglist>(string pem, __7_ string pass)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_s_s_l_private_key.html</anchorfile>
      <anchor>a7310bce372479a38a90dbc521710256e</anchor>
      <arglist>(binary der)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_s_s_l_private_key.html</anchorfile>
      <anchor>abc635ed38e5d73865bbc356267b6d26e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getBitLength</name>
      <anchorfile>class_qore_1_1_s_s_l_private_key.html</anchorfile>
      <anchor>aa21b2182522c30d4ce8fdd31479f946e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getInfo</name>
      <anchorfile>class_qore_1_1_s_s_l_private_key.html</anchorfile>
      <anchor>a4f92ef3f211a58be634e0a691275d0d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getPEM</name>
      <anchorfile>class_qore_1_1_s_s_l_private_key.html</anchorfile>
      <anchor>a9e95fdac083338d89e1806a4409e6e22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getType</name>
      <anchorfile>class_qore_1_1_s_s_l_private_key.html</anchorfile>
      <anchor>ab6a45cf567fddcc9c36e7d0fe2b956fb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getVersion</name>
      <anchorfile>class_qore_1_1_s_s_l_private_key.html</anchorfile>
      <anchor>a61566e34227646a2d1a6a992f5aeb994</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::TermIOS</name>
    <filename>class_qore_1_1_term_i_o_s.html</filename>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_term_i_o_s.html</anchorfile>
      <anchor>abd4f71ca3f95a97f6364cc2e121d3edd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_term_i_o_s.html</anchorfile>
      <anchor>ae7df6c469ad6e7a92d12a01e1d29e23f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getCC</name>
      <anchorfile>class_qore_1_1_term_i_o_s.html</anchorfile>
      <anchor>a19c2c027b3a521c36e3797a30573fd6d</anchor>
      <arglist>(softint cc)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getCFlag</name>
      <anchorfile>class_qore_1_1_term_i_o_s.html</anchorfile>
      <anchor>ac93293f545a552695b77b55afd5c30ca</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getIFlag</name>
      <anchorfile>class_qore_1_1_term_i_o_s.html</anchorfile>
      <anchor>a6df9b9729177d42f486bb5aa7a6fced2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getLFlag</name>
      <anchorfile>class_qore_1_1_term_i_o_s.html</anchorfile>
      <anchor>a03ee02f6433eb9c9eb7dddfb633784ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getOFlag</name>
      <anchorfile>class_qore_1_1_term_i_o_s.html</anchorfile>
      <anchor>ac9c94e83cf61a23908f368a686c31872</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEqual</name>
      <anchorfile>class_qore_1_1_term_i_o_s.html</anchorfile>
      <anchor>a74a86e4703525ee046e0221482484b61</anchor>
      <arglist>(Termios termios)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setCC</name>
      <anchorfile>class_qore_1_1_term_i_o_s.html</anchorfile>
      <anchor>ae203d13b7146e01541a18008136069cd</anchor>
      <arglist>(softint offset, softint value)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setCFlag</name>
      <anchorfile>class_qore_1_1_term_i_o_s.html</anchorfile>
      <anchor>a8ea7b285dbfb95acd99a26e7a13c6248</anchor>
      <arglist>(softint flag)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setIFlag</name>
      <anchorfile>class_qore_1_1_term_i_o_s.html</anchorfile>
      <anchor>a749c05bee07d390cc8489702cec57b38</anchor>
      <arglist>(softint flag)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setLFlag</name>
      <anchorfile>class_qore_1_1_term_i_o_s.html</anchorfile>
      <anchor>a46e094432e30639e488896355dc0531f</anchor>
      <arglist>(softint flag)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setOFlag</name>
      <anchorfile>class_qore_1_1_term_i_o_s.html</anchorfile>
      <anchor>a7fc74118f636d4b0de33d88fabf16d57</anchor>
      <arglist>(softint flag)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static hash</type>
      <name>getWindowSize</name>
      <anchorfile>class_qore_1_1_term_i_o_s.html</anchorfile>
      <anchor>a5374031d9a2784ca2653a36088f0a0c8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::TimeZone</name>
    <filename>class_qore_1_1_time_zone.html</filename>
    <member kind="function">
      <type>int</type>
      <name>UTCOffset</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>ac82e34e1f7c96d3aa5c0a071981a6f4f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>ab77972801cee2c9d116a9631dfd631d9</anchor>
      <arglist>(string region)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>a836a8bc75f97c8415d402d1153bcf578</anchor>
      <arglist>(softint seconds_east)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>ab95aa62b0103ebda872a3c6b8c675ce2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>afa23a3be62dcfc6712c168b3654a7b85</anchor>
      <arglist>(softint secs, softint us=0)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>af148d835a7a7b8e01bd89f371d4227c7</anchor>
      <arglist>(date d)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>a177b96464e04cdc717cd6adc51f83371</anchor>
      <arglist>(string dtstr)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>date</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>ab22bd3acfbfb1d7b7ce56f54c81897c7</anchor>
      <arglist>(string dtstr, string mask)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>dateMs</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>a167a5a6a1b242a912ae51cbf1adea307</anchor>
      <arglist>(softint ms)</arglist>
    </member>
    <member kind="function">
      <type>date</type>
      <name>dateUs</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>a83f2b2cfdae00c84fd9476523990418f</anchor>
      <arglist>(softint us)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasDST</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>a9957690d95a39f692ce6860bcb202d45</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>region</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>a84317e0b38d8536b73fcf475b28b50a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TimeZone</type>
      <name>get</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>a71965bdd73c4d8da8f5bb72d54606ccf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static nothing</type>
      <name>set</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>a7e12da4b71bf101c397f06123474403f</anchor>
      <arglist>(TimeZone zone)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static nothing</type>
      <name>setRegion</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>a48adb2099dca02f0484925935e044220</anchor>
      <arglist>(string region)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static nothing</type>
      <name>setUTCOffset</name>
      <anchorfile>class_qore_1_1_time_zone.html</anchorfile>
      <anchor>ad9b04e2df42c21fd1d67ad7b2a1e7f3f</anchor>
      <arglist>(softint seconds_east)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Qore::Err</name>
    <filename>namespace_qore_1_1_err.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>E2BIG</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gab230a4149f979514c10e62b63f54e362</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EACCES</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaaeedce0a1d7a729ba543d954f10ea349</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EADDRINUSE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gad2b286e5d1a639e49d6f031b20695415</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EADDRNOTAVAIL</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gae0e352266833bfb03d04879f5f7e04ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EAFNOSUPPORT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaa3bbceb80cf3c75a7b0011d88eb37e7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EAGAIN</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga0c5b53ca2e46c6cba4a019f6873e5a2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EALREADY</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga37dcb07ba775467bb72fc9f2a77635b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EBADF</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga76f4ca72703b4220d75e80a5621c026b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EBADMSG</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaa772c1b00a57a687de7fade0577169dd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EBUSY</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gadcf4fe6d15ebe1d04cd147ff8336fc5f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECHILD</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga5421fa981ba5a9f4e1ca2b915afa8cca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECONNABORTED</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gae7bad5e705a0451e8d0718203abe3d2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECONNREFUSED</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga5c12fa2b92239e05f97252a478ffd2da</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ECONNRESET</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga4e256854e2f9c71b49ea9ff7054c1be5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EDEADLK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga7a129bcd887b5e56bc0a9d8c1ff7c4d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EDEADLOCK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga086e515171e0609dd37c7e438cfb429c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EDESTADDRREQ</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga17d303c3218c64607aba1a87aae5dca3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EDOM</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga670e5e33c582a9d5c4e345c67dcb54ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EDQUOT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga7a463960da1ff1aea03c63b95f57b6fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EEXIST</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga450765c71058aab04205dcf7c2098dcc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EFAULT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga32c9e97a906b5209d59b1e70c22d1dc3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EFBIG</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga79a8b92d530a3879018a60c154f2f39d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EHOSTDOWN</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga87ec22d0190f22f7e216f344d805c40b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EHOSTUNREACH</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga293296364c818a459f2ff437c2c64bf1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EIDRM</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gae442c6aa05134291284b173d3615779f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EILSEQ</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaaa8b1f47c188dd944483df0fe416bc97</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EINPROGRESS</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gafc3126348175f206854bba8e7baae5c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EINTR</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaf20f01a824bbdb62878acbd1da8816f6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EINVAL</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaa1e9bff57d83d8a4eb92c82037a2845b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EIO</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaa6b720cdaa69cef71ec037f3ca6c977d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EISCONN</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gadef167b0e40304aa08002d829dc9a877</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EISDIR</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gace017744be8d9255d2e4f2cf3acf2fdf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ELOOP</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gabf1e12041e999b54d83f591f084dff1a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EMFILE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gac1e5e2b85ee308f9278b2de92bbe5f9d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EMLINK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga31097c53d213d2564dceeba841ecb67a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EMSGSIZE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gae52f166c8675dbd5e71c56e8d9a5c44b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EMULTIHOP</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga81a6058c53058a2e87cd0c40826672c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENAMETOOLONG</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga59898d1ed766e4391d4146b331c5e8a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENETDOWN</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga95b744b9aa10eb25c8d8d5bc54a4fe31</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENETRESET</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga4ad4883682d067a997e9c83bba3e77a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENETUNREACH</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga21e202876e7050549e721bdbe4d134db</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENFILE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga1c5fdd85c2e03404affda66a7523f00e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOBUFS</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga7fe07b15810012006d4a52212c37ffb8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENODATA</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gad195a8e8563cbe6801b68aa8bd76fc32</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENODEV</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga60f11e8cc1d1feca3f4fd127515bdd28</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOENT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga12ffdef023eb304d81acb1cf751e93bd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOEXEC</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga66543299e0aa012eee12c7fd25965166</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOLCK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga046dc8210d27ef4151a64bdfe5b38d06</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOLINK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gadb086113e56fe516a7c8764e3f4d8039</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOMEM</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gad961612adbe20359206032d4bebdb808</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOMSG</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga9adf32ba4bbd97d73a2155a72d6eb8e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOPROTOOPT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga4422f75aa6268b33323704c9597d0b45</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOSPC</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gafc93972333340a2092230b6d6a91371a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOSR</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaf66f910d36169c48110fddedcea53c48</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOSTR</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gae4fcc25c64745403868a26087e5e0859</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOSYS</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga63f03034084ed8f6c4a8127103117cd5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOTBLK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gadbd06a622538d79f0ea06bc22594e01a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOTCONN</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gad4502316307d405e113096c35d0fabdc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOTDIR</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga66ee4b3410e2bccceb32ae9a300e1b15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOTEMPTY</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga033ca06cd87b86de6bc9758ef8f7fe7e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOTSOCK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga8d15dcc81d100689880758b8ec8fb2d3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENOTTY</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga52e7ba0953c913863878a949f8cd1683</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ENXIO</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga450797bea99539e59ebbe9092119d98f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EOPNOTSUPP</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga6704b8d51486ff61b400dcf08c64aeba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EOVERFLOW</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga089df0ae6535c69f35f586835a5697ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EPERM</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gabe7ef79dc5df7855de606cd7ebbf3ea5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EPFNOSUPPORT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaa2fb9c9eb3bee0543d7da5274a1921af</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EPIPE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga81a398bafdff5d7aa92ca0c05763e428</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EPROTO</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga37222e611390639f3772d0806e3451c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EPROTONOSUPPORT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga62a3712d9201be118aab2c73c4b9543a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EPROTOTYPE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga3468c62b4ca6805028a63d1a11ee9e56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ERANGE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gabe52f89690abcda1a66d7028fd11bdb0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EREMOTE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gac5eca47c0403e36c79342d2283d36539</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EROFS</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga3b85e4a6d7f558f8538079c67e79ae4a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ESHUTDOWN</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga374b6c94666f58e008250b748b06ad50</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ESOCKTNOSUPPORT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga4fc9cf406fcee8a266cd3edadc9f11a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ESRCH</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga921039c89f6e5c4a48564de6bed1d360</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ESTALE</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaeca64564e499dcce02f76cde295232c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ETIME</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga0d05634902c26fcdcf4ea8b8318d5722</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ETIMEDOUT</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga7a9180942a2f9492c4862176b755535f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ETOOMANYREFS</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga7f08d6792b1822a811c80428fb1e08a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>ETXTBSY</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gaca36e459d47ed89021006015e75ce3e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EUSERS</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>ga1cf5fca81bfb67980a66e16b3dd38a33</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EWOULDBLOCK</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gab3b4675b012b1d9fb6d5c7a7512dc324</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>EXDEV</name>
      <anchorfile>group__error__constants.html</anchorfile>
      <anchor>gad7ff42d9d6a4caf8ee6443380d1b3091</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Qore::Option</name>
    <filename>namespace_qore_1_1_option.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_ATOMIC_OPERATIONS</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga52ed83f65af5516d229f0c5c038da4cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_CLOSE_ALL_FD</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga3bc61668e0fc9fd0a3fd172419e94804</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_FILE_LOCKING</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga55da76844b58de539c47e3fe28bdeb26</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_FORK</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga841db19d8ad8f5d04eaf8980aed008a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_GETPPID</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga6005570874832f8305631c49cbd54fa3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_IS_EXECUTABLE</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga0cc55debed9574104abe543102810085</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_KILL</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga905db647155bcf54168df7fc7e6b96b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_LIBRARY_DEBUGGING</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga19571712256d5f9817d58c38584510e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_MD2</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga2e1b34b0ee0e76d35143adeaac8211ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_MDC2</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga57cfc96553919fbdae63254ca4600849</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_RC5</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga7c2cfaff4ede608873fa565ed23bc7ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_ROUND</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga97aca0d9c20308bd2d79f61c284f7772</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_RUNTIME_THREAD_STACK_TRACE</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga5d3b3ad72dbc870686836888c5cb92e0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SETEGID</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gaa1b7b8aa5750d7937b05c0f6d68903bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SETEUID</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga5fe2ab14ea36c83e7d032a79bd404622</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SETSID</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga518fbbbde3df9c996bbba1d207c5ae10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SHA224</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gac2b845ff7b7e953d0ab2c7c0e33154fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SHA256</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga8bbafb0df946db4960ec53f1739352c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SHA384</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gaefa59259c4fcbe89eaf1efa5364e0420</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SHA512</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga361d12136d30719ba4861fd892ee022f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SIGNAL_HANDLING</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga2b260e5d44de1d493adb8d97789f047f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_STACK_GUARD</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga6a89fa455ea07656dc456faca45c103a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_STATVFS</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gaa2928b4710b3dd34f7bf5a9ba52e7548</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SYMLINK</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gaad0f8a0998b32e445a8708484acbd100</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_SYSTEM</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gab0bcd1418b3e06b5a9848d9175e4f744</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_TERMIOS</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>ga98899bee8f8dda3f4b1feed875118b85</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_UNIX_FILEMGT</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gaac007b653cdc3acf169c9cc76ce4a928</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>HAVE_UNIX_USERMGT</name>
      <anchorfile>group__option__constants.html</anchorfile>
      <anchor>gaef9b69b7df60ff7aa74035d772add3c6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Qore::SQL</name>
    <filename>namespace_qore_1_1_s_q_l.html</filename>
    <class kind="class">Qore::SQL::AbstractDatasource</class>
    <class kind="class">Qore::SQL::Datasource</class>
    <class kind="class">Qore::SQL::DatasourcePool</class>
    <class kind="class">Qore::SQL::SQLStatement</class>
    <member kind="function">
      <type>__7_ int</type>
      <name>getDBIDriverCapabilities</name>
      <anchorfile>group__old__dbi__functions.html</anchorfile>
      <anchor>ga330acb764484b16529d4f25960c45fa8</anchor>
      <arglist>(string driver)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getDBIDriverCapabilities</name>
      <anchorfile>group__old__dbi__functions.html</anchorfile>
      <anchor>gaec342f12d867758d49be57c1bf2a39cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>getDBIDriverCapabilityList</name>
      <anchorfile>group__old__dbi__functions.html</anchorfile>
      <anchor>gae35d9e887cfd754eea6cad030bb19864</anchor>
      <arglist>(string driver)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>getDBIDriverCapabilityList</name>
      <anchorfile>group__old__dbi__functions.html</anchorfile>
      <anchor>ga9cbf88f872bbaebcd1d228efef180117</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>getDBIDriverList</name>
      <anchorfile>group__old__dbi__functions.html</anchorfile>
      <anchor>ga5d9143dbcae773794e24300fbe66109e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>parseDatasource</name>
      <anchorfile>group__old__dbi__functions.html</anchorfile>
      <anchor>gab8f5a597374024a8c78e767dbfcafc15</anchor>
      <arglist>(string ds)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>parseDatasource</name>
      <anchorfile>group__old__dbi__functions.html</anchorfile>
      <anchor>gaba3a2421c3d2b492c9494f346c13da1c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>dbi_get_driver_capabilities</name>
      <anchorfile>group__dbi__functions.html</anchorfile>
      <anchor>ga40597983f24f3b0edc06149246d1cbe2</anchor>
      <arglist>(string driver)</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>dbi_get_driver_capability_list</name>
      <anchorfile>group__dbi__functions.html</anchorfile>
      <anchor>ga1b7664b6fef86a36d8f96084fb88885c</anchor>
      <arglist>(string driver)</arglist>
    </member>
    <member kind="function">
      <type>__7_ list</type>
      <name>dbi_get_driver_list</name>
      <anchorfile>group__dbi__functions.html</anchorfile>
      <anchor>ga5f5a0bf394b3472e206441651bf48e9e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>dbi_get_driver_options</name>
      <anchorfile>group__dbi__functions.html</anchorfile>
      <anchor>ga6984501641ab8a4e2c5387743c24fc0c</anchor>
      <arglist>(string driver)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>parse_datasource</name>
      <anchorfile>group__dbi__functions.html</anchorfile>
      <anchor>gad95f3a076d1818cc722c516543e29858</anchor>
      <arglist>(string ds)</arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DSDB2</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>ga0baaf1dccf027f143466257478c8b647</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DSFreeTDS</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>ga3e14e0949befa85b7c2993dd7a369811</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DSMSSQL</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>ga6cec46106d85f35a513ebb3d7b751cef</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DSMySQL</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>ga09de83cb35f39d717e612dffc0d55cf6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DSOracle</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>gada3f880c40b777b843b944d585404e70</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DSPGSQL</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>gac3ce6e6daf3c2bedbc927905e744b45b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DSSQLite3</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>ga116c8e3a222a4f13965519d9241665c3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DSSybase</name>
      <anchorfile>group__database__driver__constants.html</anchorfile>
      <anchor>ga39a5356b7cee1ef4b8a47e02dfe65f05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_AUTORECONNECT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>gae77508d8a9b7f53e3f0a35f76cf59511</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_BIND_BY_PLACEHOLDER</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>gac6adedead4bf1317f03b575dc1276351</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_BIND_BY_VALUE</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga369027092e18434a428c0ba401986964</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_CHARSET_SUPPORT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga382bb241f164431cf2e5c0e161b1bdd2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_EVENTS</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>gae187e09b0775647d1b1afd2d3b43570f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_HAS_DESCRIBE</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga775d0748c664e8ced5a2ef953496aa8c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_HAS_EXECRAW</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>gad3033ee84e18d57a95da98e01bdae383</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_HAS_NUMBER_SUPPORT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga8394d1495944bf61d666de40489a038a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_HAS_OPTION_SUPPORT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga428f8f4909b2737d03593d8808fe2227</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_HAS_SELECT_ROW</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga8a1c46d41ccafebf758dfe3d1116657c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_HAS_STATEMENT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga527e40359b876f12a4cb59fec305969d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_LOB_SUPPORT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga3a641cb4afbeb873fd9fe97f020f09eb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_SERVER_TIME_ZONE</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga9edf0826e734f77115fd8f1001cf4a9e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_STORED_PROCEDURES</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>gac5e26138ae8e0957e7dba50d8a96cb6c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_TIME_ZONE_SUPPORT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>gab97795225e7b52a4a063c1770c4fec7c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DBI_CAP_TRANSACTION_MANAGEMENT</name>
      <anchorfile>group__dbi__capabilities.html</anchorfile>
      <anchor>ga62b0bd7a4e0611fbe8848002aa6711c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>BLOB</name>
      <anchorfile>group__sql__constants.html</anchorfile>
      <anchor>gac334541e4d6796152ba4d5391efd714f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CLOB</name>
      <anchorfile>group__sql__constants.html</anchorfile>
      <anchor>gafda425c6fc5962ff8d436c9d30bfaf02</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DATE</name>
      <anchorfile>group__sql__constants.html</anchorfile>
      <anchor>ga56cd886db959d27929f4700ab0d9d43a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>DECIMAL</name>
      <anchorfile>group__sql__constants.html</anchorfile>
      <anchor>ga85bba3f8e978509f66f08011b264e9b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NUMBER</name>
      <anchorfile>group__sql__constants.html</anchorfile>
      <anchor>ga8d5c7d08373364f4773f65e69063cd04</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NUMERIC</name>
      <anchorfile>group__sql__constants.html</anchorfile>
      <anchor>ga223c3ce9da5ccb29dd35eab11f161f9f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>VARCHAR</name>
      <anchorfile>group__sql__constants.html</anchorfile>
      <anchor>ga90979385c781ed49b4f726f32a48a9b5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::SQL::AbstractDatasource</name>
    <filename>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</filename>
    <member kind="function" virtualness="pure">
      <type>abstract nothing</type>
      <name>beginTransaction</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>ab879515333fbb878b567d3f9a80e4ba8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract nothing</type>
      <name>commit</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>a885eed5b3f805ec931f6b5c8fc165c8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>currentThreadInTransaction</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>a2760e15dfe892c6f37f4f9cab6e86379</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract any</type>
      <name>exec</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>ab1f0e9f93f58484eeb252936a14ea953</anchor>
      <arglist>(string sql,...)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract any</type>
      <name>execRaw</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>a71c7e3f3b95f74a5ff6f610282cfc4a4</anchor>
      <arglist>(string sql)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract any</type>
      <name>getClientVersion</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>aba29381e42b73215d9cf702ea5871599</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract hash</type>
      <name>getConfigHash</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>a56a8cd699fe33e3c3b9f57e416608ccd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract string</type>
      <name>getConfigString</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>a79772d8676975c1ab23710bc91d666ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract string</type>
      <name>getDBEncoding</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>ae48205e644161ffd52fcbf10a8b75292</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract __7_ string</type>
      <name>getDBName</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>a1e0d642801b1ce96fea0553ae4def964</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract string</type>
      <name>getDriverName</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>a26a5370cb70baed85f0d3a51a8f36cf9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract __7_ string</type>
      <name>getHostName</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>a4ffcb9760eea609835734b27e7f97eac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract __7_ string</type>
      <name>getOSEncoding</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>ab5d951f88607a8f3580730c894cd4681</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract __7_ string</type>
      <name>getPassword</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>ac245a7e0615433778ab7a61abf845c54</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract __7_ int</type>
      <name>getPort</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>a54d89afe6d44810ed7e141ba35310748</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract any</type>
      <name>getServerVersion</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>a9ec142ce7d32959e3d3ddd26a42333c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract __7_ string</type>
      <name>getUserName</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>aea226bb7ae548363ae25a4f1e306b34a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract bool</type>
      <name>inTransaction</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>ac7fe5b3cf6789100950622138915517e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract nothing</type>
      <name>rollback</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>acccf4e46fb29f2d12700cc6feb0c9438</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract any</type>
      <name>select</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>a0ad0a57aa7768164cb3c404b20bff974</anchor>
      <arglist>(string sql,...)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract any</type>
      <name>selectRow</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>a6162d0d8787536c400994e350cc1f40b</anchor>
      <arglist>(string sql,...)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract any</type>
      <name>selectRows</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>a640093980b41ec8df91fd68625ec52ca</anchor>
      <arglist>(string sql,...)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract any</type>
      <name>vexec</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>a77939feb040b4ec8e23a38c542bf3e3c</anchor>
      <arglist>(string sql, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract any</type>
      <name>vselect</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>ad0826eda2273f106dda9f05ca8a4d8b6</anchor>
      <arglist>(string sql, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract any</type>
      <name>vselectRow</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>a4bc81dc83b8129a63d73f7600486909f</anchor>
      <arglist>(string sql, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>abstract any</type>
      <name>vselectRows</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_abstract_datasource.html</anchorfile>
      <anchor>ab3532fa5bed7a6b8948ea1b2887a7441</anchor>
      <arglist>(string sql, __7_ softlist vargs)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::SQL::Datasource</name>
    <filename>class_qore_1_1_s_q_l_1_1_datasource.html</filename>
    <base>Qore::SQL::AbstractDatasource</base>
    <member kind="function">
      <type>nothing</type>
      <name>beginTransaction</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a3be309ce31c8b980aaee71010c3048f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>clearEventQueue</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>ac9a78046de816a73c17ced8195e6e2eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>close</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a5048534538ce825624d4be475e09774c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>commit</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>ab70fe02e890112a4449f0340ef7cc335</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>afb16c9c01f05e4acd0e4bf5aec3f6a43</anchor>
      <arglist>(string driver, __7_ string user, __7_ string pass, __7_ string db, __7_ string encoding, __7_ string host, __7_ softint port, __7_ hash options, __7_ Qore::Thread::Queue queue, any arg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a1bf7688158e23de2d97fc270f4fa530f</anchor>
      <arglist>(string desc, __7_ Qore::Thread::Queue queue, any arg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a3b2364a8d5d4847b966e839403290927</anchor>
      <arglist>(hash opts, __7_ Qore::Thread::Queue queue, any arg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a196d09ba7c9e3cb9e6a228593152b5fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>currentThreadInTransaction</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a5661e26369193015c195166e52c6d121</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>describe</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a12ed8d5453f1737831bd03f11198766f</anchor>
      <arglist>(string sql,...)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a420a865a5ef78ddc110f90529a5b7967</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>exec</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a98f88d1e9e59c40502335822ce52546d</anchor>
      <arglist>(string sql,...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>execRaw</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a1c3c8700a6f920df7fddf2ea1a50a572</anchor>
      <arglist>(string sql)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getAutoCommit</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a4b4bbaca92649d27b858fb0996dc86fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getCapabilities</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>add2d683039a2bc2b01df63621b698e6e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>getCapabilityList</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a760f8a33542561ec680d37b956890e99</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>getClientVersion</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a74fc4f7a89c63be1debab8a8b372379a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getConfigHash</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a68c63cda68bd98860f332e6335e7a642</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getConfigString</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a7713f26c809821a7942a60e27f924742</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getDBCharset</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>ab3ba2ad96626d4c25dd818a7dc608f05</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getDBEncoding</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>ad3f499b4fc704c38b5cb064362b54501</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getDBName</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>aa0084434a2631b776ce4cfa7075e5f01</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getDriverName</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>aff2f886f27e033dd2bdcc49c22b2cd65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getHostName</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a103526f8e3e4e0783523f3af89047190</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getOSCharset</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a86bf7ff6686300ebcd270b3d09f508c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getOSEncoding</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>aae5a12ff32342c13df0cee4503e2f898</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>getOption</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a081543e9e67195f0d0cd01bed9d0698d</anchor>
      <arglist>(string opt)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getOptionHash</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>acf95b2265f01756ea0d51806dc51973b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getPassword</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>ae8ecfbacb0245d1c2e5118352cfe9edb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>getPort</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>ad8c4bde5992da775c95bd8b2a3340e19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>getServerVersion</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a4d308331fd05157fe7061a094a2b6330</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getTransactionLockTimeout</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>aadc509c6ff4daba5f528163ffd8e05dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getUserName</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a0b9c482becfbe8349a75e5a55370f88c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inTransaction</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>af74cb806c9e19c6099c0d2cce84a44ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>open</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>aa6a07369dd7563f1db552588f41e02e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>reset</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a4c8ae5e2b2d6c1386525eeb019abfb9b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>rollback</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>acdc71e3819dbc3bf8be24d60e75e7bb2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>select</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a718ccadbbc0031d8e563ef173d82ab4c</anchor>
      <arglist>(string sql,...)</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>selectRow</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>ad8c5f2e1e03853c9e8ff8109ead1dfc8</anchor>
      <arglist>(string sql,...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>selectRows</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>ac73979a48c48646d0b7b2a0c23453a50</anchor>
      <arglist>(string sql,...)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setAutoCommit</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a5c9bf476b32eb9394e90c252504889f0</anchor>
      <arglist>(bool ac=True)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setDBCharset</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>aa7559279ad45047f842fb9f9af7a025b</anchor>
      <arglist>(string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setDBEncoding</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a6b6b1e6098b0028a872b045ea3d811b8</anchor>
      <arglist>(string encoding)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setDBName</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>aaf2c93ad25bf3046a1a6b230f6482665</anchor>
      <arglist>(string db)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setEventQueue</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>ab598feed5286fa21e5d7bb9a86f79061</anchor>
      <arglist>(Qore::Thread::Queue queue, any arg)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setHostName</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a264ea9b1a20197fb4b9c2eaa972af7f3</anchor>
      <arglist>(string host)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>setOption</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>aff63ccb77bc785a3678c06d6853b5372</anchor>
      <arglist>(string opt, any val)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setPassword</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a1ecea098e3d8f0d256f088f85d8e4ae4</anchor>
      <arglist>(string pass)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setPort</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a9c1dee4070b3ac1998bad8294307628b</anchor>
      <arglist>(softint port=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setTransactionLockTimeout</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>aed11f75205cdbf0d16243c7ccc57d21a</anchor>
      <arglist>(timeout timeout_ms=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setUserName</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a86c204c7e2b1cceb46ca1f7ffeb007cd</anchor>
      <arglist>(string user)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>transactionTid</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>afb6307ab9be490fa5d770519bca9447c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>vexec</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a688341254ce5fd5f709858f8d21413d0</anchor>
      <arglist>(string sql, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>vselect</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>ad4b28ff9ceeff1247eff507ca408aa48</anchor>
      <arglist>(string sql, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>vselectRow</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>ac950d57929533b0ae08a3db269ed3bee</anchor>
      <arglist>(string sql, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>vselectRows</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource.html</anchorfile>
      <anchor>a46f9eb22073b5dbc8c41c7b1b230f672</anchor>
      <arglist>(string sql, __7_ softlist vargs)</arglist>
    </member>
    <docanchor file="class_qore_1_1_s_q_l_1_1_datasource">sql_binding</docanchor>
    <docanchor file="class_qore_1_1_s_q_l_1_1_datasource">transaction_lock</docanchor>
  </compound>
  <compound kind="class">
    <name>Qore::SQL::DatasourcePool</name>
    <filename>class_qore_1_1_s_q_l_1_1_datasource_pool.html</filename>
    <base>Qore::SQL::AbstractDatasource</base>
    <member kind="function">
      <type>nothing</type>
      <name>beginTransaction</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a04c351f440ddfdbe79f9b4ef26608e6f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>clearEventQueue</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>ad10f884015b96adea7182c970ac6e1e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>clearWarningCallback</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>ae3f91bf804ee55f47169b8ae9669ad40</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>commit</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a9919ad37d79e03e364bd41462c981aea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a57f21c0923d485908a6a2ff3cef27e6f</anchor>
      <arglist>(string driver, __7_ string user, __7_ string pass, __7_ string db, __7_ string encoding, __7_ string host, softint min=3, softint max=10, softint port=0, __7_ Qore::Thread::Queue queue, any arg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a9f9298ad6be98ecfed75329706b8bf5e</anchor>
      <arglist>(string desc, __7_ Qore::Thread::Queue queue, any arg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>aadeaa78e2dd07da164cd0718c6217846</anchor>
      <arglist>(hash opts, __7_ Qore::Thread::Queue queue, any arg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a5dd026e94aff8eedf8820db9e83a2e56</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>currentThreadInTransaction</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>ac983fd7cd64d2de924113b8cb540ca11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>af27a22a3f441e4ef8727e32b9532a8c5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>exec</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a9c7fb28f88eb1be5a8c1c931ab931e4d</anchor>
      <arglist>(string sql,...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>execRaw</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a0e2e7d08bcafc0a6adad3d6720f07fea</anchor>
      <arglist>(string sql)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>getClientVersion</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a289ddc06fcc503240455c5f7e09f7170</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getConfigHash</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a7ea4705630cbe7276d1bf9e212b87218</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getConfigString</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a1eddfff5b95e355b5608554975984307</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getDBCharset</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a81fdc65a09a9c6637ae12945a49cee00</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getDBEncoding</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>aaa0c4b7c8972b2578e9b78e257d8d1e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getDBName</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a5babda43969ce082f11eae6d9a21d581</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getDriverName</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a003bb3bb9f55224159f49c574d0d1464</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getErrorTimeout</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a4043aba7b45cce75a8962f38ac9c4249</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getHostName</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a293eaadc3ab98b9a57f9c155e5ed2221</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getMaximum</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>ab432f1306dd112d426d64839f2c1a891</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getMinimum</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>ab5f806c9f6c6beb16bd0714b533d27fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getOSCharset</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>af07e9048d42519070a937beea07423fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getOSEncoding</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a894276b97b76b3526516613f1182dee5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>getOption</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a47448ae79b8d7ac5d39670b25d89104e</anchor>
      <arglist>(string opt)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getOptionHash</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a97f8401b0a78a17826a3f15bfaef0a25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getPassword</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a09f75c1b73aa9971b2ae8cd57e1e38c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ int</type>
      <name>getPort</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a99935d80ec9ca0739ed3031ec614ce52</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>getServerVersion</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a44d0eb378aa3d1ea53ac07480092dcfc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>getUsageInfo</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a5101099bc63fe7dd09f6409cff0fe8e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getUserName</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>aaf036746fb8d7c107b09d7288924b64b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inTransaction</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a3b868b40604c049b4bf78b121ede7c16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>rollback</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a73532001be895a5a30cc58c5bfbe2c1c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>select</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a6b0e44a8b3963580cafef9de08739ccd</anchor>
      <arglist>(string sql,...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>selectRow</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a3dc619071449f88447ea3a4e0bd0afd5</anchor>
      <arglist>(string sql,...)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>selectRows</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a9617f96e01756956bd922844bf3d575f</anchor>
      <arglist>(string sql,...)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>setErrorTimeout</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a2347794ada3fa9c629e705b7d1e6ee56</anchor>
      <arglist>(timeout ts)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>setEventQueue</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>afbac6b4a4e5dadbadb256c67c1d78da1</anchor>
      <arglist>(Qore::Thread::Queue queue, any arg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>setWarningCallback</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a8c631c3d631cc24a1e3752093b895f02</anchor>
      <arglist>(timeout ms, code callback, any arg)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toString</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>abbad1ff5e3fb76ffc76ca48eb097f615</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>vexec</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a2be9c9db2003ba7eb24547d358f3a113</anchor>
      <arglist>(string sql, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>vselect</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a59abf20122ef650692a57591c2dd9bb9</anchor>
      <arglist>(string sql, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>vselectRow</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a3d0ab822476608cba4b17a8ecb68f0dd</anchor>
      <arglist>(string sql, __7_ softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>vselectRows</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_datasource_pool.html</anchorfile>
      <anchor>a931c239cedd9112e61b02d4b31a9e65e</anchor>
      <arglist>(string sql, __7_ softlist vargs)</arglist>
    </member>
    <docanchor file="class_qore_1_1_s_q_l_1_1_datasource_pool">datasourcepool_connection_allocations</docanchor>
  </compound>
  <compound kind="class">
    <name>Qore::SQL::SQLStatement</name>
    <filename>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</filename>
    <base>Qore::AbstractIterator</base>
    <member kind="function">
      <type>bool</type>
      <name>active</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>ab2435b87ba94bcd5b064084c0930d92c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>affectedRows</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a62e2cbca10b9b848b26fd7ebfa5dd753</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>beginTransaction</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a3fe33af34dfcd763f12d406c91305916</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>bind</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>ae42a182f328c30f24a8092e5891631a3</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>bindArgs</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a151e39336f81800d28e060c62293894b</anchor>
      <arglist>(softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>bindPlaceholders</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>aacfe5d7ba6e1c1b6fcf5e7bc979c945f</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>bindPlaceholdersArgs</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>acf22024ce19487f373235965435fe98e</anchor>
      <arglist>(softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>bindValues</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>ab831457973f8279ce9783039cd5a720c</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>bindValuesArgs</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>aecd69377662e5bc0d100caa1c78b8bb4</anchor>
      <arglist>(softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>close</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a568ebcbb44ae14b127487524169b0d78</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>commit</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a4a5a12d0ca11cea1862152de47f0c812</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a39bdf5cf150edd5d30f75719e3887a55</anchor>
      <arglist>(Datasource ds)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>af4ab2449388ac84f174e9ae2e9da2ce2</anchor>
      <arglist>(DatasourcePool dsp)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a78fc987d855bd283c1ac4192743453cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>define</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a22375c4a7755215cc53accc68b626ec7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>describe</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>aa8a89a3af86f37b4ab0fe4bdea138b56</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a235cd43bb5a46e9906c220d9caf0659a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>exec</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>af1633d031c7480fed7de638b21f9a087</anchor>
      <arglist>(...)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>execArgs</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>ab856a44b083c35a6fcf76f9c6300b7c8</anchor>
      <arglist>(softlist vargs)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>fetchColumns</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a204d8637dc5c072ad5e54d6063c25415</anchor>
      <arglist>(softint rows=-1)</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>fetchRow</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>ae4617f893a0ef62dd68f04ccf8dc2845</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>fetchRows</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>af877021d62eec2eed34359081a21b879</anchor>
      <arglist>(softint rows=-1)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getOutput</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>ab47a825ffcff3e7de75f2a92a04a0868</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getOutputRows</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a169e100f1be842c15473be87677c0e98</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ string</type>
      <name>getSQL</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a61c9cdf7687934dd54faf0c4cb5dd2c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>__7_ hash</type>
      <name>getValue</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a32e962bb06cbae8ad3d1e206bb754978</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>memberGate</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a6accaf8246d56ed4d6baae9252bf4ee9</anchor>
      <arglist>(string key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>next</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a34dfdc4d3aa9d3c38817931986506fbd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>prepare</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>ad05790f42e735a8ba687fcbc93d1480a</anchor>
      <arglist>(string sql,...)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>prepareRaw</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>aa0dadef84dc71fa6bb0dd1cac491f100</anchor>
      <arglist>(string sql)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>rollback</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a545ae07df1d373713d431515dc778ce1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>class_qore_1_1_s_q_l_1_1_s_q_l_statement.html</anchorfile>
      <anchor>a62c5937fb1ce112f54fdfe6f4f49ae24</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Qore::Thread</name>
    <filename>namespace_qore_1_1_thread.html</filename>
    <class kind="class">Qore::Thread::AbstractSmartLock</class>
    <class kind="class">Qore::Thread::AutoGate</class>
    <class kind="class">Qore::Thread::AutoLock</class>
    <class kind="class">Qore::Thread::AutoReadLock</class>
    <class kind="class">Qore::Thread::AutoWriteLock</class>
    <class kind="class">Qore::Thread::Condition</class>
    <class kind="class">Qore::Thread::Counter</class>
    <class kind="class">Qore::Thread::Gate</class>
    <class kind="class">Qore::Thread::Mutex</class>
    <class kind="class">Qore::Thread::Queue</class>
    <class kind="class">Qore::Thread::RWLock</class>
    <class kind="class">Qore::Thread::Sequence</class>
    <class kind="class">Qore::Thread::ThreadPool</class>
  </compound>
  <compound kind="class">
    <name>Qore::Thread::AbstractSmartLock</name>
    <filename>class_qore_1_1_thread_1_1_abstract_smart_lock.html</filename>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_abstract_smart_lock.html</anchorfile>
      <anchor>af15ccf8b346a9f3abbbdc559d2f5e59b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getName</name>
      <anchorfile>class_qore_1_1_thread_1_1_abstract_smart_lock.html</anchorfile>
      <anchor>aaf6a2ecab96ad01d3ab0dbb81b63a363</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>lockOwner</name>
      <anchorfile>class_qore_1_1_thread_1_1_abstract_smart_lock.html</anchorfile>
      <anchor>a4936d08a0508d61a41e8c685e2a03d72</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lockTID</name>
      <anchorfile>class_qore_1_1_thread_1_1_abstract_smart_lock.html</anchorfile>
      <anchor>afafe6ef19203993a7c5dd87e00068325</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::Thread::AutoGate</name>
    <filename>class_qore_1_1_thread_1_1_auto_gate.html</filename>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_auto_gate.html</anchorfile>
      <anchor>abab67441d7e71ebd9ca18ea55bc77de9</anchor>
      <arglist>(Gate gate)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_thread_1_1_auto_gate.html</anchorfile>
      <anchor>a516e31337a00c944e12d6c23e832cbf3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_auto_gate.html</anchorfile>
      <anchor>a561b13b3d0b50ef2815fcf73c69b99f3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::Thread::AutoLock</name>
    <filename>class_qore_1_1_thread_1_1_auto_lock.html</filename>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_auto_lock.html</anchorfile>
      <anchor>aca26bade37a4031d8e737a2909b71925</anchor>
      <arglist>(Mutex mutex)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_thread_1_1_auto_lock.html</anchorfile>
      <anchor>a070b15110c43a07ce8285fb8cbc14c66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_auto_lock.html</anchorfile>
      <anchor>a696bbcabef26a7e5996dee393fdd195d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>lock</name>
      <anchorfile>class_qore_1_1_thread_1_1_auto_lock.html</anchorfile>
      <anchor>a5d121795cc06f8595db354dc9c70f2b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>trylock</name>
      <anchorfile>class_qore_1_1_thread_1_1_auto_lock.html</anchorfile>
      <anchor>ab016e55812b0814fedce775ea018f8ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>unlock</name>
      <anchorfile>class_qore_1_1_thread_1_1_auto_lock.html</anchorfile>
      <anchor>a58f51c6a591688e031eb1a8981ca2e55</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::Thread::AutoReadLock</name>
    <filename>class_qore_1_1_thread_1_1_auto_read_lock.html</filename>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_auto_read_lock.html</anchorfile>
      <anchor>ac509ed11681dce1cf2dd2d09cc5f6650</anchor>
      <arglist>(RWLock rwl)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_thread_1_1_auto_read_lock.html</anchorfile>
      <anchor>a1549404caafd7bfb69b0b8db92588711</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_auto_read_lock.html</anchorfile>
      <anchor>a410f4f725f6dc167882eae0ef6ebffa0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::Thread::AutoWriteLock</name>
    <filename>class_qore_1_1_thread_1_1_auto_write_lock.html</filename>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_auto_write_lock.html</anchorfile>
      <anchor>aaf9bbd287ecdf11bf71321e32b8b7010</anchor>
      <arglist>(RWLock rwl)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_thread_1_1_auto_write_lock.html</anchorfile>
      <anchor>ad3eef0401dbebb40cdb28530f5d8e482</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_auto_write_lock.html</anchorfile>
      <anchor>acd1ebb811fb9ae507bce766a4cbbdac4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::Thread::Condition</name>
    <filename>class_qore_1_1_thread_1_1_condition.html</filename>
    <member kind="function">
      <type>nothing</type>
      <name>broadcast</name>
      <anchorfile>class_qore_1_1_thread_1_1_condition.html</anchorfile>
      <anchor>a0bf35f288c7fe337d6c23966587cf74e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_condition.html</anchorfile>
      <anchor>aa2884ef6c32a55b3928b8d363639800d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_thread_1_1_condition.html</anchorfile>
      <anchor>a3af34f32349da258b5bb35bca14b932c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>signal</name>
      <anchorfile>class_qore_1_1_thread_1_1_condition.html</anchorfile>
      <anchor>a639be7dc86bf755e1ee31cd3eefff4d5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>wait</name>
      <anchorfile>class_qore_1_1_thread_1_1_condition.html</anchorfile>
      <anchor>a8f29b21d4146f40315e25d3bbf840196</anchor>
      <arglist>(AbstractSmartLock lock, timeout timeout_ms=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>wait_count</name>
      <anchorfile>class_qore_1_1_thread_1_1_condition.html</anchorfile>
      <anchor>a9344dce8d42904abaecb8136cc171ee5</anchor>
      <arglist>(AbstractSmartLock lock)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::Thread::Counter</name>
    <filename>class_qore_1_1_thread_1_1_counter.html</filename>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_counter.html</anchorfile>
      <anchor>a99a25b2f06f40edd2535b43ede25ef5a</anchor>
      <arglist>(softint c=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_thread_1_1_counter.html</anchorfile>
      <anchor>ac7ee8d36a93135aecdaa6a20ccbd6493</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>dec</name>
      <anchorfile>class_qore_1_1_thread_1_1_counter.html</anchorfile>
      <anchor>af81d9221de6a963a74e9920044aba3f4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_counter.html</anchorfile>
      <anchor>aa300dc50dff017de65e65798e6df14d6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getCount</name>
      <anchorfile>class_qore_1_1_thread_1_1_counter.html</anchorfile>
      <anchor>a515835de364f97c66142ea565392c8d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getWaiting</name>
      <anchorfile>class_qore_1_1_thread_1_1_counter.html</anchorfile>
      <anchor>a571dea7037a175c74c3d1209b2803738</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>inc</name>
      <anchorfile>class_qore_1_1_thread_1_1_counter.html</anchorfile>
      <anchor>aac9145904d4dc391ef425b4dd8ceb15c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>waitForZero</name>
      <anchorfile>class_qore_1_1_thread_1_1_counter.html</anchorfile>
      <anchor>a1f577aa268217b95e60e4132a1216403</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>waitForZero</name>
      <anchorfile>class_qore_1_1_thread_1_1_counter.html</anchorfile>
      <anchor>a438ac754cabf7e432bf22d07a34e8c22</anchor>
      <arglist>(timeout timeout_ms)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::Thread::Gate</name>
    <filename>class_qore_1_1_thread_1_1_gate.html</filename>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_gate.html</anchorfile>
      <anchor>aaf72409de51d42a1057b48f67c3e9598</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_thread_1_1_gate.html</anchorfile>
      <anchor>ad7cebf015ecbb354d4c7460fe8dd948d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_gate.html</anchorfile>
      <anchor>af45282fa74979eebc635dea5c708b398</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>enter</name>
      <anchorfile>class_qore_1_1_thread_1_1_gate.html</anchorfile>
      <anchor>afedd4acee953a17bff84ad91ad226fed</anchor>
      <arglist>(timeout timeout_ms)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>enter</name>
      <anchorfile>class_qore_1_1_thread_1_1_gate.html</anchorfile>
      <anchor>a84af8317ea5b6fb634ad03342d1738ee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>exit</name>
      <anchorfile>class_qore_1_1_thread_1_1_gate.html</anchorfile>
      <anchor>aec16df9e3c8a030c12e2c3791263d3e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numInside</name>
      <anchorfile>class_qore_1_1_thread_1_1_gate.html</anchorfile>
      <anchor>a57f6a41d648c62f41b85b2b1ffd6af64</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numWaiting</name>
      <anchorfile>class_qore_1_1_thread_1_1_gate.html</anchorfile>
      <anchor>a0ecf6d20f8147a687883f51182d5c108</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>tryEnter</name>
      <anchorfile>class_qore_1_1_thread_1_1_gate.html</anchorfile>
      <anchor>ae8358c58fb1eff5cddbc34cbec5e6d8d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::Thread::Mutex</name>
    <filename>class_qore_1_1_thread_1_1_mutex.html</filename>
    <base>Qore::Thread::AbstractSmartLock</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_mutex.html</anchorfile>
      <anchor>ac840b8963339af09900272734751699c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_thread_1_1_mutex.html</anchorfile>
      <anchor>aab5cdf5a49a4fed57165ce3afa749e29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_mutex.html</anchorfile>
      <anchor>a1a210a99ba91b43130d6b9ef4c7301c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>lock</name>
      <anchorfile>class_qore_1_1_thread_1_1_mutex.html</anchorfile>
      <anchor>a0bb3432456ccdf0cfb1523429b5b4141</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lock</name>
      <anchorfile>class_qore_1_1_thread_1_1_mutex.html</anchorfile>
      <anchor>a22c7752a61e7ae1e1c1e87a20b8dd0f4</anchor>
      <arglist>(timeout timeout_ms)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>trylock</name>
      <anchorfile>class_qore_1_1_thread_1_1_mutex.html</anchorfile>
      <anchor>abcc3818211d37882c0549bfcbe7c487b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>unlock</name>
      <anchorfile>class_qore_1_1_thread_1_1_mutex.html</anchorfile>
      <anchor>a23adbdd9cd3ffe17b1cbc700716aec5c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::Thread::Queue</name>
    <filename>class_qore_1_1_thread_1_1_queue.html</filename>
    <member kind="function">
      <type>nothing</type>
      <name>clear</name>
      <anchorfile>class_qore_1_1_thread_1_1_queue.html</anchorfile>
      <anchor>a33f098d2f9985e5df703ac29e9d5ad9b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_queue.html</anchorfile>
      <anchor>abc3cb4fbf5cdb4cb11b9452ac1dd3d17</anchor>
      <arglist>(int max=-1)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_thread_1_1_queue.html</anchorfile>
      <anchor>aefdab23261eaa580dce170b927f452f6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_queue.html</anchorfile>
      <anchor>a050ac26b0f1ba98ee234b3c22c767a6e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_qore_1_1_thread_1_1_queue.html</anchorfile>
      <anchor>adbc347a8bc17d1a9aec0dceec5b06cdb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>get</name>
      <anchorfile>class_qore_1_1_thread_1_1_queue.html</anchorfile>
      <anchor>aa207bd48c5700cbe628317d05768e1ce</anchor>
      <arglist>(timeout timeout_ms=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getReadWaiting</name>
      <anchorfile>class_qore_1_1_thread_1_1_queue.html</anchorfile>
      <anchor>a792fd992775627ea6ef7070058d42977</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getWaiting</name>
      <anchorfile>class_qore_1_1_thread_1_1_queue.html</anchorfile>
      <anchor>a1a476bc740722129ebcc3f266b789c48</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getWriteWaiting</name>
      <anchorfile>class_qore_1_1_thread_1_1_queue.html</anchorfile>
      <anchor>ac120b1234a06cfae782a58db45807d65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>insert</name>
      <anchorfile>class_qore_1_1_thread_1_1_queue.html</anchorfile>
      <anchor>a0a03ecfd1aee9b64dec101a615970aac</anchor>
      <arglist>(any arg, timeout timeout_ms=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>max</name>
      <anchorfile>class_qore_1_1_thread_1_1_queue.html</anchorfile>
      <anchor>a5062ef1c26bf7f9b9b60197a7032e0b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>pop</name>
      <anchorfile>class_qore_1_1_thread_1_1_queue.html</anchorfile>
      <anchor>a93a4c2287bcf6079142c46a38441aa53</anchor>
      <arglist>(timeout timeout_ms=0)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>push</name>
      <anchorfile>class_qore_1_1_thread_1_1_queue.html</anchorfile>
      <anchor>a198e214438d317efe0be469dc1d6fd2c</anchor>
      <arglist>(any arg, timeout timeout_ms=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>class_qore_1_1_thread_1_1_queue.html</anchorfile>
      <anchor>a10c59ccd413a8bebbe1810938737d066</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::Thread::RWLock</name>
    <filename>class_qore_1_1_thread_1_1_r_w_lock.html</filename>
    <base>Qore::Thread::AbstractSmartLock</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>a2cca11879044ef7f40cfa707f1bf3c47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>a88a6fefec6f761cf0d72baf2b38cb62b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>a52ba1405c9bf97c3888cc58bd0d5902a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getReadWaiting</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>acb76cd08c7aa13854b2174e952efee65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getWriteWaiting</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>ab5f9f093afb74f047051356524e288ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>lockOwner</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>aefcf3643bfe193b7d4b63cef41299ade</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numReaders</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>a5ae6ade327e6c65430025c653c684f3c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>readLock</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>ad8ab081b2f254129ec042d614fbb1485</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>readLock</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>a10e4f61ecbb32380ac729217cb6b3161</anchor>
      <arglist>(timeout timeout_ms)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>readLockOwner</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>a362a40fe4d167e29befa94f40e4495e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>readUnlock</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>a1a32805ce5cc129d2ed2bf96b01a7d4c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>tryReadLock</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>ae6ae2fb6dadf5d144dbd7694c0ca0bfb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>tryWriteLock</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>a20b09807edecf2ee7591e90e16c4fe6c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>writeLock</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>a0be2f09ba84a3a5fbf3d0073c59f8542</anchor>
      <arglist>(timeout timeout_ms)</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>writeLock</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>a15face42a9f0634de3e2f835f8daa35b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeLockOwner</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>a5e9c32cc40cd0cb9b00e6d29f265884f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>nothing</type>
      <name>writeUnlock</name>
      <anchorfile>class_qore_1_1_thread_1_1_r_w_lock.html</anchorfile>
      <anchor>a577f98df56071f39199c7ace72dc132d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::Thread::Sequence</name>
    <filename>class_qore_1_1_thread_1_1_sequence.html</filename>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_sequence.html</anchorfile>
      <anchor>a020b3a0402c75abea84bdc04aec4c4b7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_sequence.html</anchorfile>
      <anchor>a08ec436eeb5ac7a6c83163fb75c08f0c</anchor>
      <arglist>(softint start)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>copy</name>
      <anchorfile>class_qore_1_1_thread_1_1_sequence.html</anchorfile>
      <anchor>a91e6bdc3c82dc98c819e9baa24255675</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getCurrent</name>
      <anchorfile>class_qore_1_1_thread_1_1_sequence.html</anchorfile>
      <anchor>a8cfb34ab095d34f19eba6c801c409a05</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>next</name>
      <anchorfile>class_qore_1_1_thread_1_1_sequence.html</anchorfile>
      <anchor>a329ae94ca0aa803c2d259d62e591f4bd</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Qore::Thread::ThreadPool</name>
    <filename>class_qore_1_1_thread_1_1_thread_pool.html</filename>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_thread_pool.html</anchorfile>
      <anchor>a23a918821c73265f97125619d1f71cdc</anchor>
      <arglist>(int max=0, int minidle=0, int maxidle=0, timeout release_ms=5s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>destructor</name>
      <anchorfile>class_qore_1_1_thread_1_1_thread_pool.html</anchorfile>
      <anchor>ac945632df4f836f3f0de18cc3bd545fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>stop</name>
      <anchorfile>class_qore_1_1_thread_1_1_thread_pool.html</anchorfile>
      <anchor>afa052186d36018d008fafc917f54dd74</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>stopWait</name>
      <anchorfile>class_qore_1_1_thread_1_1_thread_pool.html</anchorfile>
      <anchor>a7dcb42215303978ddee052d32dca8bb1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>submit</name>
      <anchorfile>class_qore_1_1_thread_1_1_thread_pool.html</anchorfile>
      <anchor>a9b6fcc0e377c68eec2d7e36535700c5f</anchor>
      <arglist>(code task, __7_ code cancel)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>toString</name>
      <anchorfile>class_qore_1_1_thread_1_1_thread_pool.html</anchorfile>
      <anchor>a9d36ff6e50ed7e6e2798791151913da1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Qore::Type</name>
    <filename>namespace_qore_1_1_type.html</filename>
    <member kind="variable">
      <type>const</type>
      <name>Binary</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga9d781feb9a3c408edcad62a07747596c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Boolean</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>gaad5e42b7126abb95e735b8f1c08dd8fc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>CallReference</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga9c9678c0e40fad416c8535cf77ee1833</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Closure</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>gacd28312fd1f847bb713df7378b8e05ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Date</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga6f9e84261496df48b2564e7acf8afb3d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Float</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga399cc5aa29aa0b553e250d3927be1257</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Hash</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga30ed1908e2fdf3b908623541e7b78724</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Int</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>gab24f0bbab16d3369f07c44956d0fa27b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>List</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga36ea99ee00343ef7d37d7f22bedd6944</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NothingType</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga0ab460f39fd71e687c2eb26352da2059</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>NullType</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga6ec4999b387e367d68d36bbf09f2c6fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Number</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga36581da082361b1ff5f0412e1e8a76b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>Object</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>ga470369188279e07c29a3d1fc7b7a3c58</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const</type>
      <name>String</name>
      <anchorfile>group__string__type__constants.html</anchorfile>
      <anchor>gaa7a63168a2e1ce5f4cfd0c3696ff7eaf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>lib</name>
    <path>/Users/david/src/qore/svn/qore/trunk/lib/</path>
    <filename>dir_97aefd0d527b934f1d99a682da8fe6a9.html</filename>
    <file>parser.dox.h</file>
    <file>Pseudo_QC_All.dox.h</file>
    <file>Pseudo_QC_Binary.dox.h</file>
    <file>Pseudo_QC_Bool.dox.h</file>
    <file>Pseudo_QC_Callref.dox.h</file>
    <file>Pseudo_QC_Closure.dox.h</file>
    <file>Pseudo_QC_Date.dox.h</file>
    <file>Pseudo_QC_Float.dox.h</file>
    <file>Pseudo_QC_Hash.dox.h</file>
    <file>Pseudo_QC_Int.dox.h</file>
    <file>Pseudo_QC_List.dox.h</file>
    <file>Pseudo_QC_Nothing.dox.h</file>
    <file>Pseudo_QC_Number.dox.h</file>
    <file>Pseudo_QC_Object.dox.h</file>
    <file>Pseudo_QC_String.dox.h</file>
    <file>QC_AbstractBidirectionalIterator.dox.h</file>
    <file>QC_AbstractDatasource.dox.h</file>
    <file>QC_AbstractIterator.dox.h</file>
    <file>QC_AbstractQuantifiedBidirectionalIterator.dox.h</file>
    <file>QC_AbstractQuantifiedIterator.dox.h</file>
    <file>QC_AbstractSmartLock.dox.h</file>
    <file>QC_AutoGate.dox.h</file>
    <file>QC_AutoLock.dox.h</file>
    <file>QC_AutoReadLock.dox.h</file>
    <file>QC_AutoWriteLock.dox.h</file>
    <file>QC_Condition.dox.h</file>
    <file>QC_Counter.dox.h</file>
    <file>QC_Datasource.dox.h</file>
    <file>QC_DatasourcePool.dox.h</file>
    <file>QC_Dir.dox.h</file>
    <file>qc_errno.dox.h</file>
    <file>QC_File.dox.h</file>
    <file>QC_FileLineIterator.dox.h</file>
    <file>QC_FtpClient.dox.h</file>
    <file>QC_Gate.dox.h</file>
    <file>QC_GetOpt.dox.h</file>
    <file>QC_HashIterator.dox.h</file>
    <file>QC_HashKeyIterator.dox.h</file>
    <file>QC_HashKeyReverseIterator.dox.h</file>
    <file>QC_HashListIterator.dox.h</file>
    <file>QC_HashListReverseIterator.dox.h</file>
    <file>QC_HashPairIterator.dox.h</file>
    <file>QC_HashPairReverseIterator.dox.h</file>
    <file>QC_HashReverseIterator.dox.h</file>
    <file>QC_HTTPClient.dox.h</file>
    <file>QC_ListHashIterator.dox.h</file>
    <file>QC_ListHashReverseIterator.dox.h</file>
    <file>QC_ListIterator.dox.h</file>
    <file>QC_ListReverseIterator.dox.h</file>
    <file>QC_Mutex.dox.h</file>
    <file>QC_ObjectIterator.dox.h</file>
    <file>QC_ObjectKeyIterator.dox.h</file>
    <file>QC_ObjectKeyReverseIterator.dox.h</file>
    <file>QC_ObjectPairIterator.dox.h</file>
    <file>QC_ObjectPairReverseIterator.dox.h</file>
    <file>QC_ObjectReverseIterator.dox.h</file>
    <file>qc_option.dox.h</file>
    <file>QC_Program.dox.h</file>
    <file>qc_qore.dox.h</file>
    <file>QC_Queue.dox.h</file>
    <file>QC_RangeIterator.dox.h</file>
    <file>QC_ReadOnlyFile.dox.h</file>
    <file>QC_RWLock.dox.h</file>
    <file>QC_Sequence.dox.h</file>
    <file>QC_SingleValueIterator.dox.h</file>
    <file>QC_Socket.dox.h</file>
    <file>QC_SQLStatement.dox.h</file>
    <file>QC_SSLCertificate.dox.h</file>
    <file>QC_SSLPrivateKey.dox.h</file>
    <file>QC_TermIOS.dox.h</file>
    <file>QC_ThreadPool.dox.h</file>
    <file>QC_TimeZone.dox.h</file>
    <file>ql_compression.dox.h</file>
    <file>ql_context.dox.h</file>
    <file>ql_crypto.dox.h</file>
    <file>ql_dbi.dox.h</file>
    <file>ql_env.dox.h</file>
    <file>ql_file.dox.h</file>
    <file>ql_lib.dox.h</file>
    <file>ql_list.dox.h</file>
    <file>ql_math.dox.h</file>
    <file>ql_misc.dox.h</file>
    <file>ql_object.dox.h</file>
    <file>ql_pwd.dox.h</file>
    <file>ql_string.dox.h</file>
    <file>ql_thread.dox.h</file>
    <file>ql_time.dox.h</file>
    <file>ql_type.dox.h</file>
    <file>scanner.dox.h</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Qore Language Reference Manual</title>
    <filename>index</filename>
  </compound>
</tagfile>
